======================================================================

Originator: Chris Fischer 
Date: 1-30-2020
Tag: cime5.6.32
Answer Changes: None
Tests: Prealpha tests on izumi
Dependencies:

Brief Summary:
    - Update intel and cprnc on izumi

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
7a0b1a48f Merge pull request #3382 from ESMCI/fischer/izumi


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 1-28-2020
Tag: cime5.6.31
Answer Changes: None
Tests: scripts_regression_tests, f19_g17.I1850Clm50BgcCropCmip6waccm, T62_g16.GIAF
Dependencies:

Brief Summary:

User interface changes: 
    - Fixes domain filename in input_data_list.

PR summary: git log --oneline --first-parent [previous_tag]..master 
    - c55bcd226 Merge pull request #3378 from ESMCI/fischer/domainfile

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/nmlgen.py


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 1-24-2020
Tag: cime5.6.30
Answer Changes: None
Tests: scripts_regression_tests, hand testing of downloads
Dependencies:

Brief Summary:
    - Add timeouts for ftp and wget logins.
    - Fix chmod command in safe_copy

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
291fc8e41 Merge pull request #3367 from jedwards4b/server_timeouts
3688f02bb Merge pull request #3364 from billsacks/fix_safe_copy

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/Servers/ftp.py
M       scripts/lib/CIME/Servers/wget.py
M       scripts/lib/CIME/case/check_input_data.py
M       scripts/lib/CIME/utils.py

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 1-22-2020
Tag: cime5.6.29
Answer Changes: None
Tests: examine namelist for GIAF_JRA..., scripts_regression_tests
Dependencies:

Brief Summary:
    - Stampede2 module updates.
    - Restore 2.1.1 behavior for JRA compsets.
    - Allow writing T-forcing cplhist files even when running with SGLC.
    - Updates for the cesm2 ensemble run on aleph.
    - Convert user requested walltime to match walltime_format.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
7489690af Merge pull request #3362 from ESMCI/fischer/stampede2
be1255262 Merge pull request #3361 from klindsay28/cesm2_omip_take2
123742d6e Merge pull request #3356 from billsacks/t_forcing_cplhist_with_sglc
77e30d80d Merge pull request #3355 from jedwards4b/aleph_updates
22afa61fe Merge pull request #3342 from ESMCI/fischer/walltime_format

Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_grids.xml
M       config/cesm/machines/config_batch.xml
M       config/cesm/machines/config_machines.xml
M       config/cesm/machines/config_workflow.xml
M       config/cesm/machines/cylc_suite.rc.template
M       scripts/lib/CIME/XML/env_batch.py
M       src/components/data_comps/datm/cime_config/config_component.xml
M       src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M       src/components/data_comps/drof/cime_config/config_component.xml
M       src/components/data_comps/drof/cime_config/namelist_definition_drof.xml
M       src/drivers/mct/main/cime_comp_mod.F90
M       src/drivers/mct/main/prep_glc_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer
Date: 12-12-2019 
Tag: cime5.6.28
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Update CIME_OUTPUT_ROOT for aleph.
    - Update exp_types.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
fd98044f7 Merge branch 'maint-5.6' of https://github.com/ESMCI/cime into maint-5.6
cfcce68b9 update scratch directory

Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/Tools/archive_metadata

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 12-2-2019
Tag: cime5.6.27
Answer Changes: Only RCE
Tests: QPRCEMIP 
Dependencies:

Brief Summary:
    - Change sst_aquap11 to sst_aquap_constant.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
b92cea675 Merge pull request #3316 from cacraigucar/maint-5.6


Modified files: git diff --name-status [previous_tag]
M       src/drivers/mct/cime_config/namelist_definition_drv.xml


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 11-25-2019
Tag: cime5.6.26
Answer Changes: None
Tests: CLM PFunit testing on izumi, scripts_regression_tests
       SMS_Ld5.f09_g16.B1850G.cheyenne_intel.allactive-cism-test_coupling
Dependencies:

Brief Summary:
    - Add path for PFUNIT on izumi and add path for batch commands to $PATH.
    - Initialize albdif and albdir

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
0f0531e18 Merge pull request #3302 from ekluzek/izumipgi
21476986b Merge pull request #3295 from jedwards4b/seq_flux_vars_init


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml
M       src/drivers/mct/main/seq_flux_mct.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 10-25-2019
Tag: cime5.6.25
Answer Changes: None
Tests: SMS_Ld1_D.f19_g17.I1850Clm50BgcCropCmip6.cheyenne_gnu.clm-default
Dependencies:

Brief Summary:
    - Cherry-picked AQPCONST changes.
    - Fix mpi_bcast in seq_flux_mct.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
03cb90660 Merge pull request #3266 from ESMCI/aqp_cherrypick
f75914619 Merge pull request #3261 from jedwards4b/seq_flux_mct_fix

Modified files: git diff --name-status [previous_tag]
M       src/components/data_comps/docn/cime_config/buildnml
M       src/components/data_comps/docn/cime_config/config_component.xml
M       src/components/data_comps/docn/cime_config/namelist_definition_docn.xml
M       src/components/data_comps/docn/docn_comp_mod.F90
M       src/components/data_comps/docn/docn_shr_mod.F90
M       src/drivers/mct/main/seq_flux_mct.F90
M       src/share/util/shr_scam_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 9-30-2019
Tag: cime5.6.24
Answer Changes: None
Tests: aux_cam tests, cime_developer tests, scripts_regression_tests 
       tested workflow by hand
Dependencies:

Brief Summary:
    - Add namelist for minimum wind speed for atmOcn fluxes.
    - Address objection to using case in workflow.
    - Fix case of workflow job prior to case.run or case.test.
    - Fix bug in SCAM.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
cf62e3524 Merge pull request #3251 from cacraigucar/atmOcn_wind
98d8115ac Merge pull request #3246 from jedwards4b/workflow_casetoworkflow_id
829138e73 Merge pull request #3242 from jedwards4b/workflow_before_run_fix
7b1b3208c Merge pull request #3238 from cacraigucar/maint-5.6


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_workflow.xml
M       config/e3sm/machines/config_workflow.xml
M       config/xml_schemas/config_workflow.xsd
M       scripts/Tools/preview_run
M       scripts/create_newcase
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/XML/workflow.py
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/case/case_submit.py
M       src/drivers/mct/cime_config/namelist_definition_drv.xml
M       src/drivers/mct/main/seq_flux_mct.F90
M       src/share/util/shr_flux_mod.F90
M       src/share/util/shr_scam_mod.F90



======================================================================

======================================================================

Originator: Chris Fischer 
Date: 9-11-2019
Tag: cime5.6.23
Answer Changes: climate changing for C & G compsets.
Tests: cime_developers, aux_cam, scripts_regression_tests
Dependencies:

Brief Summary:
    - Change rce_sst to fixed_sst to better reflect its purpose.
    - Fix wallclocks in testlists.
    - Archive metadata add support for lens experiment type.
    - Changes to support Radiative Convective Equilibrium.
    - Add support for CMIP6 OMIP, update JRA forcing files.
    - Make the streams file legitiment xml files.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
e7e14698a Merge pull request #3236 from cacraigucar/fixed_sst
189ac85c6 Merge pull request #3234 from ESMCI/fischer/wallclocks
751d24c99 Merge pull request #3228 from bertinia/maint-5.6_archive_metadata
3a3fa6fab Merge pull request #3231 from cacraigucar/rce_release
3418675b0 Merge pull request #3223 from klindsay28/cesm2_omip
38117f02d Merge pull request #3217 from jedwards4b/maint-5.6_user_streamfix

Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_archive.xml
M	config/cesm/config_grids.xml
M	scripts/Tools/archive_metadata
A	scripts/lib/CIME/XML/stream.py
M	scripts/lib/CIME/case/case_setup.py
M	scripts/lib/CIME/nmlgen.py
M	src/components/data_comps/datm/cime_config/buildnml
M	src/components/data_comps/datm/cime_config/config_component.xml
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/components/data_comps/datm/datm_comp_mod.F90
M	src/components/data_comps/dice/cime_config/buildnml
M	src/components/data_comps/dlnd/cime_config/buildnml
M	src/components/data_comps/docn/cime_config/buildnml
M	src/components/data_comps/docn/cime_config/config_component.xml
M	src/components/data_comps/docn/cime_config/namelist_definition_docn.xml
M	src/components/data_comps/docn/docn_comp_mod.F90
M	src/components/data_comps/docn/docn_shr_mod.F90
M	src/components/data_comps/drof/cime_config/buildnml
M	src/components/data_comps/drof/cime_config/namelist_definition_drof.xml
M	src/components/data_comps/dwav/cime_config/buildnml
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/seq_flux_mct.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90
M	src/share/streams/shr_tInterp_mod.F90
M	src/share/util/shr_orb_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 8-26-2019
Tag: cime5.6.22
Answer Changes: None
Tests: scripts_regression_tests 
Dependencies:

Brief Summary:
    - Fix nag on izumi.
    - Update for cori modules.
    - Update regex to match changing cheyenne login name.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
b37b70c3b Merge pull request #3207 from ESMCI/fischer/nag
8d2fa1ec6 Merge pull request #3212 from ESMCI/fischer/cori_updates
7f8173207 Merge pull request #3214 from ESMCI/fischer/cheyenne_hostname


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml
M       scripts/Tools/Makefile


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 8-14-2019
Tag: cime5.6.21
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Update config_machines to update pgi software stack on cheyenne
    - If filename is abspath use for filepath.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
80ae90470 Merge pull request #3202 from ESMCI/fischer/cheyenne_pgi
1c3da2440 Merge pull request #3200 from jedwards4b/aquap_fix

Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/nmlgen.py


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 7-23-2019
Tag: cime5.6.20
Answer Changes: None
Tests: scripts_regression_tests 
Dependencies:

Brief Summary:
    - Fix mkDepends issue with shr_assert_mod.
    - Server 0 file length fix.
    - Avoid undefined variable error.
    - More workflow updates.
    - Adds a --ensemble option to create_clone.
    - Workflow development.
    - Fix error in job_id
    - Put correct wallclock format for cheyenne.
    - Changes to continue workflow development.
    - Aleph port.
    - Add nemo.
    - presaero file for SSP1-2.6
    - Add workflow xml.
    - Avoid divide by 0 when timing file is bad.

User interface changes: 
    - Add --ensemble to generate_cylc_workflow generating an ensemble driver 
      for cylc workflow, this driver is generated in the first ensemble member 
      and controls all members from a single cylc suite.
    - Adds --ensemble to create_clone, to use this option the original case 
      must end in one or more integers, so for example if the case is named 
      case.001 and --ensemble 4 is used you will get case.002, case.003, case.004 
      created.
    - Adds support for external workflow engine cylc.
    - New file for SSP1-2.6.
    - Adds a --workflow-case option to create_newcase.


PR summary: git log --oneline --first-parent [previous_tag]..master 
35e24bb50 Merge pull request #3179 from jedwards4b/mkDepends_fix
3e0b00a6d Merge pull request #3176 from jedwards4b/Server0filelengthfix
5f5408d4e avoid undefined variable error
c5bd8567c Merge pull request #3173 from jedwards4b/jedwards/more_workflow
12ca87021 Merge pull request #3169 from jedwards4b/ensemble_clone
a2a48c423 Merge pull request #3168 from jedwards4b/jedwards/workflow_development
802bf0dd1 fix error in job_id
ba17f31f0 Merge pull request #3164 from jedwards4b/maint-5.6_cheyenne_wallclock_fix
35b78be10 Merge pull request #3160 from jedwards4b/workflow_changes
09c0a969e Merge pull request #3159 from jedwards4b/aleph_port
735053ce7 Merge pull request #3153 from ESMCI/peano/nemo
2e842025c Merge pull request #3152 from ekluzek/presaerossp2126
fc70da142 Merge pull request #3125 from jedwards4b/add_workflow_xml
958190cf2 Merge pull request #3138 from jedwards4b/timing_0_fix


Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_files.xml
M	config/cesm/config_grids.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
A	config/cesm/machines/config_workflow.xml
A	config/cesm/machines/cylc_suite.rc.template
M	config/config_headers.xml
M	config/e3sm/config_files.xml
M	config/e3sm/machines/config_batch.xml
A	config/e3sm/machines/config_workflow.xml
M	config/xml_schemas/config_batch.xsd
M	config/xml_schemas/config_compilers_v2.xsd
A	config/xml_schemas/config_workflow.xsd
M	scripts/Tools/Makefile
A	scripts/Tools/generate_cylc_workflow.py
M	scripts/Tools/mkDepends
M	scripts/Tools/preview_run
M	scripts/create_clone
M	scripts/create_newcase
M	scripts/lib/CIME/Servers/ftp.py
M	scripts/lib/CIME/XML/batch.py
M	scripts/lib/CIME/XML/env_base.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_specific.py
A	scripts/lib/CIME/XML/env_workflow.py
M	scripts/lib/CIME/XML/generic_xml.py
A	scripts/lib/CIME/XML/workflow.py
M	scripts/lib/CIME/aprun.py
M	scripts/lib/CIME/case/case.py
M	scripts/lib/CIME/case/case_clone.py
M	scripts/lib/CIME/case/case_run.py
M	scripts/lib/CIME/case/case_setup.py
M	scripts/lib/CIME/case/case_st_archive.py
M	scripts/lib/CIME/case/case_submit.py
M	scripts/lib/CIME/case/check_input_data.py
M	scripts/lib/CIME/get_timing.py
M	scripts/tests/scripts_regression_tests.py
M	src/build_scripts/buildlib.csm_share
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/share/timing/Makefile
M	src/share/util/shr_file_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 6-6-2019
Tag: cime5.6.19
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Remove changes to case_run, fix a module issue on cori-knl.
    - Fix was not py2 compatible, this one is.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
1adcdeb Merge pull request #3136 from jedwards4b/cori_and_case_run
40615b7 Merge pull request #3134 from jedwards4b/encodefixagain


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/case/case_run.py


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 6-5-2019
Tag: cime5.6.18
Answer Changes: Round Off for centos7-linux and cori
Tests: scripts_regression_tests on cori and cheyenne
Dependencies:

Brief Summary:
   - Update modules for centos7-linux, fix py3 error in case_run.py.
   - Update modules on cori-haswell and cori-knl.
   - Add test_release as a test category consulted to determine if a compset -- grid combination is supported.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
6704570 Merge pull request #3133 from jedwards4b/centos7-update
d40e715 Merge pull request #3132 from jedwards4b/cori_update
d86457d Merge pull request #3128 from gold2718/add_test_release


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/case/case_run.py


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-29-2019
Tag: cime5.6.17
Answer Changes: None
Tests:  Manually ran archive_metadata
        By hand
Dependencies:

Brief Summary:
    - Update archive_metadata strip to lstrip.
    - Correct error messages from wget interface.
    - Fix README

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
bacf1db Merge pull request #3122 from bertinia/maint-5.6_archive_metadata
c050233 Merge pull request #3119 from jedwards4b/wget_message_fix
bd7e7fd fix README

Modified files: git diff --name-status [previous_tag]
M       ChangeLog
M       scripts/Tools/archive_metadata
M       scripts/lib/CIME/Servers/wget.py
M       tools/statistical_ensemble_test/README


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-15-2019
Tag: cime5.6.16
Answer Changes: climate-changing -- new datasets
Tests:  Ran all 8 ISSP's 
	SMS_D_Ln9.f19_f19_mg16.FX2000.pleiades-has_intel (Overall: PASS) 
	SMS_D_Ln9.f19_f19_mg16.FX2000.pleiades-san_intel (Overall: PASS) 
	SMS_Ld1.f19_f19_mg16.FX2000.pleiades-bro_intel (Overall: PASS) 
	SMS_Ld1.f19_f19_mg16.FX2000.pleiades-has_intel (Overall: PASS) 
	SMS_Ld1.f19_f19_mg16.FX2000.pleiades-ivy_intel (Overall: PASS) 
	SMS_Ld1.f19_f19_mg16.FX2000.pleiades-san_intel (Overall: PASS) 
Dependencies:

Brief Summary:
    - Add CO2 time-series for CMIP6 future scenarios and three prescribed 
      aerosol CMIP6 future scenarios.
    - Bring changes to datm Present Day compsets from master to maint-5.6.
    - pdate intel compiler version and ESMF lib for pleiades.
    - Fix archive dir for stampede.

User interface changes: 
    - Changes default settings for some compsets.

PR summary: git log --oneline --first-parent [previous_tag]..master 
59960d9 Merge pull request #3112 from ekluzek/addSSPCO2npresaero
f43ef89 Merge pull request #3110 from ekluzek/datmsettings4PDcompsets
1e703d8 Merge pull request #3108 from fvitt/pleiades
29536e1 fix archive dir for stampede

Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml
M       doc/source/users_guide/compsets.rst
M       src/components/data_comps/datm/cime_config/config_component.xml
M       src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M       src/drivers/mct/cime_config/config_component_cesm.xml
M       src/drivers/mct/cime_config/config_compsets.xml


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-26-2019
Tag: cime5.6.15
Answer Changes: None
Tests: scripts_regression_tests.py, by hand, SMS_P45.f19_g16.X 
       manually test archive_metadata
Dependencies:

Brief Summary:
    - Improve reporting of invalid settings in REFCASE when GET_REFCASE=TRUE.
    - Remove ESMF modules on edison.
    - Fix issue with setting 2 io tasks.
    - maint-5.6 archive_metadata update.


User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
a1c0e9d Merge pull request #3095 from jedwards4b/get_refcase_errors
4abc89e Merge pull request #3080 from ESMCI/fischer/edison
bfd3e22 Merge pull request #3078 from jedwards4b/shr_pio_bug_fix
93bd063 Merge pull request #3076 from bertinia/maint-5.6_archive_metadata


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/Tools/archive_metadata
M       scripts/lib/CIME/case/check_input_data.py
M       src/share/util/shr_pio_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-08-2019
Tag: cime5.6.14
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Update modules for cori.
    - Update A compsets to avoid needing a 6GB inputdata file for testing.
    - Minor bug fixes for xml interface.
    - Update modules for cheyenne pgi.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
ff65ad0 Merge pull request #3070 from ESMCI/fischer/cori_module_update
4f5b655 Merge pull request #3069 from ESMCI/fischer/3053
e3fbee4 Merge pull request #3057 from jedwards4b/maint-5.6-xml_fixes
398df65 Merge pull request #3049 from ESMCI/fischer/cheyenne_mpt_pgi


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/XML/entry_id.py
M       scripts/lib/CIME/XML/generic_xml.py
M       src/components/data_comps/datm/cime_config/config_component.xml

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 3-13-2019
Tag: cime5.6.13
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Only download chksum file(s) if requested.
    - mpiexec_mpt argument fix on cheyenne

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
170db73 Merge pull request #3038 from jedwards4b/chksum_fixes_maint-5.6
cc6fe0f for mpt/2.19 -p must preceed -np in mpiexec_mpt arguments


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/Servers/ftp.py
M       scripts/lib/CIME/Servers/gftp.py
M       scripts/lib/CIME/Servers/svn.py
M       scripts/lib/CIME/Servers/wget.py
M       scripts/lib/CIME/case/check_input_data.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 3-7-219
Tag: cime5.6.12
Answer Changes: None
Tests: scripts_regression_tests, code_checker
Dependencies:

Brief Summary:
    - Fix issue with chksum option, update cheyenne.
    - Add checksum support for inputdata.
    - PIO performance optimization merge.
    - Move the logic to check and update batch options.
    - Update Ensemble Consistency Test README.
    - Update to archive_metadata stand-alone functionality.
    - Consolidate inputdata for stamepede2 and lonestar5.
    - Port to tacc system lonestar5.
    - Initial port to izumi.
    - Allow specifying directives to use for an unknown queue.
    - Update bluewaters machine interface.
    - Minor update to archive_metadata.
    - Change the default RUN_REFDIR from ccsm4_init to cesm2_init.
    - cd to correct directory after running create_clone.
    - List mpi-serial's include directory before any system-level includes.
    - Fix nag & pgi CAM COSP build.
    - Do not allow trailing / in filename.
    - Update the version of ESMF used by the mapping tools on cheyenne.
    - Update fv1.9x2.5,gx1v7 grids.
    - _PNETCDF needs to be defined in csm_share build.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
dc2fef7 fix issue with chksum option, update cheyenne
38b96b6 Merge pull request #3018 from jedwards4b/checksum_inputdata
852fa8d Merge pull request #3023 from jedwards4b/pio1_merge
1c0bf27 Merge pull request #3019 from jedwards4b/batch_and_resubmit
a6e3349 Merge pull request #3012 from ESMCI/fischer/ECT_doc
e7f2e6f Merge pull request #3004 from bertinia/maint-5.6_archive_metadata
497dd69 Merge pull request #3005 from jedwards4b/lonestar5-port
6faac40 Merge pull request #3002 from jedwards4b/lonestar5-port
277c28c Merge pull request #2999 from jedwards4b/izumi_port_5.6
766d923 Merge pull request #2995 from billsacks/unknown_queue_maint56
25f45ac Merge pull request #2996 from ESMCI/jedwards/bluewaters_update
9416ba8 Merge pull request #2977 from bertinia/maint-5.6_archive_metadata
bc71697 Merge pull request #2973 from jedwards4b/default_run_refdir
5a1afac Merge pull request #2961 from billsacks/create_clone_doc
8f97ec9 Merge pull request #2960 from billsacks/fix_unit_test_mpi_serial
5e2af84 Merge pull request #2951 from ESMCI/fischer/cosp_fix
27d9f2f Merge pull request #2938 from jedwards4b/catch_illegal_name
d699d16 Merge pull request #2940 from mnlevy1981/mlevy/update_esmf_in_mapping-maint5.6
4f54ec6 Merge pull request #2943 from ESMCI/fischer/f19_gx1v7
7d9ed6c Merge pull request #2925 from jedwards4b/fix64bit_data_issue


Modified files: git diff --name-status [previous_tag]
M	CMakeLists.txt
M	config/cesm/config_grids.xml
M	config/cesm/config_inputdata.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/xml_schemas/config_batch.xsd
M	doc/source/misc_tools/ect.rst
M	doc/source/users_guide/cloning-a-case.rst
M	scripts/Tools/Makefile
M	scripts/Tools/archive_metadata
M	scripts/Tools/check_input_data
M	scripts/lib/CIME/Servers/ftp.py
M	scripts/lib/CIME/Servers/wget.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/inputdata.py
M	scripts/lib/CIME/case/case_submit.py
M	scripts/lib/CIME/case/check_input_data.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/utils.py
M	src/drivers/mct/cime_config/config_component.xml
M	src/externals/pio1/pio/pio_types.F90
M	src/externals/pio1/pio/piodarray.F90.in
M	src/externals/pio1/pio/pionfput_mod.F90.in
M	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/create_ESMF_map.sh

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 11-29-2018
Tag: cime_cesm2_1_rel_06
Answer Changes: None
Tests: scripts_regression_tests 
Dependencies:

Brief Summary:
    - Fix new pylint errors.
    - Update addmetadata for POP-ECT tests.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
5a86646 Merge pull request #2921 from jedwards4b/fixpylint3errors
98821ff Merge pull request #2919 from ESMCI/fischer/addmetadata

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/BuildTools/macrowriterbase.py
M       scripts/lib/CIME/SystemTests/erio.py
M       scripts/lib/CIME/SystemTests/ers.py
M       scripts/lib/CIME/SystemTests/ers2.py
M       scripts/lib/CIME/SystemTests/homme.py
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M       scripts/lib/CIME/case/case_run.py
M       scripts/lib/CIME/case/case_setup.py
M       scripts/lib/CIME/case/case_st_archive.py
M       scripts/lib/CIME/provenance.py
M       scripts/lib/e3sm_cime_mgmt.py
M       src/build_scripts/buildlib.gptl
M       src/build_scripts/buildlib.pio
M       tools/statistical_ensemble_test/addmetadata.sh

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 11-17-2018
Tag: cime_cesm2_1_rel_05
Answer Changes: None
Tests:  ./create_test cime_developer on cheyenne
Dependencies:

Brief Summary:
    - Do not include time of day in cpl auxiliary hist file names.

User interface changes: 
    - Changes names of cpl auxiliary history files.

PR summary: git log --oneline --first-parent [previous_tag]..master 
b3fc9d6 Merge pull request #2914 from billsacks/auxhist_no_time

Modified files: git diff --name-status [previous_tag]
M       src/drivers/mct/main/seq_hist_mod.F90

======================================================================
======================================================================

Originator: Chris Fischer 
Date: 11-13-2018
Tag: cime_cesm2_1_rel_04
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Fix 2010 period for datm GSWP3v1.
    - Update pyCECT to v3.0.8

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
2e72d20 Merge pull request #2908 from ekluzek/fix2010datm
5f4a911 Merge pull request #2905 from ESMCI/fischer/pyCECT_v3.0.8

Modified files: git diff --name-status [previous_tag]
M       src/components/data_comps/datm/cime_config/config_component.xml
M       tools/statistical_ensemble_test/pyCECT/README_pyCECT.rst
M       tools/statistical_ensemble_test/pyCECT/README_pyEnsSum.rst
M       tools/statistical_ensemble_test/pyCECT/README_pyEnsSumPop.rst
M       tools/statistical_ensemble_test/pyCECT/pyCECT.py
M       tools/statistical_ensemble_test/pyCECT/pyEnsLib.py
M       tools/statistical_ensemble_test/pyCECT/pyEnsSum.py
M       tools/statistical_ensemble_test/pyCECT/pyEnsSumPop.py
D       tools/statistical_ensemble_test/pyCECT/pyEnsSumPop_test.sh
M       tools/statistical_ensemble_test/pyCECT/test_pop_CECT.sh
D       tools/statistical_ensemble_test/pyCECT/test_pop_ensemble.sh
A       tools/statistical_ensemble_test/pyCECT/test_pyEnsSumPop.sh

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 11-5-2018
Tag: cime_cesm2_1_rel_03
Answer Changes: None
Tests: code_checker, stand-alone tests, scripts_regression_tests
Dependencies:

Brief Summary:
    - Add Total Time parsing for timeseries and xconform to archive_metadata
    - Fine tuning for CMIP6 cases in archive_metadata.
    - CESM-CECT update.
    - Python3 compatibility update for archive_metadata.
    - Remove reference to deleted testmods directories.
    - Compute tasks_per_node via floor division.
    - Response to review comments of pr 2844 and remove user-grid option.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
c515c37 Merge pull request #2900 from bertinia/maint-5.6_archive_metadata
47f3970 Merge pull request #2884 from bertinia/maint-5.6_archive_metadata
3ad6a6e Merge pull request #2866 from jedwards4b/set_update
a2b6885 Merge pull request #2865 from bertinia/maint-5.6_archive_metadata
b56664c Merge pull request #2862 from billsacks/doc_testmods
ad361d2 Merge pull request #2860 from jedwards4b/py3fix
7e82e9b Merge pull request #2853 from jedwards4b/cleanuppr


Modified files: git diff --name-status [previous_tag]
M       doc/source/users_guide/testing.rst
M       scripts/Tools/archive_metadata
M       scripts/create_newcase
M       scripts/fortran_unit_testing/run_tests.py
M       scripts/lib/CIME/XML/env_mach_pes.py
M       tools/statistical_ensemble_test/README
M       tools/statistical_ensemble_test/ensemble.py
D       tools/statistical_ensemble_test/ensemble.sh
M       tools/statistical_ensemble_test/single_run.py
D       tools/statistical_ensemble_test/single_run.sh

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 10-12-2018
Tag: cime_cesm2_1_rel_02
Answer Changes: None
Tests: Z_FullSystemTest, scripts_regression_tests, hand tests
Dependencies:

Brief Summary:
    - Add a default value of idmap_ignore for certain mapping files.
    - Improve clean function.
    - Add ability for testfile to contain comments.
    - Clean and alphabetize (by MACH name) the config/cesm/machines/*.xml files. 
    - Improve case clone functionality.
    - Improve error message for issues in user_nl_* namelist files.
    - Write cpl.hr2x files at ENDOFRUN when forecast is < 24 hours.
    - Backporting PR #2833(Propagate logging settings to submitted jobs) to maint-5.6 branch.
    - Remove overzelous debug code.
    - Change default for flux_convergence for all but 1 degree case.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
fd439ba Merge pull request #2845 from jedwards4b/improve_idmap_test
be6c214 Merge pull request #2844 from jedwards4b/run_tests_clean
c2cab2f Merge pull request #2838 from jedwards4b/testfile_comments
d68fa9c Merge pull request #2849 from jedwards4b/cleanup_xml
cb81444 Merge pull request #2843 from jedwards4b/clone_modified_Tools
f3f5f69 Merge pull request #2840 from jedwards4b/user_nl_error_msg
61132ee Merge pull request #2832 from kdraeder/hr2x_at_endofrun
d3457ec Merge pull request #2842 from jedwards4b/propagate_logging
ad9c0f5 Merge pull request #2839 from jedwards4b/remove_debug_code
6a7d374 Merge pull request #2837 from jedwards4b/tuning1.9


Modified files: git diff --name-status [previous_tag]
M       .travis.yml
M       config/cesm/machines/config_batch.xml
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml
M       scripts/Tools/archive_metadata
M       scripts/create_newcase
M       scripts/create_test
M       scripts/fortran_unit_testing/run_tests.py
M       scripts/lib/CIME/XML/batch.py
M       scripts/lib/CIME/XML/compilers.py
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/XML/generic_xml.py
M       scripts/lib/CIME/XML/machines.py
M       scripts/lib/CIME/XML/namelist_definition.py
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/case/case_clone.py
M       scripts/lib/CIME/nmlgen.py
M       scripts/tests/scripts_regression_tests.py
M       src/CMake/FindpFUnit.cmake
M       src/drivers/mct/cime_config/buildnml
M       src/drivers/mct/cime_config/config_component.xml
M       src/drivers/mct/cime_config/namelist_definition_drv.xml
M       src/drivers/mct/main/cime_comp_mod.F90
M       src/share/streams/shr_stream_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 10-8-2018
Tag: cime_cesm2_1_rel_01
Answer Changes: None
Tests: scripts_regression_test
Dependencies:

Brief Summary:
    - Update presaero and CO2 datasets for datm7 to new CMIP6 version.
    - Better format for seq_flds_YYY_{fluxes,states} log messages.
    - Attach the instance number to 'cpl' in cpl history file names.
    - Fix inputdata issue for multi_instance cases.


User interface changes: 
    - Added clim_2010 option for DATM_PRESAERO
      Added 20tr.latbnd option for DATM_CO2_TSERIES
      GSWP3v1 and CRUNCEPv7 forcing sets appropriate years for compsets starting with 2010

PR summary: git log --oneline --first-parent [previous_tag]..master 
88d9297 Merge pull request #2828 from ekluzek/newpresaero
6568ded Merge pull request #2824 from kdraeder/kdr_seq_flds_log_msgs
fcf60c8 Merge pull request #2782 from kdraeder/kdr_fix_cpl_hist_names
6511798 Merge pull request #2823 from jedwards4b/multi_inst_check_input

Modified files: git diff --name-status [previous_tag]
M       scripts/Tools/archive_metadata
M       scripts/create_newcase
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/nmlgen.py
M       src/components/data_comps/datm/cime_config/buildnml
M       src/components/data_comps/datm/cime_config/config_component.xml
M       src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M       src/components/data_comps/desp/cime_config/buildnml
M       src/components/data_comps/dice/cime_config/buildnml
M       src/components/data_comps/dlnd/cime_config/buildnml
M       src/components/data_comps/docn/cime_config/buildnml
M       src/components/data_comps/drof/cime_config/buildnml
M       src/components/data_comps/dwav/cime_config/buildnml
M       src/drivers/mct/main/cime_comp_mod.F90
M       src/drivers/mct/main/seq_hist_mod.F90
M       src/drivers/mct/shr/seq_flds_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 10-2-2018
Tag: cime_cesm2_0_rel_06
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Archive_metadata updates for CMIP6 experiments.
    - OS is not generic env var.
    - New machines at ETH and CSCS.
    - Update ESMF library on cheyenne.
    - Fix documentation for histaux_r2x namelist variable.
    - Dont allow zero ntasks nthrds.
    - Add lapack and blas libraries to pgi compile on cheyenne.
    - Updates for compatibility with XML to html tools.
    - Remove additional rad->deg conversion to radians when creating ocean
      domain files.
    - ESMF logging fix.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
12e1c4d41 (HEAD -> maint-5.6, origin/maint-5.6) Merge pull request #2815 from bertinia/maint-5.6_archive_metadata
767511a79 OS is not generic env var
bec49f0c2 Merge pull request #2807 from beyerle/euler_daint
9e74b8ab3 Merge pull request #2806 from ESMCI/fischer/ESMF_710r
0f20ab46e Merge pull request #2774 from billsacks/fix_histaux_r2x_docs
1c10e58e8 Merge pull request #2768 from jedwards4b/dont_allow_zero_ntasks_nthrds
6a1069ce3 Merge pull request #2753 from jedwards4b/pgi_lapack
5a0a56721 Merge pull request #2742 from bertinia/maint-5.6-component-return-values
cbf8f2216 Merge pull request #2736 from jtruesdal/domainfix
2e34a0305 Merge pull request #2733 from gold2718/esmf_log_fix


Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_grids.xml
M       config/cesm/machines/config_batch.xml
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml
M       scripts/Tools/archive_metadata
M       scripts/lib/CIME/XML/component.py
M       scripts/lib/CIME/XML/compsets.py
M       scripts/lib/CIME/XML/env_mach_pes.py
M       scripts/lib/CIME/XML/machines.py
M       scripts/lib/CIME/utils.py
M       src/components/data_comps/docn/cime_config/config_component.xml
M       src/drivers/mct/cime_config/config_component.xml
M       src/drivers/mct/cime_config/namelist_definition_drv.xml
M       src/drivers/mct/main/cime_comp_mod.F90
M       src/drivers/mct/main/cime_driver.F90
M       src/drivers/mct/shr/seq_comm_mct.F90
M       src/drivers/mct/shr/seq_infodata_mod.F90
M       src/share/esmf_wrf_timemgr/ESMF_Stubs.F90
M       tools/mapping/gen_domain_files/src/gen_domain.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 7-24-2018
Tag: cime_cesm2_0_rel_05
Answer Changes: None
Tests: scripts_regression_tests.py 
Dependencies:

Brief Summary:
    - Theta enviroment updates.
    - Fix wget option for directories.
    - Remove trailing whitespace.
    - Correct mpich for intel, clean up cprnc on hobart.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
59ef62860 (HEAD -> maint-5.6, origin/maint-5.6) Merge pull request #2727 from jedwards4b/more_theta_config
d44d58a82 Merge pull request #2700 from jedwards4b/wget_fix
41842b411 remove trailing whitespace
1af4f4569 Merge pull request #2718 from jedwards4b/hobart_machine_cleanup

Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/Servers/wget.py
M       scripts/lib/CIME/utils.py

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 7-13-2018
Tag: cime5.6.10
Answer Changes: None
Tests: hand test
       code_checker on create_newcase; manually checked create_newcase --help
       ERS_Ln9.f19_g17.X.hobart_intel , ERS_Ln9.f19_g17.X.hobart_gnu,
       ERS_Ln9.f19_g17.X.hobart_nag
Dependencies:

Brief Summary:
   - Add scripts/Tools/archive_metadata to CIME for use in CESM cases only. 
   - Change DIN_LOC_ROOT_CLMFORC for new glade setup on cheyenne.
   - Make docs more consistent.
   - cprnc compiler updates for hobart.

User interface changes: 
    - archive_metadata --help stand_alone script.

PR summary: git log --oneline --first-parent [previous_tag]..master 
9f4377c Merge pull request #2715 from bertinia/maint-5.6_archive_metadata
ef2f2e4 Merge pull request #2714 from ekluzek/newgladedinlocclmfrc
154b475 Merge pull request #2693 from billsacks/make_docs_more_consistent
631869c Merge pull request #2709 from ESMCI/fischer/hobart_cprnc


Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_machines.xml
M       doc/source/users_guide/create-a-case.rst
A       scripts/Tools/archive_metadata
M       scripts/create_newcase
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/utils.py

======================================================================

======================================================================

Originator: Chris Fiscehr 
Date: 7-5-2018
Tag: cime5.6.9
Answer Changes: None
Tests: prealpha on edison, cori-haswell, cori-knl
       scripts_regression_tests, ect-uf on bluewaters
Dependencies:

Brief Summary:
    - Maint-5.6 nersc update.
    - Maint-5.6 hobart update.
    - Fix issue with rebuilding csm_share.
    - Bluewaters update.
    - Edit and cleanup parts of CCS users guide.
    - Change -v to --env for theta.
    - Fix unittest.
    - Tryagain with tput code.
    - ww3 data staging fix.
    - Fix refcase logiv.
    - Add and clarify pieces that describe adding a test to the prebeta testing.
    - Archive test refinement.

User interface changes: 
    -  --test becomes --test-all and --test-case is added

PR summary: git log --oneline --first-parent [previous_tag]..master 
3ee8b07 Merge pull request #2697 from jedwards4b/maint-5.6-nersc-update
b76c449 Merge pull request #2701 from jedwards4b/maint-5.6-hobart-update
34677a4 Merge pull request #2684 from jedwards4b/improve_shared_build_performance
57c8924 Merge pull request #2675 from jedwards4b/bluewaters_update
3a5281d Merge pull request #2662 from ESMCI/rljacob/doc/ug1-read
f8cc2a7 Merge pull request #2666 from jedwards4b/theta_fix
2e9973f fix unittest
49f59b6 tryagain with tput code
0819198 Merge branch 'ww3_data_staging' into maint-5.6
7478f2f Merge branch 'fix_refcase_logic' into maint-5.6
cd64838 Merge pull request #2647 from ESMCI/fischer/augment_testing_doc
3016427 Merge pull request #2656 from jedwards4b/archive_test_refinement

Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_batch.xml
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml
M       config/cesm/machines/template.st_archive
M       config/e3sm/machines/template.st_archive
M       config/xml_schemas/config_machines.xsd
M       config/xml_schemas/testlist.xsd
M       doc/source/users_guide/building-a-case.rst
M       doc/source/users_guide/cime-change-namelist.rst
A       doc/source/users_guide/cime-dir.rst
M       doc/source/users_guide/compsets.rst
M       doc/source/users_guide/create-a-case.rst
M       doc/source/users_guide/index.rst
M       doc/source/users_guide/introduction-and-overview.rst
M       doc/source/users_guide/pes-threads.rst
M       doc/source/users_guide/running-a-case.rst
M       doc/source/users_guide/setting-up-a-case.rst
M       doc/source/users_guide/testing.rst
M       scripts/Tools/Makefile
M       scripts/Tools/preview_run
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/case/case_st_archive.py
M       scripts/lib/CIME/case/case_submit.py
M       scripts/lib/CIME/case/check_input_data.py
M       scripts/lib/CIME/test_scheduler.py
M       scripts/lib/CIME/test_status.py
M       scripts/lib/CIME/tests/SystemTests/test_system_tests_compare_two.py
M       scripts/tests/scripts_regression_tests.py
M       src/build_scripts/buildlib.csm_share

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 6-5-2018
Tag: cime_cesm2_0_rel_04
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Remove a "this is a test" line.
    - Module updates for theta and edison
    - Update PyCECT tool to v3.0.7
    - Improvements to addmetadata script.
    - More doc updates.
    - Check options in config sections main and create_test and make sure each is supported. 
    - Remove entries duplicated in components.
    - Add half degree grid.
    - Allow space after string in namelist.
    - Fix issues with mpi-serial build.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
1da3a1d Merge pull request #2638 from billsacks/fix_doc
e2fd6fa Merge pull request #2637 from ESMCI/fischer/machines_update
db6080f Merge pull request #2634 from ESMCI/fischer/pyCECT
87648e4 Merge pull request #2632 from ESMCI/fischer/addmetadata
84ffa89 Merge pull request #2628 from ESMCI/mvertens/more_doc_updates
827272e Merge pull request #2626 from jedwards4b/config_sanity
3fd63b6 Merge pull request #2625 from jedwards4b/config_archive_update
d3073e9 Merge pull request #2624 from jedwards4b/new_half_degree
0e6c7a7 allow space after string in namelists
30d0879 Merge pull request #2623 from jedwards4b/mpi_serial_bugfix


Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_archive.xml
M	config/cesm/config_files.xml
M	config/cesm/config_grids.xml
M	config/cesm/machines/config_machines.xml
M	doc/source/users_guide/create-a-case.rst
M	doc/source/users_guide/pes-threads.rst
M	doc/source/users_guide/timers.rst
M	doc/source/users_guide/workflows.rst
M	scripts/create_newcase
M	scripts/create_test
M	scripts/lib/CIME/XML/machines.py
M	scripts/lib/CIME/compare_namelists.py
M	scripts/lib/CIME/utils.py
M	scripts/tests/scripts_regression_tests.py
M	src/externals/pio1/pio/box_rearrange.F90.in
M	src/externals/pio1/pio/pio_support.F90
M	src/externals/pio1/pio/piolib_mod.F90
M	tools/statistical_ensemble_test/addmetadata.sh
A	tools/statistical_ensemble_test/pyCECT/.gitignore
A	tools/statistical_ensemble_test/pyCECT/EET.py
M	tools/statistical_ensemble_test/pyCECT/LICENSE.txt
M	tools/statistical_ensemble_test/pyCECT/README_pyCECT.rst
M	tools/statistical_ensemble_test/pyCECT/README_pyEnsSum.rst
M	tools/statistical_ensemble_test/pyCECT/ens_excluded_varlist.json
A	tools/statistical_ensemble_test/pyCECT/ens_sub.pbs
M	tools/statistical_ensemble_test/pyCECT/ens_sub.sh
A	tools/statistical_ensemble_test/pyCECT/exclude_empty.json
A	tools/statistical_ensemble_test/pyCECT/included_varlist.json
M	tools/statistical_ensemble_test/pyCECT/pyCECT.py
M	tools/statistical_ensemble_test/pyCECT/pyEnsLib.py
M	tools/statistical_ensemble_test/pyCECT/pyEnsSum.py
M	tools/statistical_ensemble_test/pyCECT/pyEnsSumPop.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 5-22-2018
Tag: cime_cesm2_0_rel_03
Answer Changes: None
Tests: scripts_regression_tests, build tests on Cori.
Dependencies:

Brief Summary: Third release candidate.
    - Update environment modules for Cori.
    - Change PRE.f09_f09.ADESP_TEST.hobart_nag test to f19_f19.
    - Tweaks to cism-specific documentation.
    - Update for Sphinx v1.7 and doc version 5.6.
    - More doc updates.
    - Maint 5.6 - documentation updates.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
ed9ced8 Merge pull request #2619 from ESMCI/fischer/nersc
c1dade4 Merge pull request #2618 from ESMCI/fischer/testfix
1f41bc6 Merge pull request #2617 from billsacks/update_cism_doc
08f12ea Merge pull request #2616 from bertinia/maint-5.6
72ed273 Merge pull request #2615 from ESMCI/mvertens/more_doc_updates
7049dab Merge pull request #2614 from bertinia/maint-5.6

Modified files: git diff --name-status [previous_tag]
M	.gitignore
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
M	config/cesm/machines/template.case.test
M	config/cesm/machines/template.st_archive
M	doc/Makefile
M	doc/README
D	doc/source/README
M	doc/source/conf.py
M	doc/source/users_guide/building-a-case.rst
A	doc/source/users_guide/cime-change-namelist.rst
M	doc/source/users_guide/cloning-a-case.rst
M	doc/source/users_guide/compsets.rst
M	doc/source/users_guide/create-a-case.rst
M	doc/source/users_guide/grids.rst
M	doc/source/users_guide/index.rst
M	doc/source/users_guide/introduction-and-overview.rst
M	doc/source/users_guide/machine.rst
M	doc/source/users_guide/pes-threads.rst
M	doc/source/users_guide/porting-cime.rst
M	doc/source/users_guide/running-a-case.rst
M	doc/source/users_guide/setting-up-a-case.rst
M	doc/source/users_guide/testing.rst
M	doc/source/users_guide/timers.rst
M	doc/source/users_guide/troubleshooting.rst
M	doc/source/users_guide/unit_testing.rst
D	doc/source/users_guide/use_cases/basics-a-basic-example.rst
D	doc/source/users_guide/use_cases/basics-setting-up-a-branch-or-hybrid-run.rst
D	doc/source/users_guide/use_cases/cesm-nml.rst
D	doc/source/users_guide/use_cases/datamod-nml.rst
D	doc/source/users_guide/use_cases/driver-nml.rst
D	doc/source/users_guide/use_cases/namelist-gen.rst
D	doc/source/users_guide/use_cases/use-cases.rst
A	doc/source/users_guide/workflows.rst
M	doc/tools_autodoc.cfg
M	doc/tools_autodoc.py
M	scripts/Tools/xmlquery
D	scripts/manage_pes
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-17-2018
Tag: cime_cesm2_0_rel_02
Answer Changes: Round Off for Cheyenne gnu
Tests: scripts_regression_tests, prealpha gnu tests on cheyenne
Dependencies:

Brief Summary:
    - Update Cheyenne gnu compiler to 7.3.0

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
    Merge pull request #2611 from ESMCI/fischer/gnu7

Modified files: git diff --name-status [previous_tag]
M       config/cesm/machines/config_compilers.xml
M       config/cesm/machines/config_machines.xml

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-17-2018
Tag: cime_cesm2_0_rel_01
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Move cam section out of config archive.
    - Add commas to output using --value.
    - Fix multisubmit tests were not resubmitting.
    - A new script to add additional metadata for stat ensemble test.
    - Fix formatting issue.
    - Update iyear for 2000 runs.
    - Merge branch 'master' of github.com:ESMCI/cime
    - These grids are needed for cime standalone testing.
    - Updated the wrappers for the ESMF mapping tools to work on NCAR machines. 

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
950cda0 Merge pull request #2608 from jedwards4b/config_archive_dist
2e997e0 Merge pull request #2607 from jedwards4b/xmlquery_multivalue
f1d501f Merge pull request #2600 from jedwards4b/test_issues
5c256ec Merge pull request #2582 from jedwards4b/stattest_add_metadata
8ce38a4 fix formatting issue
6c53cfc Merge pull request #2594 from jedwards4b/orb_iyear_2000
c04da3c Merge branch 'master' of github.com:ESMCI/cime
166a40c these grids are needed for cime standalone testing
7cef855 Merge pull request #2589 from mnlevy1981/mlevy/mapping_on_geyser

Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_archive.xml
M	config/cesm/config_grids.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.test
M	config/cesm/machines/template.st_archive
M	scripts/Tools/xmlquery
M	scripts/lib/CIME/SystemTests/pet.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_base.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/case/case_st_archive.py
M	scripts/lib/CIME/test_scheduler.py
M	src/components/data_comps/datm/datm_comp_mod.F90
M	src/components/data_comps/datm/mct/atm_comp_mct.F90
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	tools/mapping/check_maps/README
M	tools/mapping/check_maps/check_map.sh
M	tools/mapping/check_maps/src/ESMF_RegridWeightGenCheck.F90
M	tools/mapping/check_maps/src/Makefile
M	tools/mapping/gen_domain_files/src/.gitignore
M	tools/mapping/gen_domain_files/src/Makefile
A	tools/mapping/gen_mapping_files/.gitignore
M	tools/mapping/gen_mapping_files/README
M	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/.gitignore
M	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/README
M	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/create_ESMF_map.sh
D	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/regridbatch.yellowstone.sh
M	tools/mapping/gen_mapping_files/gen_cesm_maps.sh
M	tools/mapping/gen_mapping_files/runoff_to_ocn/.gitignore
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/Makefile
M	tools/mapping/map_field/.gitignore
M	tools/mapping/map_field/README
M	tools/mapping/map_field/src/Makefile
M	tools/statistical_ensemble_test/README
A	tools/statistical_ensemble_test/addmetadata.sh
A	tools/statistical_ensemble_test/ensemble.py
A	tools/statistical_ensemble_test/single_run.py


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-14-2018
Tag: cime5.6.7
Answer Changes: None
Tests: scripts_regression_tests, xmlquery --listall --file env_run.xml
Dependencies:

Brief Summary:
    - xmlquery fix.
    - Fixes an issue when selecting mpilib on cheyenne.
    - Fixed some print format bugs left over from the string rewrite of a year ago.
    - Documentation updates, including major updates to --help for scripts.
    - Need to append config files.
    - Get model_version working.
    - Adds T85_T85_mg17 grid.
    - Correct spelling of protocol.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
5a54b88 Merge pull request #2588 from jedwards4b/xmlquery_fix
0b07cb5 Merge pull request #2591 from jedwards4b/configure_mpilib
5f4c8e4 Merge pull request #2586 from gold2718/pelayout_fixes
6ebcd23 Merge pull request #2585 from ESMCI/mvertens/documentation_updates
940e29c need this to append config files
72a1cf6 Merge pull request #2579 from ekluzek/clm50r1/cime5.6.3
b86853d Merge pull request #2575 from jedwards4b/newgrid
fcebaad Merge pull request #2571 from jedwards4b/misspelling_protocol


Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_grids.xml
M	config/cesm/config_inputdata.xml
M	config/e3sm/config_inputdata.xml
M	config/xml_schemas/config_inputdata.xsd
M	doc/source/conf.py
M	doc/source/users_guide/building-a-case.rst
M	doc/source/users_guide/cime-config.rst
M	doc/source/users_guide/cloning-a-case.rst
M	doc/source/users_guide/porting-cime.rst
M	doc/source/users_guide/running-a-case.rst
M	doc/source/users_guide/testing.rst
M	scripts/Tools/case.build
M	scripts/Tools/case.cmpgen_namelists
M	scripts/Tools/case.qstatus
M	scripts/Tools/case.setup
M	scripts/Tools/case.submit
M	scripts/Tools/check_case
M	scripts/Tools/check_input_data
M	scripts/Tools/pelayout
M	scripts/Tools/preview_namelists
M	scripts/Tools/preview_run
M	scripts/Tools/xmlchange
M	scripts/Tools/xmlquery
M	scripts/create_clone
M	scripts/create_newcase
M	scripts/create_test
M	scripts/lib/CIME/Servers/ftp.py
M	scripts/lib/CIME/Servers/gftp.py
M	scripts/lib/CIME/Servers/svn.py
M	scripts/lib/CIME/Servers/wget.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/inputdata.py
M	scripts/lib/CIME/case/check_input_data.py
M	scripts/lib/CIME/utils.py
M	scripts/query_config
M	scripts/query_testlists
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	tools/configure

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-02-2018
Tag: cime5.6.3
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Fix config write of logical.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
974839b fix config write of logical

Modified files: git diff --name-status [previous_tag]
M       scripts/Tools/case.submit


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 5-01-2018
Tag: cime5.6.2
Answer Changes: None
Tests: load_balancing_test.py
       hand tested create_newcase --case foo --compset QSC6 --res f19_f19_mg17 
Dependencies:

Brief Summary:
    - Refine distinction of E vs Q compset.
    - Update load balance tool.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
b2a19cd Merge pull request #2525 from jedwards4b/better_distinguish_compset_Q_from_E
28b8634 Merge pull request #2520 from ESMCI/sarich/update-loadbalancingtool

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/case/case.py
M       tools/load_balancing_tool/load_balancing_submit.py
M       tools/load_balancing_tool/tests/load_balancing_test.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 5-01-2018
Tag: cime5.6.1
Answer Changes: None, PR #2195 has roundoff for code not currently used.
Tests: scripts_regression_tests, code_checker, by-hand
Dependencies:

Brief Summary:
    - Refine cheyenne retry method.
    - Save submit options for resubmit.
    - Need schema description for NODE_FAIL_REGEX.
    - Use nodefail code for cheyenne.
    - Make st_archive handle DART's restart history files.
    - Check input logic fix.
    - Only check for rundir if not a test.
    - Jgfouca/branch for acme split 2018-04-26.
    - Correct equations of the form **(1/3) to be **(1.0_R8/3.0_R8) to evaluate correctly.
    - Remove debug print statements.
    - Revert change to cheyenne mpt.
    - Remove manage_testlist.
    - Testreporter fix.
    - Match entire string for XML attribute selectors for env_mach_specific.
    - Fix undefined variable in some circumstances.
    - wait_for_tests needs to upload case2 logs if there are some
    - Another fix for testreporter.py.

User interface changes: 
    - manage_testlist was removed.
    - Changes to matching behavior in env_mach_specific.
    - New option to wait_for_tests.

PR summary: git log --oneline --first-parent [previous_tag]..master 
5af0e02 Merge pull request #2516 from jedwards4b/refine_retry
5e8a173 Merge pull request #2518 from jedwards4b/save_submit_options
1d7a27d need schema description for NODE_FAIL_REGEX
879249b Merge pull request #2509 from jedwards4b/cheyenne_nodefail
40cf173 Merge pull request #2491 from kdraeder/dart_rh_files
988eff2 Merge pull request #2501 from jedwards4b/check_input_logic_fix
7ee7a0d Merge pull request #2508 from jedwards4b/test_init_fix
fbe0814 Merge pull request #2505 from ESMCI/jgfouca/branch-for-acme-split-2018-04-26
8977e55 Merge pull request #2195 from jedwards4b/diurnal_atmocn_flux_bugfix
4e489b7 remove debug print statements
438e1f0 revert change to cheyenne mpt
2e0ba3b Merge pull request #2503 from ESMCI/fischer/rm_manage_testlist
cf19590 Merge pull request #2502 from ESMCI/fischer/testreporter_fix
1a7dac9 Merge pull request #2499 from ESMCI/jgfouca/match_entire_string
71be68f Fix undefined variable in some circumstances
6673d6a Merge pull request #2498 from ESMCI/jgfouca/wait_for_tests_case2
8360ddc Merge pull request #2494 from ESMCI/fischer/test_reporter


Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_archive.xml
M	config/cesm/machines/config_machines.xml
M	config/e3sm/allactive/config_compsets.xml
M	config/e3sm/allactive/config_pesall.xml
M	config/e3sm/config_archive.xml
M	config/e3sm/config_files.xml
M	config/e3sm/config_grids.xml
M	config/e3sm/config_inputdata.xml
M	config/e3sm/machines/Depends.titan.pgi
M	config/e3sm/machines/config_batch.xml
M	config/e3sm/machines/config_compilers.xml
M	config/e3sm/machines/config_machines.xml
M	config/e3sm/testmods_dirs/allactive/v1cmip6/user_nl_cam
M	config/e3sm/tests.py
A	config/e3sm/usermods_dirs/README
D	config/e3sm/usermods_dirs/b1850/shell_commands
D	config/e3sm/usermods_dirs/b1850_cism/include_user_mods
D	config/e3sm/usermods_dirs/b1850_cism/user_nl_cism
M	config/xml_schemas/config_machines.xsd
M	doc/source/users_guide/testing.rst
M	scripts/Tools/case.submit
M	scripts/Tools/jenkins_generic_job
M	scripts/Tools/wait_for_tests
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/test_reporter.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case/case_run.py
M	scripts/lib/CIME/case/case_st_archive.py
M	scripts/lib/CIME/case/case_submit.py
M	scripts/lib/CIME/case/check_input_data.py
M	scripts/lib/CIME/wait_for_tests.py
M	scripts/lib/get_tests.py
D	scripts/manage_testlists
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_e3sm.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/share/util/shr_flux_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-19-2018
Tag: cime5.6.0
Answer Changes: None
Tests: scripts_regression_tests 
Dependencies:

Brief Summary:
    - Don't access data servers if no data is needed.
    - Add a test of the st_archive capability.
    - Improve help message for resubmitting to dash.
    - Simple compare improvement.
    - Force the NODEFAIL test to run on the cheyenne regular queue.
    - Download refcase from servers for hybrid.
    - Add a warning if an unsupported testlist.xml is encountered.
    - Replace TOTALPES with total_tasks.
    - Fix massive misuse of TOTALPES for mpi -np all across e3sm.
    - Fix test_scheduler's computation of procs needed for a test.
    - Transition CIME to using a custom util for copying files.
    - Minor fix to help msgs for options for e3sm mgmt tools.

User interface changes: 
    - case.st_archive now has a --test option.

PR summary: git log --oneline --first-parent [previous_tag]..master 
0cd58a7 Merge pull request #2489 from jedwards4b/nodatanoserver
aeb0f47 Merge pull request #2470 from jedwards4b/st_archive_test
f1c2759 Improve help message for resubmitting to dash
afc640c Merge pull request #2487 from jedwards4b/simple_compare_improvement
9410812 Merge pull request #2486 from jedwards4b/nodefail_fix
d3c73b7 Merge pull request #2481 from jedwards4b/cid_decesm
b0afec2 Merge pull request #2482 from jedwards4b/testlist_format
3874d08 replace TOTALPES with total_tasks
28265be Fix massive misuse of TOTALPES for mpi -np all across e3sm
9344b16 Merge pull request #2479 from ESMCI/jgfouca/fix_test_sched_procs_needed
f48c994 Merge pull request #2475 from ESMCI/jgfouca/safer_copy
adae0ae Minor fix to help msgs for options for e3sm mgmt tools

Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_archive.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.st_archive
M	config/e3sm/config_archive.xml
M	config/e3sm/machines/config_machines.xml
M	config/e3sm/machines/template.st_archive
M	config/xml_schemas/config_archive.xsd
M	scripts/Tools/e3sm_cime_merge
M	scripts/Tools/e3sm_cime_split
M	scripts/lib/CIME/BuildTools/configure.py
M	scripts/lib/CIME/Servers/ftp.py
M	scripts/lib/CIME/Servers/gftp.py
M	scripts/lib/CIME/Servers/svn.py
M	scripts/lib/CIME/Servers/wget.py
M	scripts/lib/CIME/SystemTests/eri.py
M	scripts/lib/CIME/SystemTests/err.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/archive.py
A	scripts/lib/CIME/XML/archive_base.py
M	scripts/lib/CIME/XML/env_archive.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/testlist.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case/case.py
M	scripts/lib/CIME/case/case_clone.py
M	scripts/lib/CIME/case/case_cmpgen_namelists.py
M	scripts/lib/CIME/case/case_run.py
M	scripts/lib/CIME/case/case_setup.py
M	scripts/lib/CIME/case/case_st_archive.py
M	scripts/lib/CIME/case/check_input_data.py
M	scripts/lib/CIME/case/preview_namelists.py
M	scripts/lib/CIME/get_timing.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/locked_files.py
M	scripts/lib/CIME/simple_compare.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/user_mod_support.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/CIME/wait_for_tests.py
M	scripts/lib/jenkins_generic_job.py
M	scripts/tests/scripts_regression_tests.py
M	src/drivers/mct/cime_config/config_archive.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-17-2018
Tag: cime5.4.0-alpha.30
Answer Changes: None
Tests: scripts_regression_tests, code checker 
Dependencies:

Brief Summary:
    - Change the CESM inputdata server precedence order to gridftp, svn, ftp, wget.
    - Fix totalpes to properly include threads.
    - Refactor BUILD_THREADED case value.

User interface changes: 
    - New FORCE_BUILD_THREADED.

PR summary: git log --oneline --first-parent [previous_tag]..master 
9af0120 Merge pull request #2477 from ESMCI/fischer/gftp_svn_ftp
d556876 Merge pull request #2465 from jedwards4b/fix_totalpes
ed78b14 Merge pull request #2466 from ESMCI/jgfouca/refactor_build_threaded

Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_inputdata.xml
M       config/cesm/machines/config_batch.xml
M       config/config_tests.xml
M       scripts/Tools/Makefile
M       scripts/create_test
M       scripts/fortran_unit_testing/run_tests.py
M       scripts/lib/CIME/case/case.py
M       scripts/lib/CIME/case/case_setup.py
M       scripts/lib/CIME/hist_utils.py
M       scripts/lib/CIME/test_utils.py
M       scripts/manage_pes
M       scripts/manage_testlists
M       scripts/tests/scripts_regression_tests.py
M       src/build_scripts/buildlib.gptl
M       src/build_scripts/buildlib.pio
M       src/drivers/mct/cime_config/config_component.xml

======================================================================

======================================================================
Originator: Chris Fischer 
Date: 4-13-2018
Tag: cime5.4.0-alpha.29
Answer Changes: None
Tests: scripts_regression_tests
       code_checker, testing by hand
Dependencies:

Brief Summary:
    - Fix variable initialization.
    - Add model doi url to seq_infodata and to cpl history global attributes.
    - Remove the LOGDIR variable and stop copying logs back to the case directory.
    - Fix env_mach_specific.sh file when module init is None.
    - Support renamed glimmer-cism directory; add README files to SourceMods directories.
    - Add f10_f10_mg37 grid.
    - Update casename restrictions.
    - Update statistical ensemble test for new verison of CESM.
    - Add PEM test to cime developer.
    - Add inputdata servers for grid ftp, ftp, and wget.
    - Use --no-logging in call to checkout_externals.
    - Add support for stampede2-skx and stampede2-knl at TACC.
    - split_test_py
    - Merge commit '20e3277dd143e4058ffa0ef610180c199cbb6ea1'
    - E3SM split.
    - PEA and PEM need to call case_setup for case2.
    - Revert small piece of #2299.
    - Fixes the potential leak reported by address sanitizer in PIO.
    - Reorganize Users Guide part 1 and 2 content.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
057e8a5 fix variable initialization
4913315 Merge pull request #2468 from ESMCI/mvertens/model_doi_url
37985f4 Merge pull request #2461 from jedwards4b/remove_logdir
f1f498f Merge pull request #2464 from ESMCI/jgfouca/never_source_none
b16ec34 Merge pull request #2462 from billsacks/rename_glimmer_cism_v2
0cead4e Merge pull request #2463 from ESMCI/fischer/f10_f10_mg37
08e05e2 Merge pull request #2460 from jedwards4b/update_casename_restrictions
578a7ab Merge pull request #2447 from allibco/master
356cec0 Merge pull request #2449 from ESMCI/jgfouca/add_pem_test_to_cimedev
a1d7814 Merge pull request #2439 from jedwards4b/addgridftp
0126382 Merge pull request #2444 from billsacks/manic_no_logging
dd58d01 Merge pull request #2440 from ESMCI/fischer/stampede2
9febe47 Merge branch 'jgfouca/split_test_py'
35a70fc Merge commit '20e3277dd143e4058ffa0ef610180c199cbb6ea1'
b06a755 Merge pull request #2433 from ESMCI/jgfouca/branch-for-acme-split-2018-04-09
f18bc36 Merge pull request #2437 from jedwards4b/fixpeaandpem
826c8ec Merge pull request #2434 from ESMCI/jgfouca/minor_seq_comm_mct_revert
35ce6f1 Merge pull request #2432 from ESMCI/mfdeakin-sandia/fix_pio_reported_leak
67088a3 Merge pull request #2407 from ESMCI/rljacob/docs/reorg-ug


Modified files: git diff --name-status [previous_tag]
M	config/cesm/config_grids.xml
M	config/cesm/config_inputdata.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/e3sm/allactive/config_compsets.xml
M	config/e3sm/allactive/config_pesall.xml
M	config/e3sm/config_archive.xml
M	config/e3sm/config_files.xml
A	config/e3sm/machines/Depends.summit.ibm
A	config/e3sm/machines/Depends.theta.intel
M	config/e3sm/machines/config_batch.xml
M	config/e3sm/machines/config_compilers.xml
M	config/e3sm/machines/config_machines.xml
D	config/e3sm/testmods_dirs/allactive/cam/cosplite/user_nl_cam
D	config/e3sm/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
D	config/e3sm/testmods_dirs/allactive/cam/cosplite_nhtfrq5/user_nl_cam
D	config/e3sm/testmods_dirs/allactive/cam/cosplite_nhtfrq5/xmlchange_cmnds
D	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/user_nl_cam
D	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/xmlchange_cmnds
D	config/e3sm/testmods_dirs/allactive/cam/rtm_null/xmlchange_cmnds
D	config/e3sm/testmods_dirs/allactive/clm/betr/xmlchange_cmnds
D	config/e3sm/testmods_dirs/allactive/clm/bgcexp/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/clm/bgcexp/xmlchange_cmnds
D	config/e3sm/testmods_dirs/allactive/clm/bgcinterface/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/clm/eca/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/clm/fates/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/clm/rd/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/clm/vst/user_nl_clm
D	config/e3sm/testmods_dirs/allactive/drv/y100k
D	config/e3sm/testmods_dirs/allactive/force_netcdf_pio/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/v1cmip6/shell_commands
D	config/e3sm/testmods_dirs/allactive/v1cmip6/xmlchange_cmnds
A	config/e3sm/tests.py
M	config/xml_schemas/config_inputdata.xsd
M	doc/source/index.rst
D	doc/source/users_guide/adding-cases.rst
D	doc/source/users_guide/case-basics.rst
A	doc/source/users_guide/cime-config.rst
M	doc/source/users_guide/cime-internals.rst
A	doc/source/users_guide/compsets.rst
M	doc/source/users_guide/create-a-case.rst
D	doc/source/users_guide/creating-new-compsets.rst
D	doc/source/users_guide/customizing-a-case.rst
A	doc/source/users_guide/grids.rst
M	doc/source/users_guide/index.rst
A	doc/source/users_guide/machine.rst
D	doc/source/users_guide/optimizing-processor-layout.rst
A	doc/source/users_guide/pes-threads.rst
M	doc/source/users_guide/porting-cime.rst
M	doc/source/users_guide/running-a-case.rst
M	doc/source/users_guide/testing.rst
A	doc/source/users_guide/timers.rst
M	doc/source/users_guide/use_cases/basics-a-basic-example.rst
D	doc/source/users_guide/use_cases/basics-mpi-example.rst
A	doc/source/users_guide/use_cases/cesm-nml.rst
A	doc/source/users_guide/use_cases/datamod-nml.rst
A	doc/source/users_guide/use_cases/driver-nml.rst
A	doc/source/users_guide/use_cases/namelist-gen.rst
M	doc/source/users_guide/use_cases/use-cases.rst
M	scripts/Tools/Makefile
M	scripts/Tools/list_e3sm_tests
D	scripts/Tools/update_e3sm_tests
M	scripts/create_test
M	scripts/lib/CIME/Servers/__init__.py
M	scripts/lib/CIME/Servers/ftp.py
A	scripts/lib/CIME/Servers/gftp.py
M	scripts/lib/CIME/SystemTests/pea.py
M	scripts/lib/CIME/SystemTests/pem.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case/case.py
M	scripts/lib/CIME/case/case_clone.py
M	scripts/lib/CIME/case/case_run.py
M	scripts/lib/CIME/case/check_input_data.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/utils.py
A	scripts/lib/get_tests.py
D	scripts/lib/update_e3sm_tests.py
M	scripts/tests/scripts_regression_tests.py
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/config_component_e3sm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/main/seq_hist_mod.F90
M	src/drivers/mct/main/seq_io_mod.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90
M	src/externals/pio1/pio/piodarray.F90.in
M	src/share/timing/ChangeLog
M	src/share/timing/gptl.h
M	src/share/timing/private.h
M	tools/statistical_ensemble_test/README
M	tools/statistical_ensemble_test/ensemble.sh
M	tools/statistical_ensemble_test/single_run.sh
======================================================================
======================================================================

Originator: Chris Fischer 
Date: 4-06-2018
Tag: cime5.4.0-alpha.28
Answer Changes: None
Tests: ERI.f09_g17.B1850.cheyenne_intel.allactive-defaultio 
       scripts_regression_tests.py
       code_checker
Dependencies:

Brief Summary:
    - py3 fix
    - Fix for ERI test.
    - More fixes for archiver and tests.
    - cime_bisect improvements.
    - ERS and ERI tests need skip_pnl=False.
    - More fixes related to cesm testing.
    - CESM test fixes.
    - Refactor crucial run_sub_or_cmd method.
    - Restore shell batch capability.

User interface changes: 
    - New custom script option.

PR summary: git log --oneline --first-parent [previous_tag]..master 
35fd3d1 py3 fix
6c6d3b5 Merge pull request #2429 from jedwards4b/eri_fix
83ef1ba Merge pull request #2426 from jedwards4b/archiver_and_test_fixes
58f020d Merge pull request #2425 from ESMCI/jgfouca/cime_bisect_improvements
3c3fdeb Merge pull request #2424 from jedwards4b/cesm_sta_fixes
603d5da Merge pull request #2423 from jedwards4b/cesm_sta_fixes
fc83e87 Merge pull request #2422 from jedwards4b/cesm_sta_fixes
7602f4b Merge pull request #2420 from ESMCI/jgfouca/refactor_run_sub_or_cmd
d9e3cdf Merge pull request #2419 from ESMCI/jgfouca/restore_shell_batch

Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_archive.xml
M       scripts/Tools/cime_bisect
M       scripts/Tools/mkSrcfiles
M       scripts/lib/CIME/SystemTests/eri.py
M       scripts/lib/CIME/SystemTests/erp.py
M       scripts/lib/CIME/SystemTests/ers.py
M       scripts/lib/CIME/SystemTests/irt.py
M       scripts/lib/CIME/SystemTests/nck.py
M       scripts/lib/CIME/SystemTests/seq.py
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/build.py
M       scripts/lib/CIME/case/case_run.py
M       scripts/lib/CIME/case/case_setup.py
M       scripts/lib/CIME/case/case_st_archive.py
M       scripts/lib/CIME/test_scheduler.py
M       scripts/lib/CIME/utils.py
M       src/drivers/mct/cime_config/config_archive.xml
M       src/share/util/shr_scam_mod.F90


======================================================================


======================================================================

Originator: Chris Fischer
Date: 4-03-2018
Tag: cime5.4.0-alpha.27
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Avoid encode error.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
018c8e9 avoid encode error


Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/test_scheduler.py

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-02-2018
Tag: cime5.4.0-alpha.26
Answer Changes: None
Tests: scripts_regression_tests
       high-res couple runs on Theta and Cori-KNL
       ./create_test cime_developer on hobart
       hand testing
       e3sm_developer
       code_checker
Dependencies:

Brief Summary:
    - Remove the run_e3sm testing scripts from the CIME repo.
    - Fix pylint
    - Update hobart queue limits.
    - Allow env vars to be unresolved.
    - Add mosart restart history to archive list.
    - Improve cprnc build.
    - External script handling.
    - Update MPI message tags in coupler-component exchanges.
    - Always downscale walltime for tests.
    - st_archive the DART restart history files.
    - Do not make unnecessary env_batch jobs or batch job scripts.
    - Add unofficial support for shell version of case.run batch script.
    - Remove test mod from cime_developer PET test.
    - Only set and check glcrun_avg_alarm if glc_prognostic is true.
    - Branch for acme split 2018-03-27.
    - Allow case_diff to work on cases that are not tests.
    - Locals method did not work in py3, using getattr instead works in both.
    - env_mach_specific was coded to always try to combine module operations. 
      Instead, it should only do that for "module" module systems.
    - Rearrange case subdirectory.
    - Remove text 'ccsm' and 'cesm' and replace appropriately.
    - Add comment.
    - Permit IOErrors as well as OSErrors when trying to copy crpnc log.
    - Update MCT to 2.10rc2.
    - Make case tools part of the Case object.
    - Cleanup acme -> e3sm references in rst documentation.
    - Add an A and X compset test to aux_cime_baselines.
    - Compare two case setup.
    - Remove old pointclm directory.
    - Update key concepts documentation.
    - Fix skip-pnl for tests.
    - Order e3sm test list by runtime.
    - Update to newer version of cprnc on hobart.
    - Support full matching restrictions for batch directives.
    - Ignore files beginning in test_.
    - More updates to e3sm cime mgmt.
    - Rename and reorg upper level contents. 
    - Move example of query_config to introduction.
    - Add switch to list of module actions that cannot be batched.
    - Improve create_test error message.
    - Allow custom batch directive prefixes.
    - Provide infrastructure to allow single column model to run with SE dycore.
    - Branch for acme split 2018-03-13. 
    - Add better output to cime mgmt tool.
    - Add stack size modifier to hobart.
    - Add ability to xmlquery derived attributes.
    - Modify regex for hobart to work on compute nodes.
    - Make sure to clean repo before doing cime updates.
    - st archive/encapsulate datetime.
    - lawrencium machine cesm entries.
    - Add a CONTRIBUTING file welcoming contributions and giving some brief guidance.
    - Documentation updates for user customization.
    - Fix XML errors in config_archive for E3SM.
    - Implement improvements to st_archive regular expressions.
    - Remove the run_e3sm testing scripts from the CIME repo.

User interface changes: 
    - env_archive.xml
    - .case.run.sh file generated for E3SM.
    - New selectors allowed for batch directives.
    - Source code files beginning in test_ will be ignored in build.
    - New prefix attribute available for batch directives.
    - xmlquery will now accept derived attributes.
    - Users may run on lawrencium lr3/lr2.
    - In env_archive.xml.

PR summary: git log --oneline --first-parent [previous_tag]..master 
de9dc73 Merge pull request #2418 from ESMCI/mfdeakin-sandia/rm_run_e3sm_testing
e9e89bc Fix pylint
150db63 Merge pull request #2362 from mnlevy1981/cesm/hobart_updates
bf467f3 Merge pull request #2412 from jedwards4b/allow_unresolved_envvars
6605d4d add mosart restart history to archive list
6652100 Merge pull request #2417 from jedwards4b/cprnc_build
ed4130b Merge pull request #2413 from jedwards4b/external_script_handling
020fd34 Merge pull request #2397 from ESMCI/azamat/update-msgtag-in-cpl-comp-exchanges
43bfaef Merge pull request #2410 from ESMCI/jgfouca/downscale_walltime_force_queue
8799abc Merge pull request #2415 from kdraeder/dart_rest_hist
7d9c9c5 Merge pull request #2405 from ESMCI/jgfouca/cleanup_envbatch_and_batch_scripts
74696ed Merge pull request #2386 from ESMCI/jgfouca/e3sm_bash_batch
5539ece Remove test mod from cime_developer PET test
39fd78e Merge pull request #2404 from billsacks/glcrun_avg_alarm
356fda0 Merge pull request #2406 from ESMCI/jgfouca/branch-for-acme-split-2018-03-27
19675f9 Merge pull request #2398 from ESMCI/jgfouca/fix_case_diff_newcase
07a6b94 Merge pull request #2400 from jedwards4b/py3_fix
04929cf Merge pull request #2396 from ESMCI/jgfouca/fix_soft_env_files
e425f67 Merge pull request #2389 from jedwards4b/rearrange_case
c1a43b2 Merge pull request #2392 from jedwards4b/deccsmize
1178fe3 Add coment
6ea8e9e Permit IOErrors as well as OSErrors when trying to copy crpnc log
ac82489 Merge pull request #2374 from ESMCI/rljacob/update-mct-2.10rc2
0ca70da Merge pull request #2382 from jedwards4b/compare_two_case_setup
bbf8938 Merge pull request #2384 from bertinia/master
81674ac Merge pull request #2383 from ESMCI/fischer/aux_cime
d8c4c98 Merge pull request #2378 from jedwards4b/compare_two_case_setup
191d9f2 Merge pull request #2380 from ESMCI/rljacob/remove-old-pointclm
aca08fb Merge pull request #2370 from ESMCI/rljacob/update-concepts
c3b080b Merge pull request #2373 from ESMCI/jgfouca/fix_skip_pnl_tests
8fc1332 Merge pull request #2372 from ESMCI/jgfouca/create_test_order_tests
02d9896 Merge pull request #2371 from ESMCI/fischer/cprnc
8f4dadd Merge pull request #2369 from ESMCI/jgfouca/support_full_matching_for_batch_directives
5dc8b87 Merge pull request #2366 from jedwards4b/mkSrcchange
18ca549 Merge pull request #2367 from ESMCI/jgfouca/more_updates_to_e3sm_cime_mgmt
e952232 Merge pull request #2365 from ESMCI/rljacob/update-contents
1f355e1 Merge pull request #2364 from ESMCI/rljacob/move-querydoc
8fce4aa Add switch to list of module actions that cannot be batched
72bfc32 Merge pull request #2352 from ESMCI/jgfouca/improve_create_test_err_msg
a61a911 Merge pull request #2359 from ESMCI/jgfouca/allow_custom_directive_prefix
5e97685 Merge pull request #2344 from ESMCI/bogensch/SCM_SESCM
ec55a15 Merge pull request #2357 from ESMCI/jgfouca/branch-for-acme-split-2018-03-13
3bdab2c Add better output to cime mgmt tool
336f6d4 Merge pull request #2356 from jedwards4b/hobart_regex_update
e078c25 Merge pull request #2355 from ESMCI/jgfouca/xmlquery_derived_attributes
156458f Merge pull request #2354 from jedwards4b/hobart_regex_update
8597596 Make sure to clean repo before doing cime updates
0fe7a9e Merge pull request #2347 from ESMCI/mfdeakin-sandia/st_archive/encapsulate_datetime
c0272bf Merge pull request #2350 from rgknox/rgknox-lawrencium-mach
28270b7 Merge pull request #2346 from ESMCI/rljacob/add-contributing
46f371a Merge pull request #2345 from ESMCI/mvertens/addition_to_docs
2b51643 Fix XML errors in config_archive for e3
df4f779 Implement improvements to st_archive regular expressions


Modified files: git diff --name-status [previous_tag]
M	.gitignore
A	CONTRIBUTING.md
M	ChangeLog
M	config/cesm/config_archive.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
M	config/cesm/machines/template.case.test
M	config/cesm/machines/template.st_archive
M	config/config_headers.xml
M	config/e3sm/allactive/config_compsets.xml
M	config/e3sm/allactive/config_pesall.xml
D	config/e3sm/allactive/usermods_dirs/b1850/shell_commands
D	config/e3sm/allactive/usermods_dirs/b1850_cism/include_user_mods
D	config/e3sm/allactive/usermods_dirs/b1850_cism/user_nl_cism
M	config/e3sm/config_archive.xml
M	config/e3sm/config_files.xml
M	config/e3sm/config_grids.xml
A	config/e3sm/machines/Depends.summit.pgiacc
M	config/e3sm/machines/config_batch.xml
M	config/e3sm/machines/config_compilers.xml
M	config/e3sm/machines/config_machines.xml
M	config/e3sm/machines/syslog.anvil
M	config/e3sm/machines/syslog.cetus
M	config/e3sm/machines/syslog.cori-haswell
M	config/e3sm/machines/syslog.cori-knl
M	config/e3sm/machines/syslog.edison
M	config/e3sm/machines/syslog.mira
M	config/e3sm/machines/syslog.theta
M	config/e3sm/machines/syslog.titan
M	config/e3sm/machines/template.case.run
A	config/e3sm/machines/template.case.run.sh
M	config/e3sm/machines/template.case.test
M	config/e3sm/machines/template.st_archive
A	config/e3sm/testmods_dirs/allactive/clm/bgcexp/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/bgcexp/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/mach/pet/shell_commands
A	config/e3sm/testmods_dirs/allactive/v1cmip6/README
A	config/e3sm/testmods_dirs/allactive/v1cmip6/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/v1cmip6/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/v1cmip6/xmlchange_cmnds
A	config/e3sm/usermods_dirs/b1850/shell_commands
A	config/e3sm/usermods_dirs/b1850_cism/include_user_mods
A	config/e3sm/usermods_dirs/b1850_cism/user_nl_cism
M	config/xml_schemas/config_batch.xsd
M	doc/source/build_cpl/index.rst
M	doc/source/conf.py
M	doc/source/data_models/data-ocean.rst
M	doc/source/data_models/index.rst
M	doc/source/driver_cpl/index.rst
M	doc/source/index.rst
A	doc/source/misc_tools/ect.rst
M	doc/source/misc_tools/index.rst
M	doc/source/users_guide/adding-cases.rst
M	doc/source/users_guide/building-a-case.rst
M	doc/source/users_guide/case-basics.rst
M	doc/source/users_guide/cime-internals.rst
A	doc/source/users_guide/creating-new-compsets.rst
M	doc/source/users_guide/index.rst
M	doc/source/users_guide/introduction-and-overview.rst
M	doc/source/users_guide/porting-cime.rst
M	doc/source/users_guide/testing.rst
M	doc/source/what_cime/index.rst
D	doc/source/xml_files/acme.rst
M	doc/source/xml_files/drivers.rst
A	doc/source/xml_files/e3sm.rst
M	doc/source/xml_files/index.rst
M	doc/tools_autodoc.cfg
M	scripts/Tools/case.cmpgen_namelists
M	scripts/Tools/case.setup
M	scripts/Tools/case.submit
M	scripts/Tools/case_diff
M	scripts/Tools/check_case
M	scripts/Tools/check_input_data
M	scripts/Tools/check_lockedfiles
M	scripts/Tools/e3sm_cime_merge
M	scripts/Tools/e3sm_cime_split
M	scripts/Tools/mkSrcfiles
D	scripts/Tools/pointclm/README
D	scripts/Tools/pointclm/makepointdata.py
D	scripts/Tools/pointclm/pointCLM.py
D	scripts/Tools/pointclm/post_process.py
D	scripts/Tools/pointclm/site_fullrun.py
M	scripts/Tools/preview_namelists
M	scripts/Tools/preview_run
M	scripts/Tools/xmlchange
M	scripts/Tools/xmlquery
M	scripts/create_test
M	scripts/fortran_unit_testing/run_tests.py
M	scripts/lib/CIME/SystemTests/dae.py
M	scripts/lib/CIME/SystemTests/eri.py
M	scripts/lib/CIME/SystemTests/erp.py
M	scripts/lib/CIME/SystemTests/err.py
M	scripts/lib/CIME/SystemTests/irt.py
M	scripts/lib/CIME/SystemTests/ldsta.py
M	scripts/lib/CIME/SystemTests/mcc.py
M	scripts/lib/CIME/SystemTests/nck.py
M	scripts/lib/CIME/SystemTests/ncr.py
M	scripts/lib/CIME/SystemTests/pea.py
M	scripts/lib/CIME/SystemTests/pem.py
M	scripts/lib/CIME/SystemTests/pet.py
M	scripts/lib/CIME/SystemTests/pre.py
M	scripts/lib/CIME/SystemTests/seq.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/pes.py
M	scripts/lib/CIME/build.py
D	scripts/lib/CIME/case.py
A	scripts/lib/CIME/case/README
A	scripts/lib/CIME/case/__init__.py
A	scripts/lib/CIME/case/case.py
A	scripts/lib/CIME/case/case_clone.py
A	scripts/lib/CIME/case/case_cmpgen_namelists.py
A	scripts/lib/CIME/case/case_run.py
A	scripts/lib/CIME/case/case_setup.py
A	scripts/lib/CIME/case/case_st_archive.py
A	scripts/lib/CIME/case/case_submit.py
A	scripts/lib/CIME/case/case_test.py
A	scripts/lib/CIME/case/check_input_data.py
A	scripts/lib/CIME/case/check_lockedfiles.py
A	scripts/lib/CIME/case/preview_namelists.py
D	scripts/lib/CIME/case_clone.py
D	scripts/lib/CIME/case_cmpgen_namelists.py
D	scripts/lib/CIME/case_run.py
D	scripts/lib/CIME/case_setup.py
D	scripts/lib/CIME/case_st_archive.py
D	scripts/lib/CIME/case_submit.py
D	scripts/lib/CIME/case_test.py
D	scripts/lib/CIME/check_input_data.py
D	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/compare_test_results.py
A	scripts/lib/CIME/date.py
M	scripts/lib/CIME/hist_utils.py
A	scripts/lib/CIME/locked_files.py
D	scripts/lib/CIME/preview_namelists.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/tests/case_fake.py
M	scripts/lib/CIME/user_mod_support.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/e3sm_cime_mgmt.py
M	scripts/lib/jenkins_generic_job.py
M	scripts/lib/update_e3sm_tests.py
D	scripts/tests/run_e3sm_ctest/CMakeLists.txt
D	scripts/tests/run_e3sm_ctest/CTestConfig.cmake
D	scripts/tests/run_e3sm_ctest/runE3smTest_template.sh
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/datm/cime_config/config_archive.xml
M	src/components/data_comps/dice/cime_config/config_archive.xml
M	src/components/data_comps/dlnd/cime_config/config_archive.xml
M	src/components/data_comps/docn/cime_config/config_archive.xml
M	src/components/data_comps/drof/cime_config/config_archive.xml
M	src/components/data_comps/dwav/cime_config/config_archive.xml
M	src/drivers/mct/cime_config/config_archive.xml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/config_component_e3sm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/component_mod.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_timemgr_mod.F90
M	src/externals/mct/README
M	src/externals/mct/doc/mct_APIs.tex
M	src/externals/mct/mct/m_Rearranger.F90
M	src/share/streams/shr_dmodel_mod.F90
M	src/share/util/shr_flux_mod.F90
M	src/share/util/shr_scam_mod.F90
M	tools/cprnc/Makefile

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 3-06-2018
Tag: cime5.4.0-alpha.25
Answer Changes: Climate Changing for non-B 1850 compsets in CESM
Tests:  scripts_regression_tests.py
        hand test SMS_P1x4.f19_g16.X
        code checker
        edison build test for A,X, and B1850 compsets
Dependencies:

Brief Summary:
    - Add support for environment and module to depend on job.
    - Fix mistake in scripts-regression-tests help dump.
    - Env batch cleanup
    - Add queue attribute (small cheyenne jobs go to share queue).
    - For Travis-CI build: kick off build on master whenever it's pushed.
    - Reinstate ability to select queue by num tasks.
    - Give st_archive an extra 10 min just to be sure.
    - Refactor handling of small jobs.
    - Report lock file info as debug output.
    - Auto-regen batch files in case_submit.
    - Add travis_ci testing.
    - Supported attribute is string.
    - Cleanup xml.
    - Redo orb_year_defaults for cesm only.
        Expected to change answers for non-B 1850 compsets in CESM
    - Add supported flag to testlist.xml.
    - Big upgrade to scripts_regression_tests argument handling.
    - Update esmf module for edison.nersc.gov.
    - New allow_error field for module system.
    - Fix trivial pylint problem.
    - Add the comment from config_pes.xml to the env_mach_pes.xml file.
    - Refactor _get_datenames to count the correct number of cpl.r files.
    - Change subtree split method.
    - Jgfouca/branch for acme split 2018-02-22.
    - Fix uninitialized variable.
    - python2 needs an init file in Servers.
    - Catch more errors in the testlist schema, remove generic GSW DATM_MODE ignore scripts/cases.
    - Add support for ftp and wget.
    - Add support for provenance in cesm.
    - Swap command cannot be batched together.
    - Add xml support for inputdata server.
    - Fix bug when providing -p PROJECT flag to create_test.
    - Rename acme to e3sm everywhere.
    - Update components' communicator initialization.
    - Make get_components return None instead of fail.

User interface changes: 
    - (cesm only) create_test and query_testlist now have --supported-only flag
    - New allow_error attribute for module systems. 
    - check_input_data replace --svn-loc with --server and --protocol
    - Some Tools with "acme" in the name now say "e3sm".

PR summary: git log --oneline --first-parent [previous_tag]..master 
c9c5695 Merge pull request #2341 from jedwards4b/mpirun_depends_on_queue
7dff579 Fix mistake in scripts-regression-tests help dump
bfb23dd Merge pull request #2339 from jedwards4b/env_batch_cleanup
c19fd3f Merge pull request #2335 from jedwards4b/cheyenne_share_queue
8311f8e Merge pull request #2333 from billsacks/travis_build_master
a5ed418 Merge pull request #2327 from ESMCI/jgfouca/allow_queue_selection_by_task
8f6f199 Give st_archive an extra 10 min just to be sure
751c895 Merge pull request #2326 from ESMCI/jgfouca/refacor_small_jobs
d4fc951 Merge pull request #2325 from ESMCI/jgfouca/adjust_lock_output
a9607d7 Merge pull request #2320 from ESMCI/jgfouca/upgrade_batch_script_handling
e93296a Merge pull request #2324 from jedwards4b/travis_ci
41ef5a3 Merge pull request #2321 from jedwards4b/supported_flag_for_testlist
a714422 Merge pull request #2323 from jedwards4b/cleanup_xml
43c0308 Merge pull request #2290 from jedwards4b/orb_year_defaults
c5aa74b Merge pull request #2316 from jedwards4b/supported_flag_for_testlist
1ac42bb Merge pull request #2319 from ESMCI/jgfouca/script_regr_test_arg_upgrade
fdf7757 Merge pull request #2318 from ESMCI/fischer/edison
68e7b765 Merge pull request #2317 from ESMCI/jgfouca/allow_stderr_in_env_modules
ab6d933 Fix trivial pylint problem
93dde2b Merge pull request #2315 from jedwards4b/add_comment_pes_file
cae9f9a Merge pull request #2285 from kdraeder/multi_drv_kdr
7f8c26a Merge pull request #2314 from ESMCI/jgfouca/chg_subtree_split_method
92ccb83 Merge pull request #2312 from ESMCI/jgfouca/branch-for-acme-split-2018-02-22
c82664e fix uninitialized variable
8a86965 python2 needs an init file in Servers
5af94aa Merge pull request #2300 from ekluzek/testlistxsdgitig
69e35b2 Merge pull request #2311 from jedwards4b/ftpandwget
8baf2bb Merge pull request #2305 from jedwards4b/cesm_provenance
8ac3dd2 Merge pull request #2310 from ESMCI/jgfouca/fix_env_module_operation_batching
ec9483c Merge pull request #2309 from jedwards4b/inputdata
ba3c1fb Merge pull request #2306 from ESMCI/jgfouca/fix_bug_when_setting_proj
6405d72 Merge pull request #2296 from ESMCI/rljacob/acme2e3sm
219ee5a Merge pull request #2299 from ESMCI/azamat/update-seq_comm_setcomm-calls
6c3f484 Merge pull request #2298 from ESMCI/jgfouca/fix_query_config_again


Modified files: git diff --name-status [previous_tag]
M	.gitignore
A	.travis.yml
D	config/acme/allactive/config_compsets.xml
D	config/acme/allactive/config_pesall.xml
D	config/acme/allactive/testlist_allactive.xml
D	config/acme/allactive/usermods_dirs/b1850/shell_commands
D	config/acme/allactive/usermods_dirs/b1850_cism/include_user_mods
D	config/acme/allactive/usermods_dirs/b1850_cism/user_nl_cism
D	config/acme/config_archive.xml
D	config/acme/config_files.xml
D	config/acme/config_grids.xml
D	config/acme/machines/Depends.cetus
D	config/acme/machines/Depends.cray
D	config/acme/machines/Depends.gnu
D	config/acme/machines/Depends.intel
D	config/acme/machines/Depends.mira
D	config/acme/machines/Depends.nag
D	config/acme/machines/Depends.summitdev.ibm
D	config/acme/machines/Depends.summitdev.pgiacc
D	config/acme/machines/Depends.titan.cray
D	config/acme/machines/Depends.titan.intel
D	config/acme/machines/Depends.titan.pgi
D	config/acme/machines/Depends.titan.pgiacc
D	config/acme/machines/README
D	config/acme/machines/config_batch.xml
D	config/acme/machines/config_batch.xsd
D	config/acme/machines/config_compilers.xml
D	config/acme/machines/config_machines.xml
D	config/acme/machines/config_pio.xml
D	config/acme/machines/syslog.anvil
D	config/acme/machines/syslog.cetus
D	config/acme/machines/syslog.cori-haswell
D	config/acme/machines/syslog.cori-knl
D	config/acme/machines/syslog.edison
D	config/acme/machines/syslog.mira
D	config/acme/machines/syslog.noop
D	config/acme/machines/syslog.theta
D	config/acme/machines/syslog.titan
D	config/acme/machines/template.case.run
D	config/acme/machines/template.case.test
D	config/acme/machines/template.ocn_diagnostics
D	config/acme/machines/template.st_archive
D	config/acme/machines/template.timeseries
D	config/acme/machines/userdefined_laptop_template/README.md
D	config/acme/machines/userdefined_laptop_template/config_compilers.xml
D	config/acme/machines/userdefined_laptop_template/config_machines.xml
D	config/acme/machines/userdefined_laptop_template/config_pes.xml
D	config/acme/testmods_dirs/allactive/cam/cosplite/user_nl_cam
D	config/acme/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/cam/cosplite_nhtfrq5/user_nl_cam
D	config/acme/testmods_dirs/allactive/cam/cosplite_nhtfrq5/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/cam/outfrq9s/user_nl_cam
D	config/acme/testmods_dirs/allactive/cam/outfrq9s/user_nl_clm
D	config/acme/testmods_dirs/allactive/cam/outfrq9s/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/cam/rtm_null/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/clm/betr/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/clm/bgcinterface/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/eca/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/fates/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/rd/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/vst/user_nl_clm
D	config/acme/testmods_dirs/allactive/drv/y100k
D	config/acme/testmods_dirs/allactive/force_netcdf_pio/shell_commands
D	config/acme/testmods_dirs/allactive/force_netcdf_pio/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/mach_mods/shell_commands
M	config/cesm/config_files.xml
A	config/cesm/config_inputdata.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
A	config/e3sm/allactive/config_compsets.xml
A	config/e3sm/allactive/config_pesall.xml
A	config/e3sm/allactive/testlist_allactive.xml
A	config/e3sm/allactive/usermods_dirs/b1850/shell_commands
A	config/e3sm/allactive/usermods_dirs/b1850_cism/include_user_mods
A	config/e3sm/allactive/usermods_dirs/b1850_cism/user_nl_cism
A	config/e3sm/config_archive.xml
A	config/e3sm/config_files.xml
A	config/e3sm/config_grids.xml
A	config/e3sm/config_inputdata.xml
A	config/e3sm/machines/Depends.cetus
A	config/e3sm/machines/Depends.cray
A	config/e3sm/machines/Depends.gnu
A	config/e3sm/machines/Depends.intel
A	config/e3sm/machines/Depends.mira
A	config/e3sm/machines/Depends.nag
A	config/e3sm/machines/Depends.summitdev.ibm
A	config/e3sm/machines/Depends.summitdev.pgiacc
A	config/e3sm/machines/Depends.titan.cray
A	config/e3sm/machines/Depends.titan.intel
A	config/e3sm/machines/Depends.titan.pgi
A	config/e3sm/machines/Depends.titan.pgiacc
A	config/e3sm/machines/README
A	config/e3sm/machines/config_batch.xml
A	config/e3sm/machines/config_compilers.xml
A	config/e3sm/machines/config_machines.xml
A	config/e3sm/machines/config_pio.xml
A	config/e3sm/machines/syslog.anvil
A	config/e3sm/machines/syslog.cetus
A	config/e3sm/machines/syslog.cori-haswell
A	config/e3sm/machines/syslog.cori-knl
A	config/e3sm/machines/syslog.edison
A	config/e3sm/machines/syslog.mira
A	config/e3sm/machines/syslog.noop
A	config/e3sm/machines/syslog.theta
A	config/e3sm/machines/syslog.titan
A	config/e3sm/machines/template.case.run
A	config/e3sm/machines/template.case.test
A	config/e3sm/machines/template.ocn_diagnostics
A	config/e3sm/machines/template.st_archive
A	config/e3sm/machines/template.timeseries
A	config/e3sm/machines/userdefined_laptop_template/README.md
A	config/e3sm/machines/userdefined_laptop_template/config_compilers.xml
A	config/e3sm/machines/userdefined_laptop_template/config_machines.xml
A	config/e3sm/machines/userdefined_laptop_template/config_pes.xml
A	config/e3sm/testmods_dirs/allactive/cam/cosplite/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/cam/cosplite_nhtfrq5/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/cam/cosplite_nhtfrq5/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/cam/rtm_null/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/clm/betr/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/clm/bgcinterface/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/eca/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/fates/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/rd/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/vst/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/drv/y100k
A	config/e3sm/testmods_dirs/allactive/force_netcdf_pio/shell_commands
A	config/e3sm/testmods_dirs/allactive/force_netcdf_pio/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/mach_mods/shell_commands
M	config/xml_schemas/config_batch.xsd
A	config/xml_schemas/config_inputdata.xsd
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/env_batch.xsd
M	config/xml_schemas/env_mach_pes.xsd
M	config/xml_schemas/env_mach_specific.xsd
M	config/xml_schemas/testlist.xsd
D	scripts/Tools/acme_check_env
D	scripts/Tools/acme_cime_merge
D	scripts/Tools/acme_cime_split
M	scripts/Tools/check_input_data
M	scripts/Tools/code_checker
A	scripts/Tools/e3sm_check_env
A	scripts/Tools/e3sm_cime_merge
A	scripts/Tools/e3sm_cime_split
M	scripts/Tools/jenkins_generic_job
D	scripts/Tools/list_acme_tests
A	scripts/Tools/list_e3sm_tests
M	scripts/Tools/preview_run
D	scripts/Tools/update_acme_tests
A	scripts/Tools/update_e3sm_tests
M	scripts/Tools/wait_for_tests
M	scripts/create_test
M	scripts/lib/CIME/BuildTools/makemacroswriter.py
A	scripts/lib/CIME/Servers/__init__.py
A	scripts/lib/CIME/Servers/ftp.py
A	scripts/lib/CIME/Servers/generic_server.py
A	scripts/lib/CIME/Servers/svn.py
A	scripts/lib/CIME/Servers/wget.py
M	scripts/lib/CIME/SystemTests/homme.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_pes.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/files.py
M	scripts/lib/CIME/XML/generic_xml.py
A	scripts/lib/CIME/XML/inputdata.py
M	scripts/lib/CIME/XML/namelist_definition.py
M	scripts/lib/CIME/XML/pes.py
M	scripts/lib/CIME/XML/testlist.py
M	scripts/lib/CIME/aprun.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_run.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/case_st_archive.py
M	scripts/lib/CIME/case_submit.py
M	scripts/lib/CIME/check_input_data.py
M	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/code_checker.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/CIME/wait_for_tests.py
D	scripts/lib/acme_cime_mgmt.py
A	scripts/lib/e3sm_cime_mgmt.py
M	scripts/lib/jenkins_generic_job.py
D	scripts/lib/update_acme_tests.py
A	scripts/lib/update_e3sm_tests.py
D	scripts/tests/run_acme_ctest/CMakeLists.txt
D	scripts/tests/run_acme_ctest/CTestConfig.cmake
D	scripts/tests/run_acme_ctest/runAcmeTest_template.sh
A	scripts/tests/run_e3sm_ctest/CMakeLists.txt
A	scripts/tests/run_e3sm_ctest/CTestConfig.cmake
A	scripts/tests/run_e3sm_ctest/runE3smTest_template.sh
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/datm/cime_config/config_component.xml
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_component.xml
D	src/drivers/mct/cime_config/config_component_acme.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
A	src/drivers/mct/cime_config/config_component_e3sm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/main/seq_diag_mct.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_flds_mod.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-06-2018
Tag: cime5.4.0-alpha.28
Answer Changes: None
Tests: ERI.f09_g17.B1850.cheyenne_intel.allactive-defaultio 
       scripts_regression_tests.py
       code_checker
Dependencies:

Brief Summary:
    - py3 fix
    - Fix for ERI test.
    - More fixes for archiver and tests.
    - cime_bisect improvements.
    - ERS and ERI tests need skip_pnl=False.
    - More fixes related to cesm testing.
    - CESM test fixes.
    - Refactor crucial run_sub_or_cmd method.
    - Restore shell batch capability.

User interface changes: 
    - New custom script option.

PR summary: git log --oneline --first-parent [previous_tag]..master 
35fd3d1 py3 fix
6c6d3b5 Merge pull request #2429 from jedwards4b/eri_fix
83ef1ba Merge pull request #2426 from jedwards4b/archiver_and_test_fixes
58f020d Merge pull request #2425 from ESMCI/jgfouca/cime_bisect_improvements
3c3fdeb Merge pull request #2424 from jedwards4b/cesm_sta_fixes
603d5da Merge pull request #2423 from jedwards4b/cesm_sta_fixes
fc83e87 Merge pull request #2422 from jedwards4b/cesm_sta_fixes
7602f4b Merge pull request #2420 from ESMCI/jgfouca/refactor_run_sub_or_cmd
d9e3cdf Merge pull request #2419 from ESMCI/jgfouca/restore_shell_batch

Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_archive.xml
M       scripts/Tools/cime_bisect
M       scripts/Tools/mkSrcfiles
M       scripts/lib/CIME/SystemTests/eri.py
M       scripts/lib/CIME/SystemTests/erp.py
M       scripts/lib/CIME/SystemTests/ers.py
M       scripts/lib/CIME/SystemTests/irt.py
M       scripts/lib/CIME/SystemTests/nck.py
M       scripts/lib/CIME/SystemTests/seq.py
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/build.py
M       scripts/lib/CIME/case/case_run.py
M       scripts/lib/CIME/case/case_setup.py
M       scripts/lib/CIME/case/case_st_archive.py
M       scripts/lib/CIME/test_scheduler.py
M       scripts/lib/CIME/utils.py
M       src/drivers/mct/cime_config/config_archive.xml
M       src/share/util/shr_scam_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer
Date: 4-03-2018
Tag: cime5.4.0-alpha.27
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Avoid encode error.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
018c8e9 avoid encode error


Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/test_scheduler.py

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 4-02-2018
Tag: cime5.4.0-alpha.26
Answer Changes: None
Tests: scripts_regression_tests
       high-res couple runs on Theta and Cori-KNL
       ./create_test cime_developer on hobart
       hand testing
       e3sm_developer
       code_checker
Dependencies:

Brief Summary:
    - Remove the run_e3sm testing scripts from the CIME repo.
    - Fix pylint
    - Update hobart queue limits.
    - Allow env vars to be unresolved.
    - Add mosart restart history to archive list.
    - Improve cprnc build.
    - External script handling.
    - Update MPI message tags in coupler-component exchanges.
    - Always downscale walltime for tests.
    - st_archive the DART restart history files.
    - Do not make unnecessary env_batch jobs or batch job scripts.
    - Add unofficial support for shell version of case.run batch script.
    - Remove test mod from cime_developer PET test.
    - Only set and check glcrun_avg_alarm if glc_prognostic is true.
    - Branch for acme split 2018-03-27.
    - Allow case_diff to work on cases that are not tests.
    - Locals method did not work in py3, using getattr instead works in both.
    - env_mach_specific was coded to always try to combine module operations. 
      Instead, it should only do that for "module" module systems.
    - Rearrange case subdirectory.
    - Remove text 'ccsm' and 'cesm' and replace appropriately.
    - Add comment.
    - Permit IOErrors as well as OSErrors when trying to copy crpnc log.
    - Update MCT to 2.10rc2.
    - Make case tools part of the Case object.
    - Cleanup acme -> e3sm references in rst documentation.
    - Add an A and X compset test to aux_cime_baselines.
    - Compare two case setup.
    - Remove old pointclm directory.
    - Update key concepts documentation.
    - Fix skip-pnl for tests.
    - Order e3sm test list by runtime.
    - Update to newer version of cprnc on hobart.
    - Support full matching restrictions for batch directives.
    - Ignore files beginning in test_.
    - More updates to e3sm cime mgmt.
    - Rename and reorg upper level contents. 
    - Move example of query_config to introduction.
    - Add switch to list of module actions that cannot be batched.
    - Improve create_test error message.
    - Allow custom batch directive prefixes.
    - Provide infrastructure to allow single column model to run with SE dycore.
    - Branch for acme split 2018-03-13. 
    - Add better output to cime mgmt tool.
    - Add stack size modifier to hobart.
    - Add ability to xmlquery derived attributes.
    - Modify regex for hobart to work on compute nodes.
    - Make sure to clean repo before doing cime updates.
    - st archive/encapsulate datetime.
    - lawrencium machine cesm entries.
    - Add a CONTRIBUTING file welcoming contributions and giving some brief guidance.
    - Documentation updates for user customization.
    - Fix XML errors in config_archive for E3SM.
    - Implement improvements to st_archive regular expressions.
    - Remove the run_e3sm testing scripts from the CIME repo.

User interface changes: 
    - env_archive.xml
    - .case.run.sh file generated for E3SM.
    - New selectors allowed for batch directives.
    - Source code files beginning in test_ will be ignored in build.
    - New prefix attribute available for batch directives.
    - xmlquery will now accept derived attributes.
    - Users may run on lawrencium lr3/lr2.
    - In env_archive.xml.

PR summary: git log --oneline --first-parent [previous_tag]..master 
de9dc73 Merge pull request #2418 from ESMCI/mfdeakin-sandia/rm_run_e3sm_testing
e9e89bc Fix pylint
150db63 Merge pull request #2362 from mnlevy1981/cesm/hobart_updates
bf467f3 Merge pull request #2412 from jedwards4b/allow_unresolved_envvars
6605d4d add mosart restart history to archive list
6652100 Merge pull request #2417 from jedwards4b/cprnc_build
ed4130b Merge pull request #2413 from jedwards4b/external_script_handling
020fd34 Merge pull request #2397 from ESMCI/azamat/update-msgtag-in-cpl-comp-exchanges
43bfaef Merge pull request #2410 from ESMCI/jgfouca/downscale_walltime_force_queue
8799abc Merge pull request #2415 from kdraeder/dart_rest_hist
7d9c9c5 Merge pull request #2405 from ESMCI/jgfouca/cleanup_envbatch_and_batch_scripts
74696ed Merge pull request #2386 from ESMCI/jgfouca/e3sm_bash_batch
5539ece Remove test mod from cime_developer PET test
39fd78e Merge pull request #2404 from billsacks/glcrun_avg_alarm
356fda0 Merge pull request #2406 from ESMCI/jgfouca/branch-for-acme-split-2018-03-27
19675f9 Merge pull request #2398 from ESMCI/jgfouca/fix_case_diff_newcase
07a6b94 Merge pull request #2400 from jedwards4b/py3_fix
04929cf Merge pull request #2396 from ESMCI/jgfouca/fix_soft_env_files
e425f67 Merge pull request #2389 from jedwards4b/rearrange_case
c1a43b2 Merge pull request #2392 from jedwards4b/deccsmize
1178fe3 Add coment
6ea8e9e Permit IOErrors as well as OSErrors when trying to copy crpnc log
ac82489 Merge pull request #2374 from ESMCI/rljacob/update-mct-2.10rc2
0ca70da Merge pull request #2382 from jedwards4b/compare_two_case_setup
bbf8938 Merge pull request #2384 from bertinia/master
81674ac Merge pull request #2383 from ESMCI/fischer/aux_cime
d8c4c98 Merge pull request #2378 from jedwards4b/compare_two_case_setup
191d9f2 Merge pull request #2380 from ESMCI/rljacob/remove-old-pointclm
aca08fb Merge pull request #2370 from ESMCI/rljacob/update-concepts
c3b080b Merge pull request #2373 from ESMCI/jgfouca/fix_skip_pnl_tests
8fc1332 Merge pull request #2372 from ESMCI/jgfouca/create_test_order_tests
02d9896 Merge pull request #2371 from ESMCI/fischer/cprnc
8f4dadd Merge pull request #2369 from ESMCI/jgfouca/support_full_matching_for_batch_directives
5dc8b87 Merge pull request #2366 from jedwards4b/mkSrcchange
18ca549 Merge pull request #2367 from ESMCI/jgfouca/more_updates_to_e3sm_cime_mgmt
e952232 Merge pull request #2365 from ESMCI/rljacob/update-contents
1f355e1 Merge pull request #2364 from ESMCI/rljacob/move-querydoc
8fce4aa Add switch to list of module actions that cannot be batched
72bfc32 Merge pull request #2352 from ESMCI/jgfouca/improve_create_test_err_msg
a61a911 Merge pull request #2359 from ESMCI/jgfouca/allow_custom_directive_prefix
5e97685 Merge pull request #2344 from ESMCI/bogensch/SCM_SESCM
ec55a15 Merge pull request #2357 from ESMCI/jgfouca/branch-for-acme-split-2018-03-13
3bdab2c Add better output to cime mgmt tool
336f6d4 Merge pull request #2356 from jedwards4b/hobart_regex_update
e078c25 Merge pull request #2355 from ESMCI/jgfouca/xmlquery_derived_attributes
156458f Merge pull request #2354 from jedwards4b/hobart_regex_update
8597596 Make sure to clean repo before doing cime updates
0fe7a9e Merge pull request #2347 from ESMCI/mfdeakin-sandia/st_archive/encapsulate_datetime
c0272bf Merge pull request #2350 from rgknox/rgknox-lawrencium-mach
28270b7 Merge pull request #2346 from ESMCI/rljacob/add-contributing
46f371a Merge pull request #2345 from ESMCI/mvertens/addition_to_docs
2b51643 Fix XML errors in config_archive for e3
df4f779 Implement improvements to st_archive regular expressions


Modified files: git diff --name-status [previous_tag]
M	.gitignore
A	CONTRIBUTING.md
M	ChangeLog
M	config/cesm/config_archive.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
M	config/cesm/machines/template.case.test
M	config/cesm/machines/template.st_archive
M	config/config_headers.xml
M	config/e3sm/allactive/config_compsets.xml
M	config/e3sm/allactive/config_pesall.xml
D	config/e3sm/allactive/usermods_dirs/b1850/shell_commands
D	config/e3sm/allactive/usermods_dirs/b1850_cism/include_user_mods
D	config/e3sm/allactive/usermods_dirs/b1850_cism/user_nl_cism
M	config/e3sm/config_archive.xml
M	config/e3sm/config_files.xml
M	config/e3sm/config_grids.xml
A	config/e3sm/machines/Depends.summit.pgiacc
M	config/e3sm/machines/config_batch.xml
M	config/e3sm/machines/config_compilers.xml
M	config/e3sm/machines/config_machines.xml
M	config/e3sm/machines/syslog.anvil
M	config/e3sm/machines/syslog.cetus
M	config/e3sm/machines/syslog.cori-haswell
M	config/e3sm/machines/syslog.cori-knl
M	config/e3sm/machines/syslog.edison
M	config/e3sm/machines/syslog.mira
M	config/e3sm/machines/syslog.theta
M	config/e3sm/machines/syslog.titan
M	config/e3sm/machines/template.case.run
A	config/e3sm/machines/template.case.run.sh
M	config/e3sm/machines/template.case.test
M	config/e3sm/machines/template.st_archive
A	config/e3sm/testmods_dirs/allactive/clm/bgcexp/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/bgcexp/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/mach/pet/shell_commands
A	config/e3sm/testmods_dirs/allactive/v1cmip6/README
A	config/e3sm/testmods_dirs/allactive/v1cmip6/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/v1cmip6/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/v1cmip6/xmlchange_cmnds
A	config/e3sm/usermods_dirs/b1850/shell_commands
A	config/e3sm/usermods_dirs/b1850_cism/include_user_mods
A	config/e3sm/usermods_dirs/b1850_cism/user_nl_cism
M	config/xml_schemas/config_batch.xsd
M	doc/source/build_cpl/index.rst
M	doc/source/conf.py
M	doc/source/data_models/data-ocean.rst
M	doc/source/data_models/index.rst
M	doc/source/driver_cpl/index.rst
M	doc/source/index.rst
A	doc/source/misc_tools/ect.rst
M	doc/source/misc_tools/index.rst
M	doc/source/users_guide/adding-cases.rst
M	doc/source/users_guide/building-a-case.rst
M	doc/source/users_guide/case-basics.rst
M	doc/source/users_guide/cime-internals.rst
A	doc/source/users_guide/creating-new-compsets.rst
M	doc/source/users_guide/index.rst
M	doc/source/users_guide/introduction-and-overview.rst
M	doc/source/users_guide/porting-cime.rst
M	doc/source/users_guide/testing.rst
M	doc/source/what_cime/index.rst
D	doc/source/xml_files/acme.rst
M	doc/source/xml_files/drivers.rst
A	doc/source/xml_files/e3sm.rst
M	doc/source/xml_files/index.rst
M	doc/tools_autodoc.cfg
M	scripts/Tools/case.cmpgen_namelists
M	scripts/Tools/case.setup
M	scripts/Tools/case.submit
M	scripts/Tools/case_diff
M	scripts/Tools/check_case
M	scripts/Tools/check_input_data
M	scripts/Tools/check_lockedfiles
M	scripts/Tools/e3sm_cime_merge
M	scripts/Tools/e3sm_cime_split
M	scripts/Tools/mkSrcfiles
D	scripts/Tools/pointclm/README
D	scripts/Tools/pointclm/makepointdata.py
D	scripts/Tools/pointclm/pointCLM.py
D	scripts/Tools/pointclm/post_process.py
D	scripts/Tools/pointclm/site_fullrun.py
M	scripts/Tools/preview_namelists
M	scripts/Tools/preview_run
M	scripts/Tools/xmlchange
M	scripts/Tools/xmlquery
M	scripts/create_test
M	scripts/fortran_unit_testing/run_tests.py
M	scripts/lib/CIME/SystemTests/dae.py
M	scripts/lib/CIME/SystemTests/eri.py
M	scripts/lib/CIME/SystemTests/erp.py
M	scripts/lib/CIME/SystemTests/err.py
M	scripts/lib/CIME/SystemTests/irt.py
M	scripts/lib/CIME/SystemTests/ldsta.py
M	scripts/lib/CIME/SystemTests/mcc.py
M	scripts/lib/CIME/SystemTests/nck.py
M	scripts/lib/CIME/SystemTests/ncr.py
M	scripts/lib/CIME/SystemTests/pea.py
M	scripts/lib/CIME/SystemTests/pem.py
M	scripts/lib/CIME/SystemTests/pet.py
M	scripts/lib/CIME/SystemTests/pre.py
M	scripts/lib/CIME/SystemTests/seq.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/pes.py
M	scripts/lib/CIME/build.py
D	scripts/lib/CIME/case.py
A	scripts/lib/CIME/case/README
A	scripts/lib/CIME/case/__init__.py
A	scripts/lib/CIME/case/case.py
A	scripts/lib/CIME/case/case_clone.py
A	scripts/lib/CIME/case/case_cmpgen_namelists.py
A	scripts/lib/CIME/case/case_run.py
A	scripts/lib/CIME/case/case_setup.py
A	scripts/lib/CIME/case/case_st_archive.py
A	scripts/lib/CIME/case/case_submit.py
A	scripts/lib/CIME/case/case_test.py
A	scripts/lib/CIME/case/check_input_data.py
A	scripts/lib/CIME/case/check_lockedfiles.py
A	scripts/lib/CIME/case/preview_namelists.py
D	scripts/lib/CIME/case_clone.py
D	scripts/lib/CIME/case_cmpgen_namelists.py
D	scripts/lib/CIME/case_run.py
D	scripts/lib/CIME/case_setup.py
D	scripts/lib/CIME/case_st_archive.py
D	scripts/lib/CIME/case_submit.py
D	scripts/lib/CIME/case_test.py
D	scripts/lib/CIME/check_input_data.py
D	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/compare_test_results.py
A	scripts/lib/CIME/date.py
M	scripts/lib/CIME/hist_utils.py
A	scripts/lib/CIME/locked_files.py
D	scripts/lib/CIME/preview_namelists.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/tests/case_fake.py
M	scripts/lib/CIME/user_mod_support.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/e3sm_cime_mgmt.py
M	scripts/lib/jenkins_generic_job.py
M	scripts/lib/update_e3sm_tests.py
D	scripts/tests/run_e3sm_ctest/CMakeLists.txt
D	scripts/tests/run_e3sm_ctest/CTestConfig.cmake
D	scripts/tests/run_e3sm_ctest/runE3smTest_template.sh
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/datm/cime_config/config_archive.xml
M	src/components/data_comps/dice/cime_config/config_archive.xml
M	src/components/data_comps/dlnd/cime_config/config_archive.xml
M	src/components/data_comps/docn/cime_config/config_archive.xml
M	src/components/data_comps/drof/cime_config/config_archive.xml
M	src/components/data_comps/dwav/cime_config/config_archive.xml
M	src/drivers/mct/cime_config/config_archive.xml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/config_component_e3sm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/component_mod.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_timemgr_mod.F90
M	src/externals/mct/README
M	src/externals/mct/doc/mct_APIs.tex
M	src/externals/mct/mct/m_Rearranger.F90
M	src/share/streams/shr_dmodel_mod.F90
M	src/share/util/shr_flux_mod.F90
M	src/share/util/shr_scam_mod.F90
M	tools/cprnc/Makefile

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 3-06-2018
Tag: cime5.4.0-alpha.25
Answer Changes: Climate Changing for non-B 1850 compsets in CESM
Tests:  scripts_regression_tests.py
        hand test SMS_P1x4.f19_g16.X
        code checker
        edison build test for A,X, and B1850 compsets
Dependencies:

Brief Summary:
    - Add support for environment and module to depend on job.
    - Fix mistake in scripts-regression-tests help dump.
    - Env batch cleanup
    - Add queue attribute (small cheyenne jobs go to share queue).
    - For Travis-CI build: kick off build on master whenever it's pushed.
    - Reinstate ability to select queue by num tasks.
    - Give st_archive an extra 10 min just to be sure.
    - Refactor handling of small jobs.
    - Report lock file info as debug output.
    - Auto-regen batch files in case_submit.
    - Add travis_ci testing.
    - Supported attribute is string.
    - Cleanup xml.
    - Redo orb_year_defaults for cesm only.
        Expected to change answers for non-B 1850 compsets in CESM
    - Add supported flag to testlist.xml.
    - Big upgrade to scripts_regression_tests argument handling.
    - Update esmf module for edison.nersc.gov.
    - New allow_error field for module system.
    - Fix trivial pylint problem.
    - Add the comment from config_pes.xml to the env_mach_pes.xml file.
    - Refactor _get_datenames to count the correct number of cpl.r files.
    - Change subtree split method.
    - Jgfouca/branch for acme split 2018-02-22.
    - Fix uninitialized variable.
    - python2 needs an init file in Servers.
    - Catch more errors in the testlist schema, remove generic GSW DATM_MODE ignore scripts/cases.
    - Add support for ftp and wget.
    - Add support for provenance in cesm.
    - Swap command cannot be batched together.
    - Add xml support for inputdata server.
    - Fix bug when providing -p PROJECT flag to create_test.
    - Rename acme to e3sm everywhere.
    - Update components' communicator initialization.
    - Make get_components return None instead of fail.

User interface changes: 
    - (cesm only) create_test and query_testlist now have --supported-only flag
    - New allow_error attribute for module systems. 
    - check_input_data replace --svn-loc with --server and --protocol
    - Some Tools with "acme" in the name now say "e3sm".

PR summary: git log --oneline --first-parent [previous_tag]..master 
c9c5695 Merge pull request #2341 from jedwards4b/mpirun_depends_on_queue
7dff579 Fix mistake in scripts-regression-tests help dump
bfb23dd Merge pull request #2339 from jedwards4b/env_batch_cleanup
c19fd3f Merge pull request #2335 from jedwards4b/cheyenne_share_queue
8311f8e Merge pull request #2333 from billsacks/travis_build_master
a5ed418 Merge pull request #2327 from ESMCI/jgfouca/allow_queue_selection_by_task
8f6f199 Give st_archive an extra 10 min just to be sure
751c895 Merge pull request #2326 from ESMCI/jgfouca/refacor_small_jobs
d4fc951 Merge pull request #2325 from ESMCI/jgfouca/adjust_lock_output
a9607d7 Merge pull request #2320 from ESMCI/jgfouca/upgrade_batch_script_handling
e93296a Merge pull request #2324 from jedwards4b/travis_ci
41ef5a3 Merge pull request #2321 from jedwards4b/supported_flag_for_testlist
a714422 Merge pull request #2323 from jedwards4b/cleanup_xml
43c0308 Merge pull request #2290 from jedwards4b/orb_year_defaults
c5aa74b Merge pull request #2316 from jedwards4b/supported_flag_for_testlist
1ac42bb Merge pull request #2319 from ESMCI/jgfouca/script_regr_test_arg_upgrade
fdf7757 Merge pull request #2318 from ESMCI/fischer/edison
68e7b765 Merge pull request #2317 from ESMCI/jgfouca/allow_stderr_in_env_modules
ab6d933 Fix trivial pylint problem
93dde2b Merge pull request #2315 from jedwards4b/add_comment_pes_file
cae9f9a Merge pull request #2285 from kdraeder/multi_drv_kdr
7f8c26a Merge pull request #2314 from ESMCI/jgfouca/chg_subtree_split_method
92ccb83 Merge pull request #2312 from ESMCI/jgfouca/branch-for-acme-split-2018-02-22
c82664e fix uninitialized variable
8a86965 python2 needs an init file in Servers
5af94aa Merge pull request #2300 from ekluzek/testlistxsdgitig
69e35b2 Merge pull request #2311 from jedwards4b/ftpandwget
8baf2bb Merge pull request #2305 from jedwards4b/cesm_provenance
8ac3dd2 Merge pull request #2310 from ESMCI/jgfouca/fix_env_module_operation_batching
ec9483c Merge pull request #2309 from jedwards4b/inputdata
ba3c1fb Merge pull request #2306 from ESMCI/jgfouca/fix_bug_when_setting_proj
6405d72 Merge pull request #2296 from ESMCI/rljacob/acme2e3sm
219ee5a Merge pull request #2299 from ESMCI/azamat/update-seq_comm_setcomm-calls
6c3f484 Merge pull request #2298 from ESMCI/jgfouca/fix_query_config_again


Modified files: git diff --name-status [previous_tag]
M	.gitignore
A	.travis.yml
D	config/acme/allactive/config_compsets.xml
D	config/acme/allactive/config_pesall.xml
D	config/acme/allactive/testlist_allactive.xml
D	config/acme/allactive/usermods_dirs/b1850/shell_commands
D	config/acme/allactive/usermods_dirs/b1850_cism/include_user_mods
D	config/acme/allactive/usermods_dirs/b1850_cism/user_nl_cism
D	config/acme/config_archive.xml
D	config/acme/config_files.xml
D	config/acme/config_grids.xml
D	config/acme/machines/Depends.cetus
D	config/acme/machines/Depends.cray
D	config/acme/machines/Depends.gnu
D	config/acme/machines/Depends.intel
D	config/acme/machines/Depends.mira
D	config/acme/machines/Depends.nag
D	config/acme/machines/Depends.summitdev.ibm
D	config/acme/machines/Depends.summitdev.pgiacc
D	config/acme/machines/Depends.titan.cray
D	config/acme/machines/Depends.titan.intel
D	config/acme/machines/Depends.titan.pgi
D	config/acme/machines/Depends.titan.pgiacc
D	config/acme/machines/README
D	config/acme/machines/config_batch.xml
D	config/acme/machines/config_batch.xsd
D	config/acme/machines/config_compilers.xml
D	config/acme/machines/config_machines.xml
D	config/acme/machines/config_pio.xml
D	config/acme/machines/syslog.anvil
D	config/acme/machines/syslog.cetus
D	config/acme/machines/syslog.cori-haswell
D	config/acme/machines/syslog.cori-knl
D	config/acme/machines/syslog.edison
D	config/acme/machines/syslog.mira
D	config/acme/machines/syslog.noop
D	config/acme/machines/syslog.theta
D	config/acme/machines/syslog.titan
D	config/acme/machines/template.case.run
D	config/acme/machines/template.case.test
D	config/acme/machines/template.ocn_diagnostics
D	config/acme/machines/template.st_archive
D	config/acme/machines/template.timeseries
D	config/acme/machines/userdefined_laptop_template/README.md
D	config/acme/machines/userdefined_laptop_template/config_compilers.xml
D	config/acme/machines/userdefined_laptop_template/config_machines.xml
D	config/acme/machines/userdefined_laptop_template/config_pes.xml
D	config/acme/testmods_dirs/allactive/cam/cosplite/user_nl_cam
D	config/acme/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/cam/cosplite_nhtfrq5/user_nl_cam
D	config/acme/testmods_dirs/allactive/cam/cosplite_nhtfrq5/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/cam/outfrq9s/user_nl_cam
D	config/acme/testmods_dirs/allactive/cam/outfrq9s/user_nl_clm
D	config/acme/testmods_dirs/allactive/cam/outfrq9s/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/cam/rtm_null/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/clm/betr/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/clm/bgcinterface/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/eca/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/fates/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/rd/user_nl_clm
D	config/acme/testmods_dirs/allactive/clm/vst/user_nl_clm
D	config/acme/testmods_dirs/allactive/drv/y100k
D	config/acme/testmods_dirs/allactive/force_netcdf_pio/shell_commands
D	config/acme/testmods_dirs/allactive/force_netcdf_pio/xmlchange_cmnds
D	config/acme/testmods_dirs/allactive/mach_mods/shell_commands
M	config/cesm/config_files.xml
A	config/cesm/config_inputdata.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
A	config/e3sm/allactive/config_compsets.xml
A	config/e3sm/allactive/config_pesall.xml
A	config/e3sm/allactive/testlist_allactive.xml
A	config/e3sm/allactive/usermods_dirs/b1850/shell_commands
A	config/e3sm/allactive/usermods_dirs/b1850_cism/include_user_mods
A	config/e3sm/allactive/usermods_dirs/b1850_cism/user_nl_cism
A	config/e3sm/config_archive.xml
A	config/e3sm/config_files.xml
A	config/e3sm/config_grids.xml
A	config/e3sm/config_inputdata.xml
A	config/e3sm/machines/Depends.cetus
A	config/e3sm/machines/Depends.cray
A	config/e3sm/machines/Depends.gnu
A	config/e3sm/machines/Depends.intel
A	config/e3sm/machines/Depends.mira
A	config/e3sm/machines/Depends.nag
A	config/e3sm/machines/Depends.summitdev.ibm
A	config/e3sm/machines/Depends.summitdev.pgiacc
A	config/e3sm/machines/Depends.titan.cray
A	config/e3sm/machines/Depends.titan.intel
A	config/e3sm/machines/Depends.titan.pgi
A	config/e3sm/machines/Depends.titan.pgiacc
A	config/e3sm/machines/README
A	config/e3sm/machines/config_batch.xml
A	config/e3sm/machines/config_compilers.xml
A	config/e3sm/machines/config_machines.xml
A	config/e3sm/machines/config_pio.xml
A	config/e3sm/machines/syslog.anvil
A	config/e3sm/machines/syslog.cetus
A	config/e3sm/machines/syslog.cori-haswell
A	config/e3sm/machines/syslog.cori-knl
A	config/e3sm/machines/syslog.edison
A	config/e3sm/machines/syslog.mira
A	config/e3sm/machines/syslog.noop
A	config/e3sm/machines/syslog.theta
A	config/e3sm/machines/syslog.titan
A	config/e3sm/machines/template.case.run
A	config/e3sm/machines/template.case.test
A	config/e3sm/machines/template.ocn_diagnostics
A	config/e3sm/machines/template.st_archive
A	config/e3sm/machines/template.timeseries
A	config/e3sm/machines/userdefined_laptop_template/README.md
A	config/e3sm/machines/userdefined_laptop_template/config_compilers.xml
A	config/e3sm/machines/userdefined_laptop_template/config_machines.xml
A	config/e3sm/machines/userdefined_laptop_template/config_pes.xml
A	config/e3sm/testmods_dirs/allactive/cam/cosplite/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/cam/cosplite_nhtfrq5/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/cam/cosplite_nhtfrq5/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/user_nl_cam
A	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/cam/outfrq9s/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/cam/rtm_null/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/clm/betr/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/clm/bgcinterface/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/eca/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/fates/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/rd/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/clm/vst/user_nl_clm
A	config/e3sm/testmods_dirs/allactive/drv/y100k
A	config/e3sm/testmods_dirs/allactive/force_netcdf_pio/shell_commands
A	config/e3sm/testmods_dirs/allactive/force_netcdf_pio/xmlchange_cmnds
A	config/e3sm/testmods_dirs/allactive/mach_mods/shell_commands
M	config/xml_schemas/config_batch.xsd
A	config/xml_schemas/config_inputdata.xsd
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/env_batch.xsd
M	config/xml_schemas/env_mach_pes.xsd
M	config/xml_schemas/env_mach_specific.xsd
M	config/xml_schemas/testlist.xsd
D	scripts/Tools/acme_check_env
D	scripts/Tools/acme_cime_merge
D	scripts/Tools/acme_cime_split
M	scripts/Tools/check_input_data
M	scripts/Tools/code_checker
A	scripts/Tools/e3sm_check_env
A	scripts/Tools/e3sm_cime_merge
A	scripts/Tools/e3sm_cime_split
M	scripts/Tools/jenkins_generic_job
D	scripts/Tools/list_acme_tests
A	scripts/Tools/list_e3sm_tests
M	scripts/Tools/preview_run
D	scripts/Tools/update_acme_tests
A	scripts/Tools/update_e3sm_tests
M	scripts/Tools/wait_for_tests
M	scripts/create_test
M	scripts/lib/CIME/BuildTools/makemacroswriter.py
A	scripts/lib/CIME/Servers/__init__.py
A	scripts/lib/CIME/Servers/ftp.py
A	scripts/lib/CIME/Servers/generic_server.py
A	scripts/lib/CIME/Servers/svn.py
A	scripts/lib/CIME/Servers/wget.py
M	scripts/lib/CIME/SystemTests/homme.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_pes.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/files.py
M	scripts/lib/CIME/XML/generic_xml.py
A	scripts/lib/CIME/XML/inputdata.py
M	scripts/lib/CIME/XML/namelist_definition.py
M	scripts/lib/CIME/XML/pes.py
M	scripts/lib/CIME/XML/testlist.py
M	scripts/lib/CIME/aprun.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_run.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/case_st_archive.py
M	scripts/lib/CIME/case_submit.py
M	scripts/lib/CIME/check_input_data.py
M	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/code_checker.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/CIME/wait_for_tests.py
D	scripts/lib/acme_cime_mgmt.py
A	scripts/lib/e3sm_cime_mgmt.py
M	scripts/lib/jenkins_generic_job.py
D	scripts/lib/update_acme_tests.py
A	scripts/lib/update_e3sm_tests.py
D	scripts/tests/run_acme_ctest/CMakeLists.txt
D	scripts/tests/run_acme_ctest/CTestConfig.cmake
D	scripts/tests/run_acme_ctest/runAcmeTest_template.sh
A	scripts/tests/run_e3sm_ctest/CMakeLists.txt
A	scripts/tests/run_e3sm_ctest/CTestConfig.cmake
A	scripts/tests/run_e3sm_ctest/runE3smTest_template.sh
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/datm/cime_config/config_component.xml
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_component.xml
D	src/drivers/mct/cime_config/config_component_acme.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
A	src/drivers/mct/cime_config/config_component_e3sm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/main/seq_diag_mct.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_flds_mod.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 2-13-2018
Tag: cime5.4.0-alpha.24
Answer Changes: None
Tests: scripts_regression_tests, code_checker
Dependencies:

Brief Summary:
    - Query_config parsing fix to find correct component.
    - Leverage env command options to assist parsing.
    - Add a test that compares a case created using the compset alias to
      one created using the longname for the same compset.
    - Disable caching withing the main test_scheduler process. 
    - Upgrade cime_bisect.
    - Another exception for read only in config files.
    - Add pstrid to pes.
    - Fix issues with read only xml.
    - Separate post-DA from pause/resume and add resume signal at init.
    - Restore case.st_archive.
    - Allow merge of xml files without extra child level.
    - Fix unused import.
    - Reinstate xml file caching, but only for read-only files.
    - Backout gnu changes.
    - Update modules and mod paths for cheyenne.
    - Jgfouca/branch for acme split 2018-01-30.
    - Fix bug in generic env load.
    - Improve python interface to environment modules.
    

User interface changes: 
    - cime_bisect changes.
    - New XML variables, PAUSE_ACTIVE_XXX.
    - module_lmod no longer a support module type.

PR summary: git log --oneline --first-parent [previous_tag]..master 
b4eae37 Merge pull request #2293 from jedwards4b/query_config_fix
c20690e Merge pull request #2292 from ESMCI/jgfouca/fix_soft_env_handling
efcd17f Merge pull request #2288 from jedwards4b/test_compset_vs_alias
51fbde3 Merge pull request #2287 from ESMCI/jgfouca/disable_caching_in_test_sched
0ea9941 Merge pull request #2286 from ESMCI/jgfouca/upgrade_cime_bisect
76a5b5e Merge pull request #2281 from jedwards4b/another_read_only_exception
877250b Merge pull request #2279 from jedwards4b/add_pstrid_to_pes
29b7ccf Merge pull request #2278 from jedwards4b/fix_query_config
b9a79dc Merge pull request #2267 from gold2718/da_support
9706e13 Merge pull request #2273 from ESMCI/jgfouca/restore_case_st_archive
7cfb8ac Merge pull request #2272 from jedwards4b/xmlmerge_fix
964fd19 Fix unused import
4441ff3 Merge pull request #2269 from ESMCI/jgfouca/reinstate_xml_file_caching
4e41375 Merge pull request #2271 from jedwards4b/cheyenne_updates
4ab197e Merge pull request #2270 from jedwards4b/cheyenne_updates
d3740b3 Jgfouca/branch for acme split 2018 01 30 (#2264)
939613e Merge pull request #2265 from ESMCI/jgfouca/fix_env_setup_bug
1e57bf0 Merge pull request #2260 from ESMCI/jgfouca/improve_env_module_interface


Modified files: git diff --name-status [previous_tag]
M	config/acme/allactive/config_compsets.xml
M	config/acme/allactive/config_pesall.xml
M	config/acme/machines/Depends.intel
D	config/acme/machines/Depends.intel18
M	config/acme/machines/config_batch.xml
M	config/acme/machines/config_compilers.xml
M	config/acme/machines/config_machines.xml
M	config/acme/machines/config_pio.xml
M	config/cesm/machines/config_machines.xml
M	config/config_tests.xml
D	scripts/Tools/case.st_archive
M	scripts/Tools/cime_bisect
M	scripts/data_assimilation/da_no_data_mod.sh
M	scripts/lib/CIME/SystemTests/dae.py
M	scripts/lib/CIME/SystemTests/err.py
M	scripts/lib/CIME/SystemTests/homme.py
M	scripts/lib/CIME/SystemTests/pre.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/XML/archive.py
M	scripts/lib/CIME/XML/entry_id.py
M	scripts/lib/CIME/XML/env_archive.py
M	scripts/lib/CIME/XML/env_base.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/files.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/pes.py
M	scripts/lib/CIME/bless_test_results.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/compare_test_results.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/acme_cime_mgmt.py
M	scripts/query_config
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/desp/cime_config/namelist_definition_desp.xml
M	src/components/data_comps/dwav/cime_config/namelist_definition_dwav.xml
M	src/components/data_comps/dwav/dwav_comp_mod.F90
M	src/components/data_comps/dwav/mct/wav_comp_mct.F90
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_compsets.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/component_mod.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90
M	src/drivers/mct/shr/seq_timemgr_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 01-27-2018
Tag: cime5.4.0-alpha.23
Answer Changes: None
Tests: scripts_regression_tests.py on hobart 
Dependencies:

Brief Summary:
    - Fix compare of env_batch.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
7b88f00 Merge pull request #2261 from jedwards4b/check_locked_files2

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/XML/env_batch.py


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 01-26-2018 
Tag: cime5.4.0-alpha.22
Answer Changes: None
Tests: scripts_regression_tests.py
Dependencies:

Brief Summary:
    - Remove debug print statement
    - Second fix for user compsets.
    - Rearrange code in case.py so that compset alias and 
      compset longname get the same result.
    - Minor fix to get acme provenance test working again.
    - Fix for LockedFiles.
    - Change PET to be a multisubmit job.
    - Minor fix to get query config test working on melvin.
    - Disable file caching for now.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
2a235e5 remove debug print statement
d6f6e08 Merge pull request #2257 from jedwards4b/user_compset_fix
fea933c Merge pull request #2253 from jedwards4b/user_compset_fix
169518c Minor fix to get acme provenance test working again
91451ed Merge pull request #2254 from jedwards4b/lockedfiles_fix
1878159 Merge pull request #2255 from ESMCI/jgfouca/change_pet_to_multisubmit
2dc1cf6 Minor fix to get query config test working on melvin
d3ab655 Merge pull request #2251 from jedwards4b/disable_file_caching

Modified files: git diff --name-status [previous_tag]
M       config/config_tests.xml
M       scripts/lib/CIME/SystemTests/pet.py
M       scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M       scripts/lib/CIME/XML/component.py
M       scripts/lib/CIME/XML/entry_id.py
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/XML/generic_xml.py
M       scripts/lib/CIME/case.py
M       scripts/lib/CIME/case_run.py
M       scripts/lib/CIME/case_setup.py
M       scripts/lib/CIME/utils.py
M       scripts/tests/scripts_regression_tests.py


======================================================================

======================================================================

Originator: Chris Fischer
Date: 01-24-2018
Tag: cime5.4.0-alpha.21
Answer Changes: None
Tests: scripts-regression-tests
Dependencies:

Brief Summary:
    - Turn off XML file caching in test scheduler.
    - Fix typo in cime_bisect.
    - Cache file reads to avoid re-parsing XML files.
    - Fix some minor log formatting issues.
    - Fixed a broken hyperlink in the data ocean model rst documentation.
    - Always want to see test-scheduler time taken.
    - Query config update.
    - Fix formatting of rst documentation for load balancing tool.
    - Implement walltime stash to support more-accurate walltimes.
    - Merge branch 'master' of github.com:ESMCI/cime.
    - Hot fix for acme xsd error.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
d2850d5 Merge pull request #2247 from ESMCI/jgfouca/turn_off_caching_in_testsched
29006c6 Fix typo in cime_bisect
263c909 Merge pull request #2243 from ESMCI/jgfouca/cache_file_reads
ace29c3 Merge pull request #2239 from jedwards4b/format_issues
367ca98 Merge pull request #2238 from bertinia/master
f52a005 Always want to see test-scheduler time taken
f272ecf Merge pull request #2236 from jedwards4b/query_config_update
39ac021 Merge pull request #2235 from ESMCI/sarich/fix-load-balance-docs
b978107 Merge pull request #2234 from ESMCI/jgfouca/walltime_optimization
52b22fa Merge branch 'master' of github.com:ESMCI/cime
b9e0c52 hot fix for acme xsd error


Modified files: git diff --name-status [previous_tag]
M       config/acme/config_files.xml
M       config/acme/machines/config_machines.xml
M       config/cesm/config_files.xml
M       doc/source/data_models/data-ocean.rst
M       doc/source/misc_tools/load-balancing-tool.rst
M       scripts/Tools/cime_bisect
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/XML/component.py
M       scripts/lib/CIME/XML/compsets.py
M       scripts/lib/CIME/XML/env_mach_specific.py
M       scripts/lib/CIME/XML/generic_xml.py
M       scripts/lib/CIME/XML/grids.py
M       scripts/lib/CIME/XML/machines.py
M       scripts/lib/CIME/check_lockedfiles.py
M       scripts/lib/CIME/provenance.py
M       scripts/lib/CIME/test_scheduler.py
M       scripts/query_config
M       scripts/tests/scripts_regression_tests.py
M       src/drivers/mct/cime_config/config_component_acme.xml
M       src/drivers/mct/shr/seq_infodata_mod.F90
M       src/drivers/mct/shr/seq_timemgr_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer 
Date: 01-16-2018
Tag: cime5.4.0-alpha.20
Answer Changes: None
Tests: 
Dependencies:

Brief Summary:
    - Revert src/share/util/changes in shr_spfn_mod.F90

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
b146127 revert changes in this file (failing pgi test)

Modified files: git diff --name-status [previous_tag]
M       src/share/util/shr_spfn_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer 
Date: 01-16-2018
Tag: cime5.4.0-alpha.19
Answer Changes: None
Tests: code_checker, scripts_regression_tests
Dependencies:

Brief Summary:
    - CPL user mods.
    - Update slurm queueing for NERSC.
    - Change grid in testlist schema to NMTOKEN.
    - py3 pylint fix.
    - Add minimal pgi compiler support cheyenne, fix an output error.
    - Make doctest for get_current_branch more robust.
    - Remove stale help section comments.
    - Fix print statements that were corrupted by py3 changes.
    - Updates for laramie.
    - Fix K_TestCimeCase.test_cime_case_prereq for LSF machines.
    - Fix regression test K_TestCimeCase.test_cime_case_test_custom_project.

User interface changes: 

PR summary: git log --oneline --first-parent [previous_tag]..master 
16766d6 Merge pull request #2231 from jedwards4b/CPL_USER_MODS
0722686 Merge pull request #2233 from ESMCI/fischer/nersc_cori
45e4895 Merge pull request #2232 from ekluzek/testlistschema
40a02fa Merge pull request #2230 from ESMCI/jedwards/py3pylintfix
6b8f1a8 Merge pull request #2229 from jedwards4b/add_pgi
06d3317 Merge pull request #2220 from ESMCI/jgfouca/make_branch_doctest_more_robust
7f4951f Merge pull request #2219 from ESMCI/jgfouca/remove_stale_help
37122e8 Merge pull request #2226 from ESMCI/jgfouca/improve_preview_run
1920d8b Merge pull request #2225 from jedwards4b/laramie_updates
c3a1141 Merge pull request #2224 from ESMCI/jgfouca/fix_cime_case_test_for_lsf
b968e77 Merge pull request #2223 from ESMCI/jgfouca/fix_regr_test

Modified files: git diff --name-status [previous_tag]
M       config/acme/allactive/config_compsets.xml
M       config/cesm/machines/config_batch.xml
M       config/cesm/machines/config_machines.xml
M       config/xml_schemas/testlist.xsd
M       scripts/Tools/preview_run
M       scripts/lib/CIME/XML/env_base.py
M       scripts/lib/CIME/buildlib.py
M       scripts/lib/CIME/utils.py
M       scripts/tests/scripts_regression_tests.py
M       src/drivers/mct/cime_config/config_component.xml
M       src/drivers/mct/cime_config/config_component_acme.xml
M       src/drivers/mct/cime_config/config_component_cesm.xml
M       src/drivers/mct/cime_config/config_compsets.xml

======================================================================

======================================================================

Originator: Jim Edwards
Date: 01-10-2018
Tag: cime5.4.0-alpha.18
Answer Changes: Round Off, possibly Climate Changing
Tests:
Dependencies:

Brief Summary:

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
18358ce Merge pull request #2212 from ESMCI/jgfouca/branch-for-acme-split-2018-01-09
ddeb398 Merge pull request #2216 from jedwards4b/correct_bld_output
7f3c93b Merge pull request #2217 from jedwards4b/more_fortran_cleanup
f44bca3 Merge pull request #2213 from jedwards4b/more_fortran_cleanup
559d421 Merge pull request #2211 from jedwards4b/fixforxlf
d151642 Merge pull request #2179 from billsacks/fix_advdate
507b9dd Merge pull request #2158 from ESMCI/mvertens/dicemods
89015ca Merge pull request #2205 from ESMCI/jgfouca/remove_scans
3eb054d Merge pull request #2202 from jedwards4b/refactor_seq_diag_mod
cdb7b3f fix doctest for py3
5872dda Merge pull request #2208 from jedwards4b/py3fix
8e2319f Merge pull request #2206 from ESMCI/jgfouca/fix_desc_stride
e3cf1f3 Merge pull request #2198 from jedwards4b/more_atmocn_flux
cf9e427 Merge pull request #2204 from gold2718/lowresSEgrid
1bd046f Use https for cdash
bd9b5f1 Minor fixes for cdash interaction
a2ef582 Merge pull request #2201 from jedwards4b/fix_long_line
14176a0 Merge pull request #2192 from jedwards4b/reduce_fortran_warnings1
a44965e Merge pull request #2196 from ESMCI/jgfouca/remove_run_with_submit
ef10d62 Minor fix for ACME
7e28a21 Merge pull request #2148 from ESMCI/jgfouca/hide_xml_interface
05ba5c5 Merge pull request #2087 from ekluzek/addmachmodex
1ab0e78 Merge pull request #2193 from jedwards4b/always_set_baselineroot_in_tests
8a401cb Merge pull request #2189 from ESMCI/jgfouca/fix_melvin
d5e21de Merge pull request #2188 from ESMCI/jgfouca/fix_create_test_cesm_doc
7c607cb Merge pull request #2187 from ESMCI/jgfouca/max_task_fixes
ddb968b Merge pull request #2186 from ESMCI/jgfouca/improve_acme_cime_mgt
295e91c Merge pull request #2184 from jedwards4b/indent_consistantly

Modified files: git diff --name-status [previous_tag]

======================================================================

======================================================================

Originator: Chris Fischer
Date: 1-4-2018
Tag: cime5.4.0-alpha.17
Answer Changes: Round Off allactive
Tests: ERS_Ld7.f19_g17.B1850.hobart_pgi.allactive-defaultio
       scripts_regression_tests
Dependencies:

Brief Summary:
    - Add flux convergence criteria.
    - Pass CIMEROOT to CMake unit test builds.
    - scripts_regression_tests.py should use values in .cime/config if provided.
    - Testing/multiinst baselines.
    - Fix pylint error that I introduced in #2168.
    - Generalize some paths to support a standalone CISM checkout.
    - Revert to previous cheyenne gnu environment.
    - Y10k fix.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
1b4fa36 Merge pull request #2180 from jedwards4b/flux_convergence
6a07ef1 Merge pull request #2176 from billsacks/run_tests_pass_cimeroot
8932a90 Merge pull request #2173 from jedwards4b/srt_use_cimeconfig
5a9d270 Merge pull request #2170 from mnlevy1981/testing/multiinst_baselines
cade91d Merge pull request #2169 from billsacks/fix_pylint_error
9e6cee6 Merge pull request #2168 from billsacks/cism_standalone
d59c285 Merge pull request #2167 from billsacks/backout_cheyenne_gnu
abc6354 Merge pull request #2145 from jedwards4b/y10k_fix

Modified files: git diff --name-status [previous_tag]
M	config/cesm/machines/config_machines.xml
M	scripts/Tools/Makefile
M	scripts/fortran_unit_testing/run_tests.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/update_acme_tests.py
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/datm/datm_comp_mod.F90
M	src/components/data_comps/desp/desp_comp_mod.F90
M	src/components/data_comps/dice/dice_comp_mod.F90
M	src/components/data_comps/dlnd/dlnd_comp_mod.F90
M	src/components/data_comps/docn/docn_comp_mod.F90
M	src/components/data_comps/drof/drof_comp_mod.F90
M	src/components/data_comps/dwav/dwav_comp_mod.F90
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
A	src/drivers/mct/cime_config/testdefs/testmods_dirs/drv/y100k/README
A	src/drivers/mct/cime_config/testdefs/testmods_dirs/drv/y100k/shell_commands
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/seq_flux_mct.F90
M	src/drivers/mct/main/seq_hist_mod.F90
M	src/drivers/mct/main/seq_io_mod.F90
M	src/drivers/mct/main/seq_rest_mod.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90
M	src/drivers/mct/shr/seq_timemgr_mod.F90
M	src/drivers/mct/unit_test/CMakeLists.txt
M	src/share/test/unit/CMakeLists.txt
A	src/share/test/unit/shr_cal_test/CMakeLists.txt
A	src/share/test/unit/shr_cal_test/test_shr_cal.pf
M	src/share/util/CMakeLists.txt
M	src/share/util/shr_cal_mod.F90
M	src/share/util/shr_flux_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer
Date: 12-22-2017
Tag: cime5.4.0-alpha.16
Answer Changes: None
Tests: scripts_regression_tests.py
       aux_clm test suite
       scripts_regression_tests.py py2 and py3
Dependencies:

Brief Summary:
    - Fix pylint issue.
    - Allows available and default MPILIBS to be specified per compiler.
    - Find test dir must use case object to fully resolve vars.
    - Always use GLC_NEC=10 for CLM45/CLM5; remove tropicAtl grid in CESM.
    - Updates for nersc systems.
    - DATM and DROF jra55 mode, new grids tx0.1v3, TL319, JRA025.
    - Fix typo in template.
    - Remove unused doctests.
    - Add the batch jobid to the lid.
    - Fix typo of xcpl_comps dir in buildlib.csm_share.
    - Fix max tasks for homebrew.
    - Use the encoding flag to open in py3 to set utf-8.

User interface changes:
    - Remove dead --test options.

PR summary: git log --oneline --first-parent [previous_tag]..master
d1723aa fix pylint issue
d7d96b5 Merge pull request #2160 from jedwards4b/allowmultiplempilibs
2a53df8 Merge pull request #2156 from jedwards4b/findtestdir
e127d7e Merge pull request #2150 from billsacks/always_glcmec
39d7442 Merge pull request #2147 from jedwards4b/machine_updates
c3780a5 Merge pull request #2136 from ESMCI/altuntas/jra55
5ff8d82 fix typo in template
ff04547 Merge pull request #2144 from ESMCI/jgfouca/remove_unused_doctest
c072407 Merge pull request #2141 from jedwards4b/jobid_in_lid
46627b1 Merge pull request #2143 from ESMCI/agsalin/xcpl_dir_fix
60f3603 fix max tasks for homebrew
4729f6a Merge pull request #2139 from jedwards4b/utf8_encoding

Modified files: git diff --name-status [previous_tag]
M	config/acme/machines/template.case.run
M	config/acme/machines/template.case.test
M	config/acme/machines/template.st_archive
M	config/cesm/config_grids.xml
M	config/cesm/machines/Depends.intel
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
M	config/cesm/machines/template.case.test
M	config/cesm/machines/template.st_archive
M	config/xml_schemas/config_machines.xsd
M	doc/source/data_models/data-atm.rst
M	doc/source/data_models/data-river.rst
M	scripts/Tools/bless_test_results
M	scripts/Tools/case.build
M	scripts/Tools/case.cmpgen_namelists
M	scripts/Tools/case.qstatus
M	scripts/Tools/case.setup
M	scripts/Tools/case.submit
M	scripts/Tools/case_diff
M	scripts/Tools/check_case
M	scripts/Tools/check_input_data
M	scripts/Tools/check_lockedfiles
M	scripts/Tools/cime_bisect
M	scripts/Tools/code_checker
M	scripts/Tools/compare_namelists
M	scripts/Tools/compare_test_results
M	scripts/Tools/component_compare_baseline
M	scripts/Tools/component_compare_copy
M	scripts/Tools/component_compare_test
M	scripts/Tools/component_generate_baseline
M	scripts/Tools/cs.status
M	scripts/Tools/jenkins_generic_job
M	scripts/Tools/list_acme_tests
M	scripts/Tools/normalize_cases
M	scripts/Tools/pelayout
M	scripts/Tools/preview_namelists
M	scripts/Tools/preview_run
M	scripts/Tools/save_provenance
M	scripts/Tools/simple_compare
M	scripts/Tools/standard_script_setup.py
M	scripts/Tools/update_acme_tests
M	scripts/Tools/wait_for_tests
M	scripts/Tools/xmlchange
M	scripts/Tools/xmlquery
M	scripts/create_test
M	scripts/lib/CIME/XML/compilerblock.py
M	scripts/lib/CIME/XML/compilers.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/buildlib.py
M	scripts/lib/CIME/buildnml.py
M	scripts/lib/CIME/namelist.py
M	scripts/lib/CIME/utils.py
M	scripts/manage_pes
M	scripts/query_config
M	scripts/tests/scripts_regression_tests.py
M	src/build_scripts/buildlib.csm_share
M	src/build_scripts/buildlib.gptl
M	src/build_scripts/buildlib.mct
M	src/build_scripts/buildlib.mpi-serial
M	src/build_scripts/buildlib.pio
M	src/components/data_comps/datm/cime_config/config_component.xml
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/components/data_comps/datm/datm_comp_mod.F90
M	src/components/data_comps/datm/datm_shr_mod.F90
M	src/components/data_comps/drof/cime_config/config_component.xml
M	src/components/data_comps/drof/cime_config/namelist_definition_drof.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	tools/configure
M	tools/load_balancing_tool/load_balancing_submit.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 12-14-2017
Tag: cime5.4.0-alpha.15
Answer Changes: None
Tests: external pio2 test suite using pnetcdf/1.9.0 candidate as well as
       pnetcdf/1.8.1 and netcdf 4.4.1.1
       scrtips_regression_tests.py
Dependencies:

Brief Summary:
    - PIO2 update.
    - Replace fancy quotes with standard ones.
    - Add some debug info and correct PYTHON.
    - Allow python to be specified in environment.
    - Avoid continue run if resubmit_sets_continue_run is false.
    - PIO1 update.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
1fec3c1 Merge pull request #2125 from jedwards4b/pio2_update
851918d replace fancy quotes with standard ones
fdd3ddf add some debug info and correct PYTHON
994a250 Merge pull request #2138 from jedwards4b/python_path_fix
e189ba6 Merge pull request #2133 from jedwards4b/continue_run_check
261cb8a Merge pull request #2124 from jedwards4b/pio1_update

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/case_run.py
M       scripts/tests/CMakeLists.txt
M       src/components/data_comps/docn/cime_config/config_component.xml
M       src/externals/pio1/pio/pio_types.F90
M       src/externals/pio2/configure.ac
M       src/externals/pio2/ctest/runcdash-nwscla-intel.sh
M       src/externals/pio2/doc/source/mach_walkthrough.txt
M       src/externals/pio2/src/clib/pio_darray.c
M       src/externals/pio2/src/clib/pio_getput_int.c
M       src/externals/pio2/src/clib/pio_msg.c
M       src/externals/pio2/src/clib/pio_nc4.c
M       src/externals/pio2/src/clib/pioc_support.c
M       src/externals/pio2/src/flib/pio_types.F90


======================================================================

======================================================================

Originator: Chris Fischer
Date: 12-11-1017
Tag: cime5.4.0-alpha.14
Answer Changes: None
Tests: code_checker, by-hand, scripts_regression_tests.py
       scripts_regression_tests.py (with python 3.6.2)

Dependencies:

Brief Summary:
    - No iteritems method in python3, use six compatibility library.
    - Fix couple mistakes introduced by ACME split, Pylint errors and timing problem for cesm.
    - Minor bugfix, root arugment was ignored.
    - Jgfouca/branch for acme split 12-08-2017.
    - Add debug print statements to describe current workload.
    - Fix issue in declaration.
    - Provide access functions for the setting of pio_rearranger variables.
    - Move GMAKE and GMAKE_J options to env_run so that changing them doesn't
      require a rebuild.
    - Fix processor overflow in create_test.
    - Miscellaneous tool improvement.
    - Add ability to customize CaseStatus success message for a phase.
    - DOCN mode fix.
    - Fix bug in compare namelists.
    - Fixes a memory leak in gptl.

User interface changes:
    - simple-py-prof sets PYTHONPATH for you, list_acme_tests assumes you want
      to list tests
    - jobid now added to CaseStatus case_submit entry.

PR summary: git log --oneline --first-parent [previous_tag]..master
f48881a Merge pull request #2130 from jedwards4b/py3_compatibility
90ffcf7 Merge pull request #2129 from ESMCI/jgfouca/fix_pylint_and_cesm_timing
036ac18 Merge pull request #2127 from ESMCI/jgfouca/xml_bugfix
9dfce92 Merge pull request #2126 from ESMCI/jgfouca/branch-for-acme-split-12-08-2017-pr
9c01c47 Merge pull request #2122 from ESMCI/jgfouca/create_test_add_workload_output
c0ce363 fix issue in declaration
f99b947 hot fix for pr 2121
bc6f180 Merge pull request #2120 from jedwards4b/mv_gmake_to_run
1dd0b61 Merge pull request #2119 from ESMCI/jgfouca/cime/fix_create_test_proc_overflow
0934a32 Merge pull request #2117 from ESMCI/jgfouca/misc_improve_tools
530c337 Merge pull request #2113 from ESMCI/jgfouca/custom_success_msg_case_status
cb0f58a Merge pull request #2114 from jedwards4b/DOCN_MODE_fix
148a8a9 Merge pull request #2111 from ESMCI/jgfouca/compare_nml_bugfix
2789236 Merge pull request #2110 from ESMCI/mfdeakin-sandia/gptl/memleak


Modified files: git diff --name-status [previous_tag]
M	.gitignore
M	ChangeLog
M	config/acme/allactive/config_compsets.xml
M	config/acme/allactive/config_pesall.xml
M	config/acme/config_grids.xml
A	config/acme/machines/Depends.summitdev.pgiacc
M	config/acme/machines/config_batch.xml
M	config/acme/machines/config_compilers.xml
M	config/acme/machines/config_machines.xml
M	config/acme/machines/config_pio.xml
A	config/acme/machines/syslog.theta
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/config_machines_template.xml
M	doc/source/users_guide/porting-cime.rst
M	scripts/Tools/Makefile
M	scripts/Tools/cime_bisect
M	scripts/Tools/jenkins_generic_job
M	scripts/Tools/list_acme_tests
M	scripts/Tools/simple-py-prof
M	scripts/create_test
M	scripts/lib/CIME/SystemTests/homme.py
M	scripts/lib/CIME/XML/env_base.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/bless_test_results.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_submit.py
M	scripts/lib/CIME/compare_namelists.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/acme_cime_mgmt.py
M	scripts/lib/jenkins_generic_job.py
M	scripts/lib/update_acme_tests.py
M	scripts/tests/scripts_regression_tests.py
M	scripts/tests/user_mods_test3/shell_commands
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_acme.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/shr/seq_flds_mod.F90
M	src/share/timing/gptl.c
M	src/share/util/shr_pio_mod.F90
M	tools/cprnc/CMakeLists.txt

======================================================================

======================================================================

Originator: Chris Fischer
Date: 12-04-2017
Tag: cime5.4.0-alpha.13
Answer Changes: None
Tests: scripts_regression_tests.py, SMS_P8x2.f19_g16.X.yellowstone_intel
Dependencies:

Brief Summary:
    - BUILD_THREADED needs to be set if any nthrds > 1.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
307251e Merge pull request #2106 from jedwards4b/nthrds_sets_build_threaded


Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/case_setup.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 12-03-2017
Tag: cime5.4.0-alpha.12
Answer Changes: None
Tests: scripts_regression_tests.py
Dependencies:

Brief Summary:
    - Fix gptl threaded build, batch change for cheyenne.
    - Update CIME RST documentation.
    - Correct path for includes used in build.
    - Check for unicode in expect().
    - Separate liq and ice in glc2ocn mapping, and fix glc2ocn mapping bug.

User interface changes:
    -Splits GLC2OCN_RMAPNAME xml variable into
     GLC2OCN_LIQ_RMAPNAME and GLC2OCN_ICE_RMAPNAME, and similarly for
     GLC2OCN_RMAPTYPE

PR summary: git log --oneline --first-parent [previous_tag]..master
6dd6f09 Merge pull request #2105 from jedwards4b/gptl_threaded_build_fix
92f73e3 Merge pull request #2078 from bertinia/master
5dc7e19 Merge pull request #2101 from jedwards4b/mpiserial_bldfix
486efd6 Merge pull request #2097 from ESMCI/sarich/fix-buildexe-unicode
dd525f9 Merge pull request #2066 from billsacks/glc2ocn_separate_liq_ice

Modified files: git diff --name-status [previous_tag]
M	.gitignore
M	config/acme/config_grids.xml
M	config/cesm/config_grids.xml
M	config/cesm/machines/config_batch.xml
M	doc/source/conf.py
M	doc/source/data_models/data-ocean.rst
M	doc/source/index.rst
M	doc/source/misc_tools/index.rst
M	doc/source/users_guide/cloning-a-case.rst
M	doc/source/users_guide/introduction-and-overview.rst
M	doc/source/users_guide/optimizing-processor-layout.rst
M	doc/source/users_guide/porting-cime.rst
M	doc/source/users_guide/running-a-case.rst
M	doc/source/users_guide/testing.rst
M	doc/source/xml_files/acme.rst
M	doc/source/xml_files/drivers.rst
M	scripts/Tools/Makefile
M	scripts/lib/CIME/utils.py
M	src/build_scripts/buildlib.gptl
M	src/build_scripts/buildlib.mpi-serial
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/main/prep_ocn_mod.F90
M	src/drivers/mct/shr/seq_flds_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer
Date: 11-22-2017
Tag: cime5.4.0-alpha.11
Answer Changes: None
Tests: scripts_regression_tests.pr
Dependencies:

Brief Summary:
    - GPTL build threaded, makefile cleanup.
    - Changes in merged Makefile to satisfy dependancies thus making rebuild faster.
    - Fix run_sub_or_cmd in the case where a cmd is run and log is None.
    - Enable ldsta case.submit to be run twice.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
5ea8d6b Merge pull request #2092 from jedwards4b/gptl_build_threaded
4361a51 Merge pull request #2090 from jedwards4b/makefaster
ca4c1f9 Merge pull request #2086 from ESMCI/jgfouca/run_sub_no_log
5791d32 Merge pull request #2084 from ESMCI/mfdeakin-sandia/ldsta/rerun

Modified files: git diff --name-status [previous_tag]
M       scripts/Tools/Makefile
M       scripts/lib/CIME/SystemTests/ldsta.py
M       scripts/lib/CIME/build.py
M       scripts/lib/CIME/case_run.py
M       scripts/lib/CIME/preview_namelists.py
M       scripts/lib/CIME/utils.py
M       src/build_scripts/buildlib.gptl


======================================================================

======================================================================

Originator: Chris Fischer
Date: 11-17-2017
Tag: cime5.4.0-alpha.10
Answer Changes: None
Tests: cime_developer, scripts_regression_test
       code_checker, create_test cime_developer
       SMS.f09_g17.B1850.yellowstone_intel
       cime_tiny
Dependencies:

Brief Summary:
    - Add LDSTA to cime_developer test suite.
    - Major refactor of baseline handling.
    - Add bless logging capability.
    - Fix clm build.
    - Add function to ensure correct bld logging.
    - Short term archiver last date option test.
    - Redo mct and mpi-serial buildlib scripts in python.
    - Add a list of test types to the users guide.
    - Fix MCC test on master.
    - Fix csm_build, remove debug print statement.
    - Cleanup gptl build, replace perl buildlib.csm_share with python.
    - Convert buildlib.gptl to python and call it and the buildlib.pio as subroutines.
    - Run sub logging fixes.
    - Fix redirection for run_sub to include stderr.
    - Separate DATA_ASSIMILATION flag by component and add to Fortran infodata.
    - Add unit tests of compare_two's handling of pass/fail in comparison.
    - Fixes incorrect timer event name in data runoff model.
    - Update from ACME 11-13-2017.
    - Fix pylint issue.
    - Locked files handled BUILD_COMPLETE better.
    - Add optional COSTPES_PER_NODE.
    - Switch melvin to use officially supported pfunit.
    - USER_REQUESTED_ vars should go in env_batch.
    - Use_existing needs to set FAIL states back to PEND.
    - Add create_test options to config for user tuned defaults.
    - Jgfouca/branch for acme split 11-07-2017 pr.
    - Improve email handling.
    - Add retry capability to create_test.
    - Convert line to utf-8.
    - Change paths to case2 rundir and exeroot.

User interface changes:
    - Better defaults for bless_test_results and compare_test_results.
    - New bless_log file in baseline dirs.
    - Allow multiple -m args to case.submit. Allows user to put email settings in .cime/config.
    - New --retry option to create_test.

PR summary: git log --oneline --first-parent [previous_tag]..master
6dd002f Merge pull request #2074 from ESMCI/mfdeakin-sandia/cime_developer/ldsta
0c4ffa7 Merge pull request #2079 from ESMCI/jgfouca/major_baseline_refactor
5ac2f90 Merge pull request #2069 from ESMCI/jgfouca/add_bless_logs_2
c80333f Merge pull request #2076 from jedwards4b/clmbuildfix
09e6061 Merge pull request #2073 from ESMCI/jgfouca/fix_bld_logging
09aadd0 Merge pull request #2071 from ESMCI/mfdeakin-sandia/test_sta_last_date
8765c9c Merge pull request #2072 from jedwards4b/rebuildmct
92f74f8 Merge pull request #2062 from ESMCI/fischer/testtype_doc
690e7f7 fix MCC test on master
a3d1554 fix csm_build, remove debug print statement
71fbd56 Merge pull request #2067 from jedwards4b/rebuildlibs
27fbbbd Merge pull request #2065 from jedwards4b/run_sub_logging_demo
9bea9a4 Merge pull request #2064 from ESMCI/jgfouca/run_sub_logging_fixes
7e1c8b5 Merge pull request #2055 from ESMCI/jgfouca/run_sub_logging_fixes
53e1ddf Merge pull request #2039 from jedwards4b/data_assimilation_to_fortran_try1
559c50a Merge pull request #2060 from billsacks/compare_two_comparison_unit_tests
da29a73 Merge pull request #2054 from ESMCI/bishtgautam/drof
9442c93 Merge pull request #2052 from ESMCI/jgfouca/branch-for-acme-split-11-13-2017-pr
93461b6 fix pylint issue
52c1ad4 Merge pull request #2051 from jedwards4b/rebuild_after_error
d713717 Merge pull request #2050 from jedwards4b/COST_PER_NODE
134cb8f Merge pull request #2049 from ESMCI/jgfouca/switch_melvin_to_offical_pfunit
5de7b7e Merge pull request #2047 from jedwards4b/fix_for_user_requested_flags
04e56d2 Merge pull request #2045 from ESMCI/jgfouca/fix_use_existing
e091e2a Merge pull request #2042 from jedwards4b/create_test_options_in_config
c44fce4 Merge pull request #2033 from ESMCI/jgfouca/branch-for-acme-split-11-07-2017-pr
d03cde1 Merge pull request #2035 from ESMCI/jgfouca/improve_email_handling
426f61c Merge pull request #2034 from ESMCI/jgfouca/create_test_retry
7c54009 Merge pull request #2038 from jedwards4b/fix_dae_test
daee7ac Merge pull request #2036 from billsacks/compare2_fix_dirs


Modified files: git diff --name-status [previous_tag]
M	config/acme/allactive/config_pesall.xml
M	config/acme/config_archive.xml
M	config/acme/machines/Depends.cetus
M	config/acme/machines/Depends.intel
A	config/acme/machines/Depends.intel18
M	config/acme/machines/Depends.mira
M	config/acme/machines/Depends.summitdev.ibm
M	config/acme/machines/Depends.titan.pgi
M	config/acme/machines/Depends.titan.pgiacc
D	config/acme/machines/Makefile
M	config/acme/machines/config_batch.xml
M	config/acme/machines/config_compilers.xml
M	config/acme/machines/config_machines.xml
M	config/acme/machines/config_pio.xml
D	config/acme/machines/mkDepends
D	config/acme/machines/mkSrcfiles
M	config/acme/machines/syslog.cori-haswell
M	config/acme/machines/syslog.cori-knl
M	config/acme/machines/syslog.edison
M	config/acme/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
D	config/cesm/machines/Makefile
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_machines.xml
D	config/cesm/machines/mkDepends
D	config/cesm/machines/mkSrcfiles
M	config/config_tests.xml
M	config/xml_schemas/config_batch.xsd
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/env_mach_specific.xsd
M	doc/source/users_guide/testing.rst
A	scripts/Tools/Makefile
A	scripts/Tools/acme_cime_merge
M	scripts/Tools/acme_cime_split
M	scripts/Tools/bless_test_results
M	scripts/Tools/case.cmpgen_namelists
M	scripts/Tools/case.submit
M	scripts/Tools/case_diff
M	scripts/Tools/compare_test_results
A	scripts/Tools/mkDepends
A	scripts/Tools/mkSrcfiles
M	scripts/Tools/xmlchange
M	scripts/create_test
M	scripts/lib/CIME/SystemTests/dae.py
A	scripts/lib/CIME/SystemTests/ldsta.py
M	scripts/lib/CIME/SystemTests/pre.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/bless_test_results.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_run.py
M	scripts/lib/CIME/case_st_archive.py
M	scripts/lib/CIME/case_submit.py
M	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/compare_test_results.py
M	scripts/lib/CIME/get_timing.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/tests/SystemTests/test_system_tests_compare_two.py
M	scripts/lib/CIME/tests/case_fake.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/CIME/wait_for_tests.py
A	scripts/lib/acme_cime_mgmt.py
M	scripts/lib/update_acme_tests.py
M	scripts/tests/run_acme_ctest/runAcmeTest_template.sh
M	scripts/tests/scripts_regression_tests.py
M	src/build_scripts/buildlib.csm_share
M	src/build_scripts/buildlib.gptl
M	src/build_scripts/buildlib.mct
M	src/build_scripts/buildlib.mpi-serial
M	src/build_scripts/buildlib.pio
M	src/components/data_comps/desp/cime_config/namelist_definition_desp.xml
M	src/components/data_comps/drof/drof_comp_mod.F90
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_acme.xml
M	src/drivers/mct/cime_config/config_compsets.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/cime_driver.F90
M	src/drivers/mct/main/component_mod.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90
M	src/drivers/mct/shr/seq_timemgr_mod.F90
M	src/share/timing/ChangeLog
M	src/share/timing/Makefile
M	src/share/timing/f_wrappers.c
M	src/share/timing/gptl.c
M	src/share/timing/gptl.inc
M	src/share/timing/perf_mod.F90
M	src/share/timing/private.h
======================================================================

======================================================================

Originator: Chris Fischer
Date: 11-08-2017
Tag: cime5.4.0-alpha.09
Answer Changes: None
Tests: IRT.T62_g17.C1850ECO.yellowstone_intel.pop-default
       code_checker, seq by-hand and with re-run
Dependencies:

Brief Summary:
    - Allow undated history files to be archived.
    - Convert SEQ to use compare-two.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
ce40669 Merge pull request #2037 from jedwards4b/fix_for_undated_history_file_archiving
280e006 Merge pull request #2030 from ESMCI/jgfouca/seq_cmpr_two

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/SystemTests/seq.py
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/case_st_archive.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 11-07-2017
Tag: cime5.4.0-alpha.08
Answer Changes: None
Tests: Hand test B1850
Dependencies:

Brief Summary:
    - Handle case when cmdargs is not a list

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
fc72203 Merge pull request #2032 from jedwards4b/cmdargs_fix

Modified files: git diff --name-status [previous_tag]
M       scripts/lib/CIME/utils.py

======================================================================

======================================================================

Originator: Chris Fischer
Date: 11-06-2017
Tag: cime5.4.0-alpha.07
Answer Changes: None
Tests: scripts_regression_tests.pr
       manual checks of mapping files generated with runoff_to_ocn tool and run of check_map.sh tool
       Tested runoff_map tool with a source file
       run_merge_mapping_files.sh
       code_checker
       tests with casename try+45
Dependencies:

Brief Summary:
    - Improve interface to external scripts PRERUN_SCRIPT, POSTRUN_SCRIPT, DATA_ASSIMILATION_SCRIPT.
    - Better error message for compsets.
    - For runoff map: fix mask_b and frac_b in nearest neighbor map.
    - If area units on source grid file are in sq deg, convert to sq radians.
    - Handle the case where no points are mapped to marginal seas.
    - Add function to rebuild dependencies.
    - Make srt change backward compatible.
    - Allow overrides in config batch.
    - Fix machines option to srt and unitialzed var.
    - Fix cprnc build on mac.
    - Add NLCOMP warning if comparison fails and RUN phase is complete.
    - Remove string formatting from code-path that checks python version.
    - Bluewaters update.
    - Fix for ACME MPAS builds.
    - Add support for selecting different driver.
    - Fix critical bug with py3 str handling.
    - Only report mem and tput errors once.
    - Fix slurm output fields.
    - Fix critical problems found during ACME/ESMCI integration.
    - Handle pattern match chars like + in casename.
    - Add check for a batch system when testing user prerequisites.
    - Fix batch prepend test.
    - py3 fixes
    - Fix COST_PES and TOTALPES for titan (aprun).
    - Add support for arbitrary prerequisites to case.submit.
    - Updates for NAS pleiades systems.

User interface changes:
    - Add --clean-depends to case.build, this argument can take a component list and will
      clean all components if one is not provided.
    - Some additional output from nl comp code in some cases
    - --driver added to create_newcase, new _V$driver testopt.


PR summary: git log --oneline --first-parent [previous_tag]..master
0027c84 Merge pull request #2005 from jedwards4b/external_process_interface
a84b875 Merge pull request #2027 from jedwards4b/better_errormsg_for_compsets
184d7de Merge pull request #2013 from billsacks/runoff_nn_fix_mask
28f74aa Merge pull request #2022 from billsacks/runoff_convert_sq_degrees
4793fd8 Merge pull request #2007 from billsacks/runoff_map_no_marginal_ocean
5e79775 Merge pull request #2026 from jedwards4b/clean_depends
2b79440 make srt change backward compatible
a5a6949 Merge pull request #2025 from jedwards4b/allow_overrides_in_config_batch
cd181bb Merge pull request #2023 from jedwards4b/fix_unitialized_var
2978605 Merge pull request #2021 from billsacks/fix_cprnc_make
2d39e61 Merge pull request #2016 from ESMCI/jgfouca/add_nl_comp_warning
32375b4 Merge pull request #2017 from ESMCI/jgfouca/fix_cime_for_old_python
f3493fa Merge pull request #2015 from jedwards4b/bluewaters_update1
33ddbe8 Merge pull request #2008 from ESMCI/jgfouca/fix_acme_mpas_builds
f99c174 Merge pull request #1988 from ESMCI/jgfouca/add_driver_selection_support
33597f4 Merge pull request #2003 from ESMCI/jgfouca/py3_str_unicode_confusion
9202dbb Merge pull request #1998 from ESMCI/jgfouca/only_report_memory_tput_errors_once
09b7b8e Merge pull request #2001 from ESMCI/jgfouca/fix_slurm_output_fields
e67caa2 Merge pull request #1999 from ESMCI/jgfouca/misc_fixes
abf1e91 Merge pull request #1997 from jedwards4b/handle_special_chars_in_casename
952c5fd Merge pull request #1996 from ESMCI/mfdeakin-sandia/case_submit_prereq/fix_test
ef08588 fix batch prepend test
4226f42 py3 fixes
e959bdc Merge pull request #1990 from ESMCI/jgfouca/titan_fixes_and_misc
5f7359b Merge pull request #1753 from ESMCI/mfdeakin-sandia/case_submit/prereq
b8190ea Merge pull request #1983 from ESMCI/jgfouca/merge_st_archive

Modified files: git diff --name-status [previous_tag]
M       config/acme/config_files.xml
M       config/acme/machines/Makefile
M       config/acme/machines/config_batch.xml
M       config/cesm/machines/Makefile
M       config/cesm/machines/config_batch.xml
M       config/cesm/machines/config_machines.xml
M       config/xml_schemas/config_batch.xsd
M       doc/source/users_guide/running-a-case.rst
M       scripts/Tools/case.build
M       scripts/Tools/case.submit
M       scripts/create_newcase
M       scripts/lib/CIME/SystemTests/dae.py
M       scripts/lib/CIME/SystemTests/system_tests_common.py
M       scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M       scripts/lib/CIME/XML/component.py
M       scripts/lib/CIME/XML/entry_id.py
M       scripts/lib/CIME/XML/env_batch.py
M       scripts/lib/CIME/XML/env_mach_pes.py
M       scripts/lib/CIME/XML/generic_xml.py
M       scripts/lib/CIME/XML/machines.py
M       scripts/lib/CIME/aprun.py
M       scripts/lib/CIME/build.py
M       scripts/lib/CIME/buildlib.py
M       scripts/lib/CIME/case.py
M       scripts/lib/CIME/case_cmpgen_namelists.py
M       scripts/lib/CIME/case_run.py
M       scripts/lib/CIME/case_setup.py
M       scripts/lib/CIME/case_st_archive.py
M       scripts/lib/CIME/case_submit.py
M       scripts/lib/CIME/compare_namelists.py
M       scripts/lib/CIME/get_timing.py
M       scripts/lib/CIME/test_scheduler.py
M       scripts/lib/CIME/utils.py
M       scripts/query_config
M       scripts/tests/scripts_regression_tests.py
M       src/drivers/mct/cime_config/config_component.xml
M       src/drivers/mct/main/prep_ocn_mod.F90
M       tools/cprnc/Makefile
M       tools/mapping/check_maps/src/ESMF_RegridWeightGenCheck.F90
M       tools/mapping/gen_mapping_files/runoff_to_ocn/ncl/merge_mapping_files.ncl
M       tools/mapping/gen_mapping_files/runoff_to_ocn/src/main.F90
M       tools/mapping/gen_mapping_files/runoff_to_ocn/src/map_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer
Date: 10-25-2017
Tag: cime5.4.0-alpha.06
Answer Changes: None
Tests: scripts_regression_tests.py
       cesm F cases
Dependencies:

Brief Summary:
    - Update mpt and pnetcdf on cheyenne.
    - Fix several data component issues.
    - Resolve compset issue.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
aac772f Merge pull request #1992 from jedwards4b/cheyenne_mpt_update
4e7bd64 Merge pull request #1987 from ESMCI/mvertens/fix_datacomps
dd2734a Merge pull request #1981 from jedwards4b/resolve_compset_issue

Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_files.xml
M       config/cesm/machines/config_machines.xml
M       scripts/lib/CIME/XML/archive.py
M       scripts/lib/CIME/XML/entry_id.py
M       scripts/lib/CIME/XML/files.py
M       scripts/lib/CIME/case_st_archive.py
M       src/build_scripts/buildlib.csm_share
M       src/components/data_comps/datm/cime_config/buildnml
M       src/components/data_comps/dice/cime_config/buildnml
M       src/components/data_comps/dlnd/cime_config/buildnml
M       src/components/data_comps/docn/cime_config/buildnml
M       src/components/data_comps/docn/docn_comp_mod.F90
M       src/components/data_comps/drof/cime_config/buildnml
D       src/components/data_comps/dshare/shr_dmodel_mod.F90
D       src/components/data_comps/dshare/shr_strdata_mod.F90
D       src/components/data_comps/dshare/shr_stream_mod.F90
D       src/components/data_comps/dshare/shr_tInterp_mod.F90
M       src/components/data_comps/dwav/cime_config/buildnml
M       src/drivers/mct/cime_config/buildnml
M       src/drivers/mct/cime_config/config_archive.xml
A       src/share/streams/shr_dmodel_mod.F90
A       src/share/streams/shr_strdata_mod.F90
A       src/share/streams/shr_stream_mod.F90
A       src/share/streams/shr_tInterp_mod.F90


======================================================================

======================================================================

Originator: Chris Fischer
Date: 10-25-2017
Tag: cime5.4.0-alpha.05
Answer Changes: None
Tests: scripts_regression_tests
       ne16_ne16_mg17 alias (compset QPC6)
       ERS.f09_g17.B1850.cheyenne_intel.allactive-defaultio
Dependencies:

Brief Summary:
    - Add mapping files for T42_T42_mg17.
    - Remove empty proxy tag from anlworkstation.
    - Updates for testreporter and remove AWAV from testlist.
    - Bring in E3SM cime changes for past 3 months.
    - Adjustments for new CAM-SE dycore.
    - Make sure user changes to wallclock/queue are not lost.
    - Minor cleanup of PEM test.
    - Add COMP_ROOT_DIR_ variables so that a component can be moved with the
      change of a single cime variable.
    - Set correct domain files for ne16np4.
    - Add LBL Machines.
    - Data model documentation edits.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
299f1ab Merge pull request #1991 from ESMCI/fischer/T42_T42_mg17
a8cd748 Merge pull request #1989 from ESMCI/dqwu/anlworkstation-remove-proxy-tag
de4df65 Merge pull request #1984 from ESMCI/fischer/TestReporter
0c1b306 Merge pull request #1970 from ESMCI/jgfouca/branch-for-acme-split-10-17-2017-pr
4f201fe Merge pull request #1979 from gold2718/seUpdates
3d509a2 Merge pull request #1978 from ESMCI/jgfouca/fix_custom_walltime
14d71e9 Merge pull request #1976 from billsacks/pem_cleanup
0e5cee1 Merge pull request #1968 from jedwards4b/add_comp_root_dir_vars
a1a2c14 Merge pull request #1973 from gold2718/seDomainFiles
48c6fa8 Merge pull request #1956 from ekluzek/addlblmachs
a915609 Merge pull request #1969 from billsacks/data_model_edits


Modified files: git diff --name-status [previous_tag]
M	config/acme/allactive/config_compsets.xml
M	config/acme/allactive/config_pesall.xml
M	config/acme/config_archive.xml
M	config/acme/config_files.xml
M	config/acme/config_grids.xml
D	config/acme/machines/Depends.corip1
M	config/acme/machines/Depends.intel
D	config/acme/machines/Depends.intel14
D	config/acme/machines/Depends.intelmic
D	config/acme/machines/Depends.intelmic14
A	config/acme/machines/Depends.summitdev.ibm
M	config/acme/machines/Makefile
M	config/acme/machines/config_batch.xml
M	config/acme/machines/config_compilers.xml
M	config/acme/machines/config_machines.xml
M	config/acme/machines/template.st_archive
A	config/acme/testmods_dirs/allactive/clm/bgcinterface/user_nl_clm
A	config/acme/testmods_dirs/allactive/clm/rd/user_nl_clm
A	config/acme/testmods_dirs/allactive/clm/vst/user_nl_clm
M	config/cesm/config_files.xml
M	config/cesm/config_grids.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.st_archive
M	config/config_tests.xml
M	config/xml_schemas/config_compilers_v2.xsd
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/config_machines_template.xml
M	config/xml_schemas/env_mach_specific.xsd
M	doc/source/data_models/data-atm.rst
M	doc/source/data_models/data-lnd.rst
M	doc/source/data_models/data-model-science.rst
M	doc/source/data_models/data-ocean.rst
M	doc/source/data_models/data-river.rst
M	doc/source/data_models/data-seaice.rst
M	doc/source/data_models/data-wave.rst
M	doc/source/data_models/design-details.rst
M	doc/source/data_models/input-streams.rst
M	doc/source/data_models/introduction.rst
A	scripts/Tools/acme_cime_split
M	scripts/Tools/jenkins_generic_job
M	scripts/Tools/preview_run
M	scripts/Tools/testreporter.py
M	scripts/Tools/xmlchange
M	scripts/create_test
M	scripts/fortran_unit_testing/run_tests.py
M	scripts/lib/CIME/BuildTools/configure.py
M	scripts/lib/CIME/SystemTests/erp.py
M	scripts/lib/CIME/SystemTests/pem.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/pes.py
M	scripts/lib/CIME/bless_test_results.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/test_status.py
M	scripts/lib/CIME/tests/case_fake.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/jenkins_generic_job.py
M	scripts/lib/update_acme_tests.py
A	scripts/tests/run_acme_ctest/CMakeLists.txt
A	scripts/tests/run_acme_ctest/CTestConfig.cmake
A	scripts/tests/run_acme_ctest/runAcmeTest_template.sh
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/components/data_comps/docn/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_acme.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml
M	src/drivers/mct/main/cime_comp_mod.F90
M	src/drivers/mct/main/seq_diag_mct.F90
D	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML_Lite.3
D	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML_Lite_Element.3
D	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML_Lite.3
D	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML_Lite_Element.3
M	src/share/timing/GPTLget_memusage.c
M	src/share/timing/GPTLprint_memusage.c
M	src/share/util/shr_flux_mod.F90
M	src/share/util/shr_mem_mod.F90
M	src/share/util/shr_orb_mod.F90
M	src/share/util/shr_reprosum_mod.F90
M	utils/perl5lib/compilers_translation_tool.pl

======================================================================

======================================================================

Originator: Chris Fischer
Date: 10-16-2017
Tag: cime5.4.0-alpha.04
Answer Changes: None
Tests: scripts_regression_tests.py code_checker
Dependencies:

Brief Summary:
    - Cleanup of the compvar implementation.
    - Refactor CPLHIST mode and add DATM CPLHIST topo capability.
    - Fix py3 for erio test.
    - Fix some issues found in type conversion.
    - Port to python3 while maintaining compatibility with python 2.7
    - Remove developers table on README.md.
    - Load balancing tool mods.
    - Add auto-normalization to case_diff.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
af429bd Merge pull request #1965 from jedwards4b/iscompvar_cleanup
16adad1 Merge pull request #1950 from ESMCI/mvertens/cplhist_topo
02cc2fd Fix py3 for erio test
116e6e7 Merge pull request #1962 from jedwards4b/convert_to_string_fix
c5cf2af PR #1949 jedwards4b/py3_port_branch
c6cf37e Merge pull request #1926 from ESMCI/rljacob/update-readme
128625f Merge pull request #1942 from jedwards4b/load-balancing-tool-mods
6f43f73 Merge pull request #1958 from ESMCI/jgfouca/case_diff_auto_normalize


Modified files: git diff --name-status [previous_tag]
M	CMakeLists.txt
M	LICENSE.TXT
D	README
M	README.md
D	README.unit_testing
M	config/acme/allactive/config_compsets.xml
D	config/acme/allactive/config_compsets.xml.cime2
D	config/acme/allactive/config_pes.xml
D	config/acme/allactive/config_pes.xml.cime2
M	config/acme/allactive/config_pesall.xml
D	config/acme/allactive/testmods_dirs/cam/outfrq9s/shell_commands
D	config/acme/allactive/testmods_dirs/force_netcdf_pio/shell_commands
M	config/acme/config_archive.xml
M	config/acme/config_files.xml
M	config/acme/config_grids.xml
M	config/acme/machines/Makefile
M	config/acme/machines/config_batch.xml
M	config/acme/machines/config_batch.xsd
M	config/acme/machines/config_compilers.xml
D	config/acme/machines/config_lt_archive.xml
M	config/acme/machines/config_machines.xml
M	config/acme/machines/config_pio.xml
A	config/acme/machines/syslog.anvil
M	config/acme/machines/syslog.cetus
M	config/acme/machines/syslog.cori-haswell
M	config/acme/machines/syslog.cori-knl
M	config/acme/machines/syslog.edison
M	config/acme/machines/syslog.mira
M	config/acme/machines/syslog.titan
M	config/acme/machines/template.case.run
M	config/acme/machines/template.case.test
D	config/acme/machines/template.lt_archive
M	config/acme/machines/template.st_archive
M	config/acme/machines/userdefined_laptop_template/config_compilers.xml
M	config/acme/machines/userdefined_laptop_template/config_machines.xml
A	config/acme/testmods_dirs/allactive/cam/cosplite/user_nl_cam
A	config/acme/testmods_dirs/allactive/cam/cosplite/xmlchange_cmnds
A	config/acme/testmods_dirs/allactive/cam/cosplite_nhtfrq5/user_nl_cam
A	config/acme/testmods_dirs/allactive/cam/cosplite_nhtfrq5/xmlchange_cmnds
A	config/acme/testmods_dirs/allactive/cam/outfrq9s/xmlchange_cmnds
A	config/acme/testmods_dirs/allactive/cam/rtm_null/xmlchange_cmnds
A	config/acme/testmods_dirs/allactive/clm/betr/xmlchange_cmnds
A	config/acme/testmods_dirs/allactive/clm/eca/user_nl_clm
A	config/acme/testmods_dirs/allactive/clm/fates/user_nl_clm
A	config/acme/testmods_dirs/allactive/force_netcdf_pio/shell_commands
A	config/acme/testmods_dirs/allactive/force_netcdf_pio/xmlchange_cmnds
M	config/cesm/config_archive.xml
M	config/cesm/config_files.xml
M	config/cesm/config_grids.xml
D	config/cesm/machines/Depends.goldbach
M	config/cesm/machines/Makefile
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
D	config/cesm/machines/config_lt_archive.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/config_pio.xml
M	config/cesm/machines/template.case.run
M	config/cesm/machines/template.case.test
D	config/cesm/machines/template.lt_archive
M	config/cesm/machines/template.st_archive
M	config/cesm/machines/userdefined_laptop_template/README.md
M	config/cesm/machines/userdefined_laptop_template/config_compilers.xml
M	config/cesm/machines/userdefined_laptop_template/config_machines.xml
M	config/config_headers.xml
M	config/config_tests.xml
M	config/xml_schemas/config_batch.xsd
M	config/xml_schemas/config_compsets.xsd
M	config/xml_schemas/config_grids_v2.xsd
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/config_machines_template.xml
M	config/xml_schemas/config_pes.xsd
M	config/xml_schemas/entry_id_base.xsd
A	config/xml_schemas/entry_id_base_version3.xsd
A	config/xml_schemas/entry_id_version3.xsd
A	config/xml_schemas/env_batch.xsd
A	config/xml_schemas/env_mach_pes.xsd
A	config/xml_schemas/env_mach_specific.xsd
A	doc/.gitignore
A	doc/Makefile
A	doc/README
A	doc/source/README
A	doc/source/Tools_user/index.rst.template
A	doc/source/_static
A	doc/source/build_cpl/adding-components.rst
A	doc/source/build_cpl/index.rst
A	doc/source/build_cpl/introduction.rst
A	doc/source/conf.py
A	doc/source/data_models/data-atm.rst
A	doc/source/data_models/data-lnd.rst
A	doc/source/data_models/data-model-science.rst
A	doc/source/data_models/data-ocean.rst
A	doc/source/data_models/data-river.rst
A	doc/source/data_models/data-seaice.rst
A	doc/source/data_models/data-wave.rst
A	doc/source/data_models/design-details.rst
A	doc/source/data_models/index.rst
A	doc/source/data_models/input-namelists.rst
A	doc/source/data_models/input-streams.rst
A	doc/source/data_models/introduction.rst
A	doc/source/driver_cpl/bit-for-bit-flag.rst
A	doc/source/driver_cpl/budgets.rst
A	doc/source/driver_cpl/cplug-02.1-figx1.jpg
A	doc/source/driver_cpl/design.rst
A	doc/source/driver_cpl/driver_threading_control.rst
A	doc/source/driver_cpl/grids.rst
A	doc/source/driver_cpl/history-and-restarts.rst
A	doc/source/driver_cpl/implementation.rst
A	doc/source/driver_cpl/index.rst
A	doc/source/driver_cpl/initialization-and-restart.rst
A	doc/source/driver_cpl/introduction.rst
A	doc/source/driver_cpl/multi-instance.rst
A	doc/source/driver_cpl/namelist-overview.rst
A	doc/source/driver_cpl/time-management.rst
A	doc/source/glossary/index.rst
A	doc/source/index.rst
A	doc/source/misc_tools/index.rst
A	doc/source/misc_tools/load-balancing-tool.rst
A	doc/source/users_guide/adding-cases.rst
A	doc/source/users_guide/building-a-case.rst
A	doc/source/users_guide/case-basics.rst
A	doc/source/users_guide/cime-internals.rst
A	doc/source/users_guide/cloning-a-case.rst
A	doc/source/users_guide/create-a-case.rst
A	doc/source/users_guide/customizing-a-case.rst
A	doc/source/users_guide/index.rst
A	doc/source/users_guide/introduction-and-overview.rst
A	doc/source/users_guide/multi-instance.rst
A	doc/source/users_guide/optimizing-processor-layout.rst
A	doc/source/users_guide/porting-cime.rst
A	doc/source/users_guide/running-a-case.rst
A	doc/source/users_guide/setting-up-a-case.rst
A	doc/source/users_guide/testing.rst
A	doc/source/users_guide/troubleshooting.rst
A	doc/source/users_guide/unit_testing.rst
A	doc/source/users_guide/use_cases/basics-a-basic-example.rst
A	doc/source/users_guide/use_cases/basics-mpi-example.rst
A	doc/source/users_guide/use_cases/basics-setting-up-a-branch-or-hybrid-run.rst
A	doc/source/users_guide/use_cases/use-cases.rst
A	doc/source/what_cime/index.rst
A	doc/source/xml_files/acme.rst
A	doc/source/xml_files/atmosphere.rst
A	doc/source/xml_files/cesm.rst
A	doc/source/xml_files/common.rst
A	doc/source/xml_files/components.rst
A	doc/source/xml_files/drivers.rst
A	doc/source/xml_files/esp.rst
A	doc/source/xml_files/index.rst
A	doc/source/xml_files/land.rst
A	doc/source/xml_files/landice.rst
A	doc/source/xml_files/ocean.rst
A	doc/source/xml_files/river.rst
A	doc/source/xml_files/seaice.rst
A	doc/source/xml_files/wave.rst
A	doc/tools_autodoc.cfg
A	doc/tools_autodoc.py
A	index.html
D	scripts/Tools/README.post_process
M	scripts/Tools/acme_check_env
D	scripts/Tools/archive_metadata.sh
M	scripts/Tools/bless_test_results
M	scripts/Tools/case.build
M	scripts/Tools/case.cmpgen_namelists
A	scripts/Tools/case.qstatus
M	scripts/Tools/case.setup
M	scripts/Tools/case.submit
M	scripts/Tools/case_diff
M	scripts/Tools/check_case
D	scripts/Tools/check_exactrestart.pl
M	scripts/Tools/check_input_data
M	scripts/Tools/check_lockedfiles
M	scripts/Tools/cime_bisect
M	scripts/Tools/cimeteststatus
M	scripts/Tools/code_checker
M	scripts/Tools/compare_namelists
M	scripts/Tools/compare_test_results
M	scripts/Tools/component_compare_baseline
M	scripts/Tools/component_compare_copy
M	scripts/Tools/component_compare_test
M	scripts/Tools/component_generate_baseline
D	scripts/Tools/create_train
D	scripts/Tools/cron_script
A	scripts/Tools/cs.status
D	scripts/Tools/cs_status
M	scripts/Tools/getTiming
M	scripts/Tools/jenkins_generic_job
M	scripts/Tools/jenkins_script
M	scripts/Tools/list_acme_tests
D	scripts/Tools/load.awk
D	scripts/Tools/lt_archive.sh
D	scripts/Tools/mdiag_reduce.csh
D	scripts/Tools/mdiag_reduce.pl
M	scripts/Tools/normalize_cases
M	scripts/Tools/pelayout
M	scripts/Tools/pointclm/makepointdata.py
M	scripts/Tools/pointclm/post_process.py
M	scripts/Tools/pointclm/site_fullrun.py
M	scripts/Tools/preview_namelists
A	scripts/Tools/preview_run
M	scripts/Tools/save_provenance
M	scripts/Tools/simple_compare
A	scripts/Tools/testreporter.py
M	scripts/Tools/update_acme_tests
M	scripts/Tools/wait_for_tests
M	scripts/Tools/xmlchange
M	scripts/Tools/xmlconvertors/config_pes_converter.py
M	scripts/Tools/xmlconvertors/grid_xml_converter.py
M	scripts/Tools/xmlquery
M	scripts/create_clone
M	scripts/create_newcase
M	scripts/create_test
A	scripts/fortran_unit_testing/Examples/circle_area/src/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/circle_area/src/circle.F90
A	scripts/fortran_unit_testing/Examples/circle_area/tests/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/circle_area/tests/CTest/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/circle_area/tests/CTest/test_driver.F90
A	scripts/fortran_unit_testing/Examples/circle_area/tests/pFUnit/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/circle_area/tests/pFUnit/test_circle.pf
A	scripts/fortran_unit_testing/Examples/interpolate_1d/src/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/interpolate_1d/src/interpolate_1d.F90
A	scripts/fortran_unit_testing/Examples/interpolate_1d/tests/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/interpolate_1d/tests/CTest/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/interpolate_1d/tests/CTest/test_driver.F90
A	scripts/fortran_unit_testing/Examples/interpolate_1d/tests/pFUnit/CMakeLists.txt
A	scripts/fortran_unit_testing/Examples/interpolate_1d/tests/pFUnit/test_interpolate_point.pf
A	scripts/fortran_unit_testing/Examples/test_list.xml
A	scripts/fortran_unit_testing/README
A	scripts/fortran_unit_testing/python/.gitignore
A	scripts/fortran_unit_testing/python/printer.py
A	scripts/fortran_unit_testing/python/test_xml_test_list.py
A	scripts/fortran_unit_testing/python/xml_test_list.py
A	scripts/fortran_unit_testing/run_tests.py
M	scripts/lib/CIME/BuildTools/cmakemacroswriter.py
M	scripts/lib/CIME/BuildTools/configure.py
M	scripts/lib/CIME/BuildTools/macrowriterbase.py
M	scripts/lib/CIME/SystemTests/dae.py
M	scripts/lib/CIME/SystemTests/eri.py
M	scripts/lib/CIME/SystemTests/erio.py
M	scripts/lib/CIME/SystemTests/erp.py
M	scripts/lib/CIME/SystemTests/err.py
A	scripts/lib/CIME/SystemTests/erri.py
M	scripts/lib/CIME/SystemTests/ers.py
A	scripts/lib/CIME/SystemTests/ers2.py
M	scripts/lib/CIME/SystemTests/homme.py
A	scripts/lib/CIME/SystemTests/irt.py
D	scripts/lib/CIME/SystemTests/lii.py
A	scripts/lib/CIME/SystemTests/mcc.py
M	scripts/lib/CIME/SystemTests/nck.py
M	scripts/lib/CIME/SystemTests/ncr.py
A	scripts/lib/CIME/SystemTests/nodefail.py
M	scripts/lib/CIME/SystemTests/pea.py
M	scripts/lib/CIME/SystemTests/pem.py
M	scripts/lib/CIME/SystemTests/pet.py
M	scripts/lib/CIME/SystemTests/pre.py
A	scripts/lib/CIME/SystemTests/restart_tests.py
M	scripts/lib/CIME/SystemTests/seq.py
D	scripts/lib/CIME/SystemTests/ssp.py
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/archive.py
M	scripts/lib/CIME/XML/batch.py
M	scripts/lib/CIME/XML/compilerblock.py
M	scripts/lib/CIME/XML/compilers.py
M	scripts/lib/CIME/XML/component.py
M	scripts/lib/CIME/XML/compsets.py
M	scripts/lib/CIME/XML/entry_id.py
M	scripts/lib/CIME/XML/env_archive.py
M	scripts/lib/CIME/XML/env_base.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_pes.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/XML/env_run.py
M	scripts/lib/CIME/XML/env_test.py
M	scripts/lib/CIME/XML/files.py
M	scripts/lib/CIME/XML/generic_xml.py
M	scripts/lib/CIME/XML/grids.py
D	scripts/lib/CIME/XML/lt_archive.py
M	scripts/lib/CIME/XML/machines.py
M	scripts/lib/CIME/XML/namelist_definition.py
M	scripts/lib/CIME/XML/pes.py
A	scripts/lib/CIME/XML/test_reporter.py
M	scripts/lib/CIME/XML/testlist.py
M	scripts/lib/CIME/XML/tests.py
M	scripts/lib/CIME/XML/testspec.py
A	scripts/lib/CIME/aprun.py
M	scripts/lib/CIME/bless_test_results.py
M	scripts/lib/CIME/build.py
M	scripts/lib/CIME/buildlib.py
M	scripts/lib/CIME/buildnml.py
M	scripts/lib/CIME/case.py
A	scripts/lib/CIME/case_clone.py
M	scripts/lib/CIME/case_cmpgen_namelists.py
D	scripts/lib/CIME/case_lt_archive.py
M	scripts/lib/CIME/case_run.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/case_st_archive.py
M	scripts/lib/CIME/case_submit.py
M	scripts/lib/CIME/case_test.py
M	scripts/lib/CIME/check_input_data.py
M	scripts/lib/CIME/check_lockedfiles.py
M	scripts/lib/CIME/code_checker.py
M	scripts/lib/CIME/compare_namelists.py
M	scripts/lib/CIME/compare_test_results.py
M	scripts/lib/CIME/get_timing.py
M	scripts/lib/CIME/hist_utils.py
M	scripts/lib/CIME/namelist.py
M	scripts/lib/CIME/nmlgen.py
M	scripts/lib/CIME/preview_namelists.py
M	scripts/lib/CIME/provenance.py
M	scripts/lib/CIME/simple_compare.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/test_status.py
M	scripts/lib/CIME/test_utils.py
M	scripts/lib/CIME/tests/SystemTests/test_system_tests_compare_two.py
M	scripts/lib/CIME/tests/SystemTests/test_system_tests_compare_two_link_to_case2_output.py
M	scripts/lib/CIME/tests/SystemTests/test_utils/test_user_nl_utils.py
M	scripts/lib/CIME/tests/case_fake.py
A	scripts/lib/CIME/tests/test_user_mod_support.py
M	scripts/lib/CIME/user_mod_support.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/CIME/wait_for_tests.py
M	scripts/lib/cs.status.template
M	scripts/lib/jenkins_generic_job.py
A	scripts/lib/six.py
A	scripts/lib/testreporter.template
M	scripts/lib/update_acme_tests.py
D	scripts/manage_case
M	scripts/manage_pes
A	scripts/query_config
M	scripts/query_testlists
M	scripts/tests/CMakeLists.txt
M	scripts/tests/CTestConfig.cmake
M	scripts/tests/list_tests
M	scripts/tests/scripts_regression_tests.py
A	scripts/tests/user_mods_test3/shell_commands
A	src/CMake/.gitignore
A	src/CMake/CESM_utils.cmake
A	src/CMake/CIME_initial_setup.cmake
A	src/CMake/CIME_utils.cmake
A	src/CMake/ChangeLog
A	src/CMake/Compilers.cmake
A	src/CMake/FindpFUnit.cmake
A	src/CMake/LICENSE
A	src/CMake/README.md
A	src/CMake/Sourcelist_utils.cmake
A	src/CMake/TryCSizeOf.f90
A	src/CMake/TryMPIIO.f90
A	src/CMake/TryMPIMod.f90
A	src/CMake/TryMPISERIAL.f90
A	src/CMake/TryPnetcdf_inc.f90
A	src/CMake/TryPnetcdf_mod.f90
A	src/CMake/genf90_utils.cmake
A	src/CMake/mpiexec.cmake
A	src/CMake/pFUnit_utils.cmake
M	src/build_scripts/buildlib.csm_share
M	src/build_scripts/buildlib.gptl
A	src/build_scripts/buildlib.internal_components
M	src/build_scripts/buildlib.mct
M	src/build_scripts/buildlib.mpi-serial
M	src/build_scripts/buildlib.pio
D	src/components/data_comps/datm/atm_comp_mct.F90
T	src/components/data_comps/datm/cime_config/buildlib
M	src/components/data_comps/datm/cime_config/buildnml
M	src/components/data_comps/datm/cime_config/config_archive.xml
M	src/components/data_comps/datm/cime_config/config_component.xml
M	src/components/data_comps/datm/cime_config/namelist_definition_datm.xml
M	src/components/data_comps/datm/datm_comp_mod.F90
M	src/components/data_comps/datm/datm_shr_mod.F90
A	src/components/data_comps/datm/mct/atm_comp_mct.F90
T	src/components/data_comps/desp/cime_config/buildlib
M	src/components/data_comps/desp/cime_config/buildnml
M	src/components/data_comps/desp/cime_config/config_component.xml
M	src/components/data_comps/desp/cime_config/namelist_definition_desp.xml
M	src/components/data_comps/desp/desp_comp_mod.F90
D	src/components/data_comps/desp/esp_comp_mct.F90
M	src/components/data_comps/desp/esp_utils.F90
A	src/components/data_comps/desp/mct/esp_comp_mct.F90
T	src/components/data_comps/dice/cime_config/buildlib
M	src/components/data_comps/dice/cime_config/buildnml
M	src/components/data_comps/dice/cime_config/config_archive.xml
M	src/components/data_comps/dice/cime_config/config_component.xml
M	src/components/data_comps/dice/cime_config/namelist_definition_dice.xml
M	src/components/data_comps/dice/dice_comp_mod.F90
A	src/components/data_comps/dice/dice_shr_mod.F90
D	src/components/data_comps/dice/ice_comp_mct.F90
A	src/components/data_comps/dice/mct/ice_comp_mct.F90
T	src/components/data_comps/dlnd/cime_config/buildlib
M	src/components/data_comps/dlnd/cime_config/buildnml
M	src/components/data_comps/dlnd/cime_config/config_archive.xml
M	src/components/data_comps/dlnd/cime_config/config_component.xml
M	src/components/data_comps/dlnd/cime_config/namelist_definition_dlnd.xml
M	src/components/data_comps/dlnd/dlnd_comp_mod.F90
A	src/components/data_comps/dlnd/dlnd_shr_mod.F90
D	src/components/data_comps/dlnd/lnd_comp_mct.F90
A	src/components/data_comps/dlnd/mct/lnd_comp_mct.F90
T	src/components/data_comps/docn/cime_config/buildlib
M	src/components/data_comps/docn/cime_config/buildnml
M	src/components/data_comps/docn/cime_config/config_archive.xml
M	src/components/data_comps/docn/cime_config/config_component.xml
M	src/components/data_comps/docn/cime_config/namelist_definition_docn.xml
M	src/components/data_comps/docn/docn_comp_mod.F90
A	src/components/data_comps/docn/docn_shr_mod.F90
A	src/components/data_comps/docn/mct/ocn_comp_mct.F90
D	src/components/data_comps/docn/ocn_comp_mct.F90
T	src/components/data_comps/drof/cime_config/buildlib
M	src/components/data_comps/drof/cime_config/buildnml
M	src/components/data_comps/drof/cime_config/config_archive.xml
M	src/components/data_comps/drof/cime_config/config_component.xml
M	src/components/data_comps/drof/cime_config/namelist_definition_drof.xml
M	src/components/data_comps/drof/drof_comp_mod.F90
A	src/components/data_comps/drof/drof_shr_mod.F90
A	src/components/data_comps/drof/mct/rof_comp_mct.F90
D	src/components/data_comps/drof/rof_comp_mct.F90
A	src/components/data_comps/dshare/shr_dmodel_mod.F90
A	src/components/data_comps/dshare/shr_strdata_mod.F90
A	src/components/data_comps/dshare/shr_stream_mod.F90
A	src/components/data_comps/dshare/shr_tInterp_mod.F90
T	src/components/data_comps/dwav/cime_config/buildlib
M	src/components/data_comps/dwav/cime_config/buildnml
M	src/components/data_comps/dwav/cime_config/config_archive.xml
M	src/components/data_comps/dwav/cime_config/config_component.xml
M	src/components/data_comps/dwav/cime_config/namelist_definition_dwav.xml
M	src/components/data_comps/dwav/dwav_comp_mod.F90
A	src/components/data_comps/dwav/dwav_shr_mod.F90
A	src/components/data_comps/dwav/mct/wav_comp_mct.F90
D	src/components/data_comps/dwav/wav_comp_mct.F90
T	src/components/stub_comps/satm/cime_config/buildlib
M	src/components/stub_comps/satm/cime_config/buildnml
M	src/components/stub_comps/satm/cime_config/config_component.xml
T	src/components/stub_comps/sesp/cime_config/buildlib
M	src/components/stub_comps/sesp/cime_config/buildnml
M	src/components/stub_comps/sesp/cime_config/config_component.xml
T	src/components/stub_comps/sglc/cime_config/buildlib
M	src/components/stub_comps/sglc/cime_config/buildnml
M	src/components/stub_comps/sglc/cime_config/config_component.xml
T	src/components/stub_comps/sice/cime_config/buildlib
M	src/components/stub_comps/sice/cime_config/buildnml
M	src/components/stub_comps/sice/cime_config/config_component.xml
T	src/components/stub_comps/slnd/cime_config/buildlib
M	src/components/stub_comps/slnd/cime_config/buildnml
M	src/components/stub_comps/slnd/cime_config/config_component.xml
T	src/components/stub_comps/socn/cime_config/buildlib
M	src/components/stub_comps/socn/cime_config/buildnml
M	src/components/stub_comps/socn/cime_config/config_component.xml
T	src/components/stub_comps/srof/cime_config/buildlib
M	src/components/stub_comps/srof/cime_config/buildnml
M	src/components/stub_comps/srof/cime_config/config_component.xml
T	src/components/stub_comps/swav/cime_config/buildlib
M	src/components/stub_comps/swav/cime_config/buildnml
M	src/components/stub_comps/swav/cime_config/config_component.xml
T	src/components/xcpl_comps/xatm/cime_config/buildlib
M	src/components/xcpl_comps/xatm/cime_config/config_component.xml
T	src/components/xcpl_comps/xglc/cime_config/buildlib
M	src/components/xcpl_comps/xglc/cime_config/config_component.xml
T	src/components/xcpl_comps/xice/cime_config/buildlib
M	src/components/xcpl_comps/xice/cime_config/config_component.xml
T	src/components/xcpl_comps/xlnd/cime_config/buildlib
M	src/components/xcpl_comps/xlnd/cime_config/config_component.xml
T	src/components/xcpl_comps/xocn/cime_config/buildlib
M	src/components/xcpl_comps/xocn/cime_config/config_component.xml
T	src/components/xcpl_comps/xrof/cime_config/buildlib
M	src/components/xcpl_comps/xrof/cime_config/config_component.xml
M	src/components/xcpl_comps/xshare/dead_mct_mod.F90
M	src/components/xcpl_comps/xshare/dead_mod.F90
T	src/components/xcpl_comps/xwav/cime_config/buildlib
M	src/components/xcpl_comps/xwav/cime_config/config_component.xml
D	src/drivers/mct/bld/namelist_files/namelist_defaults_drv.xml
D	src/drivers/mct/bld/namelist_files/namelist_definition_drv.xml
D	src/drivers/mct/bld/namelist_files/namelist_definition_drv_flds.xml
D	src/drivers/mct/bld/namelist_files/namelist_definition_modio.xml
D	src/drivers/mct/bld/testdir/Buildconf/camconf/drv_flds_in
D	src/drivers/mct/bld/testdir/Buildconf/clmconf/drv_flds_in
D	src/drivers/mct/bld/testdir/env_build.xml
D	src/drivers/mct/bld/testdir/env_case.xml
D	src/drivers/mct/bld/testdir/env_mach_pes.xml
D	src/drivers/mct/bld/testdir/env_run.xml
D	src/drivers/mct/bld/testdir/runtest
D	src/drivers/mct/bld/testdir/user_nl_cpl
M	src/drivers/mct/cime_config/buildexe
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_archive.xml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_acme.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml
M	src/drivers/mct/cime_config/config_compsets.xml
M	src/drivers/mct/cime_config/config_pes.xml
M	src/drivers/mct/cime_config/namelist_definition_drv.xml
A	src/drivers/mct/cime_config/namelist_definition_drv_flds.xml
M	src/drivers/mct/cime_config/namelist_definition_modelio.xml
M	src/drivers/mct/cime_config/testdefs/testlist_drv.xml
A	src/drivers/mct/cime_config/testdefs/testmods_dirs/drv/default/shell_commands
A	src/drivers/mct/cime_config/testdefs/testmods_dirs/drv/som/shell_commands
D	src/drivers/mct/doc/bookinfo.xml
D	src/drivers/mct/doc/chap1.xml
D	src/drivers/mct/doc/chap2.xml
D	src/drivers/mct/doc/figx1.jpg
D	src/drivers/mct/doc/namelist.xml
D	src/drivers/mct/doc/rundocbook.csh
D	src/drivers/mct/doc/stylesheet.dsl
D	src/drivers/mct/doc/ug.xml
M	src/drivers/mct/main/CMakeLists.txt
D	src/drivers/mct/main/cesm_comp_mod.F90
D	src/drivers/mct/main/cesm_driver.F90
A	src/drivers/mct/main/cime_comp_mod.F90
A	src/drivers/mct/main/cime_driver.F90
M	src/drivers/mct/main/component_mod.F90
M	src/drivers/mct/main/component_type_mod.F90
M	src/drivers/mct/main/map_glc2lnd_mod.F90
M	src/drivers/mct/main/map_lnd2glc_mod.F90
M	src/drivers/mct/main/mrg_mod.F90
M	src/drivers/mct/main/prep_aoflux_mod.F90
M	src/drivers/mct/main/prep_atm_mod.F90
M	src/drivers/mct/main/prep_glc_mod.F90
M	src/drivers/mct/main/prep_ice_mod.F90
M	src/drivers/mct/main/prep_lnd_mod.F90
M	src/drivers/mct/main/prep_ocn_mod.F90
M	src/drivers/mct/main/seq_diag_mct.F90
M	src/drivers/mct/main/seq_domain_mct.F90
M	src/drivers/mct/main/seq_flux_mct.F90
M	src/drivers/mct/main/seq_hist_mod.F90
M	src/drivers/mct/main/seq_io_mod.F90
M	src/drivers/mct/main/seq_rest_mod.F90
D	src/drivers/mct/main/vertical_gradient_calculator_2nd_order.F90
D	src/drivers/mct/main/vertical_gradient_calculator_base.F90
D	src/drivers/mct/main/vertical_gradient_calculator_factory.F90
M	src/drivers/mct/shr/CMakeLists.txt
M	src/drivers/mct/shr/glc_elevclass_mod.F90
M	src/drivers/mct/shr/seq_comm_mct.F90
M	src/drivers/mct/shr/seq_drydep_mod.F90
M	src/drivers/mct/shr/seq_flds_mod.F90
M	src/drivers/mct/shr/seq_infodata_mod.F90
M	src/drivers/mct/shr/seq_timemgr_mod.F90
A	src/drivers/mct/shr/shr_ndep_mod.F90
M	src/drivers/mct/unit_test/CMakeLists.txt
A	src/drivers/mct/unit_test/check_fields_test/CMakeLists.txt
A	src/drivers/mct/unit_test/check_fields_test/test_check_fields.pf
M	src/drivers/mct/unit_test/glc_elevclass_test/test_glc_elevclass.pf
D	src/drivers/mct/unit_test/map_lnd2glc_test/CMakeLists.txt
D	src/drivers/mct/unit_test/map_lnd2glc_test/test_map_lnd2glc.pf
M	src/drivers/mct/unit_test/stubs/CMakeLists.txt
A	src/drivers/mct/unit_test/stubs/seq_timemgr_mod.F90
D	src/drivers/mct/unit_test/stubs/vertical_gradient_calculator_constant.F90
M	src/drivers/mct/unit_test/utils/create_mapper_mod.F90
M	src/drivers/mct/unit_test/utils/mct_wrapper_mod.F90
D	src/drivers/mct/unit_test/vertical_gradient_calculator_test/CMakeLists.txt
D	src/drivers/mct/unit_test/vertical_gradient_calculator_test/README
D	src/drivers/mct/unit_test/vertical_gradient_calculator_test/gradient_example.txt
D	src/drivers/mct/unit_test/vertical_gradient_calculator_test/plot_gradient
D	src/drivers/mct/unit_test/vertical_gradient_calculator_test/test_vertical_gradient_calculator_2nd_order.pf
D	src/drivers/mct/unit_test/vertical_gradient_calculator_test/test_vertical_gradient_calculator_factory.pf
D	src/externals/CMake/.gitignore
D	src/externals/CMake/CESM_utils.cmake
D	src/externals/CMake/CIME_utils.cmake
D	src/externals/CMake/ChangeLog
D	src/externals/CMake/Compilers.cmake
D	src/externals/CMake/FindpFUnit.cmake
D	src/externals/CMake/LICENSE
D	src/externals/CMake/README.md
D	src/externals/CMake/Sourcelist_utils.cmake
D	src/externals/CMake/TryCSizeOf.f90
D	src/externals/CMake/TryMPIIO.f90
D	src/externals/CMake/TryMPIMod.f90
D	src/externals/CMake/TryMPISERIAL.f90
D	src/externals/CMake/TryPnetcdf_inc.f90
D	src/externals/CMake/TryPnetcdf_mod.f90
D	src/externals/CMake/genf90_utils.cmake
D	src/externals/CMake/mpiexec.cmake
D	src/externals/CMake/pFUnit_utils.cmake
M	src/externals/mct/mct/Makefile
M	src/externals/mct/mct/m_AttrVect.F90
M	src/externals/mct/mct/m_GlobalSegMap.F90
M	src/externals/mct/mct/m_MCTWorld.F90
M	src/externals/mct/mct/m_MatAttrVectMul.F90
M	src/externals/mct/mct/m_Rearranger.F90
M	src/externals/mct/mct/m_Router.F90
A	src/externals/mct/mct/m_SPMDutils.F90
M	src/externals/mct/mpeu/m_FcComms.F90
M	src/externals/mct/mpi-serial/Makefile
D	src/externals/mct/mpi-serial/NOTES
M	src/externals/mct/mpi-serial/README
M	src/externals/mct/mpi-serial/collective.c
A	src/externals/mct/mpi-serial/error.c
A	src/externals/mct/mpi-serial/ic_merge.c
M	src/externals/mct/mpi-serial/mpi.c
M	src/externals/mct/mpi-serial/mpi.h
M	src/externals/mct/mpi-serial/mpif.h
M	src/externals/mct/mpi-serial/tests/ftest.F90
M	src/externals/mct/mpi-serial/tests/ftest_old.F90
M	src/externals/mct/mpi-serial/type.c
M	src/externals/mct/testsystem/testall/ReadSparseMatrixAsc.F90
M	src/externals/mct/testsystem/testall/cpl.F90
M	src/externals/pio1/pio/CMakeLists.txt
M	src/externals/pio1/pio/pio.F90
M	src/externals/pio1/pio/pio_types.F90
M	src/externals/pio1/pio/piolib_mod.F90
M	src/externals/pio1/pio/pionfput_mod.F90.in
M	src/externals/pio1/tests/testpio/perl5lib/ChangeLog
M	src/externals/pio1/tests/testpio/perl5lib/XML/Changes
M	src/externals/pio1/tests/testpio/perl5lib/XML/Lite.pm
M	src/externals/pio1/tests/testpio/perl5lib/XML/Lite/Element.pm
M	src/externals/pio1/tests/testpio/perl5lib/XML/README
D	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML::Lite.3
D	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML::Lite::Element.3
A	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML_Lite.3
A	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML_Lite_Element.3
M	src/externals/pio2/.gitignore
M	src/externals/pio2/CMakeLists.txt
M	src/externals/pio2/CTestScript.cmake
A	src/externals/pio2/Makefile.am
A	src/externals/pio2/cmake_config.h.in
A	src/externals/pio2/configure.ac
M	src/externals/pio2/ctest/CTestEnvironment-anlworkstation.cmake
M	src/externals/pio2/ctest/CTestEnvironment-cgd.cmake
M	src/externals/pio2/ctest/CTestEnvironment-nwsc.cmake
A	src/externals/pio2/ctest/runcdash-cgd-gnu-openmpi.sh
M	src/externals/pio2/ctest/runcdash-cgd-nag.sh
M	src/externals/pio2/ctest/runcdash-nwsc-intel-mpiserial.sh
M	src/externals/pio2/ctest/runcdash-nwscla-intel.sh
M	src/externals/pio2/ctest/runctest-cgd.sh
M	src/externals/pio2/ctest/runctest-nwscla.sh
M	src/externals/pio2/doc/source/Decomp.txt
M	src/externals/pio2/doc/source/base.txt
M	src/externals/pio2/doc/source/contributing_code.txt
M	src/externals/pio2/doc/source/mach_walkthrough.txt
D	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML::Lite.3
D	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML::Lite::Element.3
A	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML_Lite.3
A	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML_Lite_Element.3
M	src/externals/pio2/examples/c/CMakeLists.txt
A	src/externals/pio2/examples/c/darray_async.c
A	src/externals/pio2/examples/c/darray_no_async.c
M	src/externals/pio2/examples/c/example1.c
M	src/externals/pio2/scripts/prune_decomps.pl
A	src/externals/pio2/src/Makefile.am
M	src/externals/pio2/src/clib/CMakeLists.txt
A	src/externals/pio2/src/clib/Makefile.am
M	src/externals/pio2/src/clib/bget.c
D	src/externals/pio2/src/clib/config.h.in
D	src/externals/pio2/src/clib/dtypes.h
M	src/externals/pio2/src/clib/pio.h
M	src/externals/pio2/src/clib/pio_darray.c
M	src/externals/pio2/src/clib/pio_darray_int.c
M	src/externals/pio2/src/clib/pio_file.c
M	src/externals/pio2/src/clib/pio_get_nc.c
M	src/externals/pio2/src/clib/pio_getput_int.c
M	src/externals/pio2/src/clib/pio_internal.h
M	src/externals/pio2/src/clib/pio_lists.c
M	src/externals/pio2/src/clib/pio_msg.c
M	src/externals/pio2/src/clib/pio_nc.c
M	src/externals/pio2/src/clib/pio_nc4.c
M	src/externals/pio2/src/clib/pio_put_nc.c
M	src/externals/pio2/src/clib/pio_rearrange.c
M	src/externals/pio2/src/clib/pio_spmd.c
M	src/externals/pio2/src/clib/pio_varm.c
M	src/externals/pio2/src/clib/pioc.c
M	src/externals/pio2/src/clib/pioc_sc.c
M	src/externals/pio2/src/clib/pioc_support.c
M	src/externals/pio2/src/flib/piolib_mod.F90
A	src/externals/pio2/tests/Makefile.am
M	src/externals/pio2/tests/cunit/CMakeLists.txt
A	src/externals/pio2/tests/cunit/Makefile.am
M	src/externals/pio2/tests/cunit/pio_tests.h
A	src/externals/pio2/tests/cunit/run_tests.sh
D	src/externals/pio2/tests/cunit/test_async_2comp.c
M	src/externals/pio2/tests/cunit/test_async_3proc.c
M	src/externals/pio2/tests/cunit/test_async_4proc.c
A	src/externals/pio2/tests/cunit/test_async_manyproc.c
A	src/externals/pio2/tests/cunit/test_async_mpi.c
A	src/externals/pio2/tests/cunit/test_async_multi2.c
A	src/externals/pio2/tests/cunit/test_async_multicomp.c
M	src/externals/pio2/tests/cunit/test_async_simple.c
M	src/externals/pio2/tests/cunit/test_common.c
M	src/externals/pio2/tests/cunit/test_darray.c
M	src/externals/pio2/tests/cunit/test_darray_1d.c
A	src/externals/pio2/tests/cunit/test_darray_2sync.c
M	src/externals/pio2/tests/cunit/test_darray_3d.c
A	src/externals/pio2/tests/cunit/test_darray_async.c
A	src/externals/pio2/tests/cunit/test_darray_async_many.c
A	src/externals/pio2/tests/cunit/test_darray_async_simple.c
A	src/externals/pio2/tests/cunit/test_darray_frame.c
A	src/externals/pio2/tests/cunit/test_darray_multi.c
M	src/externals/pio2/tests/cunit/test_darray_multivar.c
A	src/externals/pio2/tests/cunit/test_darray_multivar2.c
A	src/externals/pio2/tests/cunit/test_darray_multivar3.c
A	src/externals/pio2/tests/cunit/test_decomp_uneven.c
M	src/externals/pio2/tests/cunit/test_decomps.c
M	src/externals/pio2/tests/cunit/test_intercomm2.c
M	src/externals/pio2/tests/cunit/test_iosystem2.c
M	src/externals/pio2/tests/cunit/test_iosystem2_simple.c
M	src/externals/pio2/tests/cunit/test_iosystem2_simple2.c
M	src/externals/pio2/tests/cunit/test_iosystem3.c
M	src/externals/pio2/tests/cunit/test_iosystem3_simple.c
M	src/externals/pio2/tests/cunit/test_iosystem3_simple2.c
M	src/externals/pio2/tests/cunit/test_pioc.c
M	src/externals/pio2/tests/cunit/test_pioc_fill.c
M	src/externals/pio2/tests/cunit/test_pioc_putget.c
M	src/externals/pio2/tests/cunit/test_pioc_unlim.c
A	src/externals/pio2/tests/cunit/test_rearr.c
M	src/externals/pio2/tests/cunit/test_shared.c
M	src/externals/pio2/tests/cunit/test_spmd.c
M	src/externals/pio2/tests/general/CMakeLists.txt
M	src/externals/pio2/tests/general/ncdf_get_put.F90.in
M	src/externals/pio2/tests/general/ncdf_simple_tests.F90.in
M	src/externals/pio2/tests/general/pio_decomp_fillval.F90.in
M	src/externals/pio2/tests/general/pio_decomp_frame_tests.F90.in
M	src/share/esmf_wrf_timemgr/ESMF_Stubs.F90
M	src/share/test/unit/CMakeLists.txt
A	src/share/test/unit/mock/README
M	src/share/test/unit/mock/shr_sys_mod.nompi_abortthrows.F90
A	src/share/test/unit/shr_abort_test/CMakeLists.txt
A	src/share/test/unit/shr_abort_test/README
A	src/share/test/unit/shr_abort_test/test_shr_abort.pf
M	src/share/test/unit/shr_assert_test/CMakeLists.txt
M	src/share/test/unit/shr_infnan_test/CMakeLists.txt
M	src/share/test/unit/shr_infnan_test/test_infnan.F90
M	src/share/test/unit/shr_spfn_test/CMakeLists.txt
M	src/share/test/unit/shr_string_test/CMakeLists.txt
M	src/share/test/unit/shr_string_test/test_shr_string.pf
M	src/share/timing/COPYING
M	src/share/unit_test_stubs/README
M	src/share/unit_test_stubs/pio/pio.F90.in
A	src/share/unit_test_stubs/util/CMakeLists.txt
A	src/share/unit_test_stubs/util/README
A	src/share/unit_test_stubs/util/shr_abort_mod.abortthrows.F90
M	src/share/util/CMakeLists.txt
M	src/share/util/mct_mod.F90
A	src/share/util/shr_abort_mod.F90
D	src/share/util/shr_dmodel_mod.F90
M	src/share/util/shr_mct_mod.F90
M	src/share/util/shr_pcdf_mod.F90
M	src/share/util/shr_pio_mod.F90
D	src/share/util/shr_strdata_mod.F90
D	src/share/util/shr_stream_mod.F90
M	src/share/util/shr_string_mod.F90
M	src/share/util/shr_sys_mod.F90
D	src/share/util/shr_tInterp_mod.F90
M	tools/Readme.configure
M	tools/configure
M	tools/cprnc/CMakeLists.txt
M	tools/cprnc/README
M	tools/cprnc/summarize_cprnc_diffs
M	tools/load_balancing_tool/README
D	tools/load_balancing_tool/code/cesm_scaling.gplot
D	tools/load_balancing_tool/code/create_dataFile.pl
D	tools/load_balancing_tool/code/f02_peList.txt
D	tools/load_balancing_tool/code/f05_peList.txt
D	tools/load_balancing_tool/code/f09_peList.txt
D	tools/load_balancing_tool/code/f19_peList.txt
D	tools/load_balancing_tool/code/fv_model.mod
D	tools/load_balancing_tool/code/fv_model.run
D	tools/load_balancing_tool/code/fv_second_pass.pl
D	tools/load_balancing_tool/code/get_cesm_times.pl
D	tools/load_balancing_tool/code/load_balance.pl
D	tools/load_balancing_tool/code/merge.py
D	tools/load_balancing_tool/code/model.data
D	tools/load_balancing_tool/code/model.mod
D	tools/load_balancing_tool/code/model.run
D	tools/load_balancing_tool/code/neos.py
D	tools/load_balancing_tool/global_variables.csh
A	tools/load_balancing_tool/layouts.py
A	tools/load_balancing_tool/load_balancing_solve.py
A	tools/load_balancing_tool/load_balancing_submit.py
A	tools/load_balancing_tool/optimize_model.py
D	tools/load_balancing_tool/run_first.csh
D	tools/load_balancing_tool/run_second.csh
A	tools/load_balancing_tool/tests/__init__.py
A	tools/load_balancing_tool/tests/atm_lnd.py
A	tools/load_balancing_tool/tests/example.json
A	tools/load_balancing_tool/tests/load_balancing_test.py
A	tools/load_balancing_tool/tests/test.xml
A	tools/load_balancing_tool/tests/timing/timing_1
A	tools/load_balancing_tool/tests/timing/timing_2
A	tools/load_balancing_tool/tests/timing/timing_3
M	tools/mapping/check_maps/.gitignore
M	tools/mapping/check_maps/README
M	tools/mapping/check_maps/src/ESMF_RegridWeightGenCheck.F90
M	tools/mapping/check_maps/src/Makefile
M	tools/mapping/gen_domain_files/INSTALL
M	tools/mapping/gen_domain_files/src/Makefile
M	tools/mapping/gen_mapping_files/README
A	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/.gitignore
M	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/README
M	tools/mapping/gen_mapping_files/gen_ESMF_mapping_file/create_ESMF_map.sh
M	tools/mapping/gen_mapping_files/runoff_to_ocn/INSTALL
M	tools/mapping/gen_mapping_files/runoff_to_ocn/README
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_r05_to_gx1v6_nnsm_e1000r300.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_r05_to_gx1v7_nnsm_e1000r300.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_r05_to_gx3v7_nnsm_e1000r500.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_rx1_to_gx1v6_nnsm_e1000r300.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_rx1_to_gx1v7_nnsm_e1000r300.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_rx1_to_gx3v7_nnsm_e1000r500.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_wr50a_to_ar9v4_nnsm_e1000r300.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/map_wr50a_to_gx3v7_nnsm_e1000r300.nml
A	tools/mapping/gen_mapping_files/runoff_to_ocn/maps/.gitignore
A	tools/mapping/gen_mapping_files/runoff_to_ocn/ncl/merge_mapping_files.ncl
A	tools/mapping/gen_mapping_files/runoff_to_ocn/run_merge_mapping_files.sh
D	tools/mapping/gen_mapping_files/runoff_to_ocn/runoff_map.nml
D	tools/mapping/gen_mapping_files/runoff_to_ocn/runoff_map_r05_gx3v7.nml
D	tools/mapping/gen_mapping_files/runoff_to_ocn/runoff_map_rx1_gx1v6.nml
D	tools/mapping/gen_mapping_files/runoff_to_ocn/runoff_map_tx01.nml
D	tools/mapping/gen_mapping_files/runoff_to_ocn/runoff_map_wr50a_ar9v4.nml
D	tools/mapping/gen_mapping_files/runoff_to_ocn/runoff_map_wr50a_gx3v7.nml
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/Makefile
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/fixroff_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/kind_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/main.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/map_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/mapsort_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/shr_kind_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/shr_sys_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/shr_timer_mod.F90
M	tools/mapping/gen_mapping_files/runoff_to_ocn/src/smooth_mod.F90
M	tools/mapping/map_field/INSTALL
M	tools/mapping/map_field/src/Makefile
M	tools/mapping/map_field/src/map_field.F90
A	tools/statistical_ensemble_test/README
M	tools/statistical_ensemble_test/ensemble.sh
D	tools/statistical_ensemble_test/ncl_library/Zscore.ncl
D	tools/statistical_ensemble_test/ncl_library/area_avg.ncl
D	tools/statistical_ensemble_test/ncl_library/create_ensemble.ncl
D	tools/statistical_ensemble_test/ncl_library/global.ncl
D	tools/statistical_ensemble_test/ncl_library/plot_rmsz.ncl
D	tools/statistical_ensemble_test/ncl_library/print.ncl
D	tools/statistical_ensemble_test/ncl_library/rmsz.ncl
D	tools/statistical_ensemble_test/ncl_library/vinterp.ncl
M	tools/statistical_ensemble_test/pyCECT/pyCECT.py
M	tools/statistical_ensemble_test/pyCECT/pyEnsLib.py
M	tools/statistical_ensemble_test/pyCECT/pyEnsSum.py
M	tools/statistical_ensemble_test/pyCECT/pyEnsSumPop.py
M	tools/statistical_ensemble_test/single_run.sh
D	tools/statistical_ensemble_test/test_run_against_ensemble.ncl
D	tools/statistical_ensemble_test/validation_test.sh
D	tools/unit_testing/Examples/circle_area/src/CMakeLists.txt
D	tools/unit_testing/Examples/circle_area/src/circle.F90
D	tools/unit_testing/Examples/circle_area/tests/CMakeLists.txt
D	tools/unit_testing/Examples/circle_area/tests/CTest/CMakeLists.txt
D	tools/unit_testing/Examples/circle_area/tests/CTest/test_driver.F90
D	tools/unit_testing/Examples/circle_area/tests/pFUnit/CMakeLists.txt
D	tools/unit_testing/Examples/circle_area/tests/pFUnit/test_circle.pf
D	tools/unit_testing/Examples/interpolate_1d/src/CMakeLists.txt
D	tools/unit_testing/Examples/interpolate_1d/src/interpolate_1d.F90
D	tools/unit_testing/Examples/interpolate_1d/tests/CMakeLists.txt
D	tools/unit_testing/Examples/interpolate_1d/tests/CTest/CMakeLists.txt
D	tools/unit_testing/Examples/interpolate_1d/tests/CTest/test_driver.F90
D	tools/unit_testing/Examples/interpolate_1d/tests/pFUnit/CMakeLists.txt
D	tools/unit_testing/Examples/interpolate_1d/tests/pFUnit/test_interpolate_point.pf
D	tools/unit_testing/Examples/test_list.xml
D	tools/unit_testing/README
D	tools/unit_testing/python/.gitignore
D	tools/unit_testing/python/comparable.py
D	tools/unit_testing/python/environment.py
D	tools/unit_testing/python/machine_setup.py
D	tools/unit_testing/python/printer.py
D	tools/unit_testing/python/test_environment.py
D	tools/unit_testing/python/test_xml_test_list.py
D	tools/unit_testing/python/test_xml_utils.py
D	tools/unit_testing/python/xml_test_list.py
D	tools/unit_testing/python/xml_utils.py
D	tools/unit_testing/run_tests.py
M	tools/utils/find_circular_dependency.py
M	utils/perl5lib/Build/Namelist.pm

======================================================================

======================================================================

Originator: Chris Fischer
Date: 10-9-2017
Tag: cime5.4.0-alpha.03
Answer Changes: None
Tests: scripts_regression_tests.pr
       manual test of create_clone
Dependencies:

Brief Summary:
    - Fix SE domain files.
    - Use keyword-value pairs for create_clone call.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
55d2dbe Merge pull request #1957 from billsacks/create_clone_args
443312c Merge pull request #1951 from gold2718/seDomainFiles


Modified files: git diff --name-status [previous_tag]
M       config/cesm/config_grids.xml
M       scripts/create_clone
M       src/drivers/mct/cime_config/config_component_cesm.xml

======================================================================

======================================================================

Originator: Chris Fischer
Date: 10-6-2017
Tag: cime5.4.0-alpha.02
Answer Changes: None
Tests: scripts_regression_tests.py SMS_Ln9.f19_f19_mg17.F2000_DEV.yellowstone_intel.cam-cosp
       IRT_Ld7.T31_g37.B1850C5L45BGCR.cheyenne_intel
       hand testing tools/load_balancing_tool/test/test_load_balancing_tool.py
       load_balancing_test.py
Dependencies:

Brief Summary:
    - Fix cosp build instructions.
    - Pio update branch.
    - Refactor args to submit scripts.
    - Archive pop tavg rpointer file.
    - Add option to define test types in query_testlists.
    - Fix tests for small systems.
    - Only run driver build namelist after first day cycle.
    - Load balancing tool mods.
    - Use local baseline directory for testing.
    - Add ability to cancel batch jobs to the system.
    - A port to a generic Linux workstation.
    - Fix pylint issue.
    - Fix st_archive.
    - Document uniqueness requirement for test-id.
    - Add Argonne copyright statement.
    - Rewrite of the load balancing tool.
    - Imported mpi-serial changes from MCSclimate/mpi-serial.

User interface changes:
    - New batch_env optional entry in config_batch.
    - Add --baseline-root argument to case.cmpgen_baselines.
    - new batch_cancel field in config_batch.

PR summary: git log --oneline --first-parent [previous_tag]..master
a2f0979 Merge pull request #1947 from jedwards4b/cosp_build_fix
1655800 Merge pull request #1948 from jedwards4b/pio_update_branch
d590c55 Merge pull request #1945 from ESMCI/jgfouca/refactor_args_to_submit_scripts
7f44f80 Merge pull request #1944 from jedwards4b/pop_tavg_archive
c7cf4eb Merge pull request #1930 from billsacks/query_testtypes
0742931 Merge pull request #1943 from jedwards4b/small_systems
34522a3 Merge pull request #1941 from jedwards4b/da_optimization
be3bf2e Merge pull request #1923 from jedwards4b/load-balancing-tool-mods
2d2ab96 Merge pull request #1939 from jedwards4b/srt_baselines
4e0e02e Merge pull request #1932 from ESMCI/jgfouca/add_job_cancel
d3a2da4 Merge pull request #1936 from jedwards4b/centos7_linux
bc35e32 fix pylint issue
874dc10 Merge pull request #1916 from ESMCI/kdraeder/fix_st_archive
7672387 Merge pull request #1934 from billsacks/document_testids
202e9a0 Merge pull request #1925 from ESMCI/rljacob/add-anl-copyright
b8b9f9e Merge pull request #1902 from ESMCI/sarich/tools/load-balancing-tool
4489a90 Merge pull request #1922 from gold2718/mpiserial_update



Modified files: git diff --name-status [previous_tag]
M	LICENSE.TXT
M	config/acme/machines/config_batch.xml
M	config/acme/machines/template.case.run
M	config/acme/machines/template.case.test
M	config/cesm/config_archive.xml
M	config/cesm/machines/Makefile
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/template.case.run
M	config/cesm/machines/template.case.test
M	config/config_tests.xml
M	config/xml_schemas/config_batch.xsd
M	doc/source/misc_tools/index.rst
A	doc/source/misc_tools/load-balancing-tool.rst
M	scripts/Tools/case.cmpgen_namelists
M	scripts/create_test
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/tests.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_run.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/case_st_archive.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/lib/CIME/utils.py
M	scripts/lib/CIME/wait_for_tests.py
M	scripts/lib/jenkins_generic_job.py
M	scripts/lib/update_acme_tests.py
M	scripts/query_testlists
M	scripts/tests/scripts_regression_tests.py
M	src/externals/mct/mpi-serial/Makefile
M	src/externals/mct/mpi-serial/mpi.c
M	src/externals/mct/mpi-serial/mpif.h
M	src/externals/mct/mpi-serial/tests/ftest.F90
M	src/externals/mct/mpi-serial/tests/ftest_old.F90
M	src/externals/mct/mpi-serial/type.c
M	src/externals/pio1/pio/CMakeLists.txt
M	src/externals/pio1/pio/pionfput_mod.F90.in
M	src/externals/pio1/tests/testpio/perl5lib/ChangeLog
M	src/externals/pio1/tests/testpio/perl5lib/XML/Changes
M	src/externals/pio1/tests/testpio/perl5lib/XML/Lite.pm
M	src/externals/pio1/tests/testpio/perl5lib/XML/Lite/Element.pm
M	src/externals/pio1/tests/testpio/perl5lib/XML/README
D	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML::Lite.3
D	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML::Lite::Element.3
A	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML_Lite.3
A	src/externals/pio1/tests/testpio/perl5lib/XML/man3/XML_Lite_Element.3
M	src/externals/pio1/timing/COPYING
M	src/externals/pio2/.gitignore
M	src/externals/pio2/CMakeLists.txt
M	src/externals/pio2/CTestScript.cmake
A	src/externals/pio2/Makefile.am
A	src/externals/pio2/cmake_config.h.in
A	src/externals/pio2/configure.ac
M	src/externals/pio2/ctest/CTestEnvironment-cgd.cmake
M	src/externals/pio2/ctest/runcdash-cgd-gnu-openmpi.sh
M	src/externals/pio2/doc/source/Decomp.txt
M	src/externals/pio2/doc/source/base.txt
M	src/externals/pio2/doc/source/contributing_code.txt
M	src/externals/pio2/doc/source/mach_walkthrough.txt
D	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML::Lite.3
D	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML::Lite::Element.3
A	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML_Lite.3
A	src/externals/pio2/examples/basic/perl5lib/XML/man3/XML_Lite_Element.3
M	src/externals/pio2/examples/c/CMakeLists.txt
M	src/externals/pio2/scripts/prune_decomps.pl
A	src/externals/pio2/src/Makefile.am
M	src/externals/pio2/src/clib/CMakeLists.txt
A	src/externals/pio2/src/clib/Makefile.am
D	src/externals/pio2/src/clib/config.h.in
D	src/externals/pio2/src/clib/dtypes.h
M	src/externals/pio2/src/clib/pio.h
M	src/externals/pio2/src/clib/pio_darray.c
M	src/externals/pio2/src/clib/pio_darray_int.c
M	src/externals/pio2/src/clib/pio_file.c
M	src/externals/pio2/src/clib/pio_get_nc.c
M	src/externals/pio2/src/clib/pio_getput_int.c
M	src/externals/pio2/src/clib/pio_internal.h
M	src/externals/pio2/src/clib/pio_lists.c
M	src/externals/pio2/src/clib/pio_msg.c
M	src/externals/pio2/src/clib/pio_nc.c
M	src/externals/pio2/src/clib/pio_nc4.c
M	src/externals/pio2/src/clib/pio_put_nc.c
M	src/externals/pio2/src/clib/pio_rearrange.c
M	src/externals/pio2/src/clib/pio_spmd.c
M	src/externals/pio2/src/clib/pio_varm.c
M	src/externals/pio2/src/clib/pioc.c
M	src/externals/pio2/src/clib/pioc_sc.c
M	src/externals/pio2/src/clib/pioc_support.c
M	src/externals/pio2/src/flib/piolib_mod.F90
M	src/externals/pio2/src/gptl/COPYING
A	src/externals/pio2/tests/Makefile.am
M	src/externals/pio2/tests/cunit/CMakeLists.txt
A	src/externals/pio2/tests/cunit/Makefile.am
M	src/externals/pio2/tests/cunit/pio_tests.h
A	src/externals/pio2/tests/cunit/run_tests.sh
M	src/externals/pio2/tests/cunit/test_async_3proc.c
M	src/externals/pio2/tests/cunit/test_async_4proc.c
A	src/externals/pio2/tests/cunit/test_async_manyproc.c
A	src/externals/pio2/tests/cunit/test_async_mpi.c
A	src/externals/pio2/tests/cunit/test_async_multi2.c
A	src/externals/pio2/tests/cunit/test_async_multicomp.c
M	src/externals/pio2/tests/cunit/test_async_simple.c
M	src/externals/pio2/tests/cunit/test_common.c
M	src/externals/pio2/tests/cunit/test_darray.c
M	src/externals/pio2/tests/cunit/test_darray_1d.c
A	src/externals/pio2/tests/cunit/test_darray_2sync.c
M	src/externals/pio2/tests/cunit/test_darray_3d.c
A	src/externals/pio2/tests/cunit/test_darray_async.c
A	src/externals/pio2/tests/cunit/test_darray_async_many.c
A	src/externals/pio2/tests/cunit/test_darray_async_simple.c
A	src/externals/pio2/tests/cunit/test_darray_frame.c
M	src/externals/pio2/tests/cunit/test_darray_multi.c
M	src/externals/pio2/tests/cunit/test_darray_multivar.c
M	src/externals/pio2/tests/cunit/test_darray_multivar2.c
A	src/externals/pio2/tests/cunit/test_darray_multivar3.c
M	src/externals/pio2/tests/cunit/test_decomp_uneven.c
M	src/externals/pio2/tests/cunit/test_decomps.c
M	src/externals/pio2/tests/cunit/test_intercomm2.c
M	src/externals/pio2/tests/cunit/test_iosystem2.c
M	src/externals/pio2/tests/cunit/test_iosystem2_simple.c
M	src/externals/pio2/tests/cunit/test_iosystem2_simple2.c
M	src/externals/pio2/tests/cunit/test_iosystem3.c
M	src/externals/pio2/tests/cunit/test_iosystem3_simple.c
M	src/externals/pio2/tests/cunit/test_iosystem3_simple2.c
M	src/externals/pio2/tests/cunit/test_pioc.c
M	src/externals/pio2/tests/cunit/test_pioc_fill.c
M	src/externals/pio2/tests/cunit/test_pioc_putget.c
M	src/externals/pio2/tests/cunit/test_pioc_unlim.c
M	src/externals/pio2/tests/cunit/test_rearr.c
M	src/externals/pio2/tests/cunit/test_shared.c
M	src/externals/pio2/tests/cunit/test_spmd.c
M	src/externals/pio2/tests/general/CMakeLists.txt
M	src/externals/pio2/tests/general/ncdf_simple_tests.F90.in
M	src/externals/pio2/tests/general/pio_decomp_fillval.F90.in
M	src/externals/pio2/tests/general/pio_decomp_frame_tests.F90.in
M	src/externals/pio2/tests/general/util/pio_tutil.F90
M	tools/load_balancing_tool/README
D	tools/load_balancing_tool/code/cesm_scaling.gplot
D	tools/load_balancing_tool/code/create_dataFile.pl
D	tools/load_balancing_tool/code/f02_peList.txt
D	tools/load_balancing_tool/code/f05_peList.txt
D	tools/load_balancing_tool/code/f09_peList.txt
D	tools/load_balancing_tool/code/f19_peList.txt
D	tools/load_balancing_tool/code/fv_model.mod
D	tools/load_balancing_tool/code/fv_model.run
D	tools/load_balancing_tool/code/fv_second_pass.pl
D	tools/load_balancing_tool/code/get_cesm_times.pl
D	tools/load_balancing_tool/code/load_balance.pl
D	tools/load_balancing_tool/code/merge.py
D	tools/load_balancing_tool/code/model.data
D	tools/load_balancing_tool/code/model.mod
D	tools/load_balancing_tool/code/model.run
D	tools/load_balancing_tool/code/neos.py
D	tools/load_balancing_tool/global_variables.csh
A	tools/load_balancing_tool/layouts.py
A	tools/load_balancing_tool/load_balancing_solve.py
A	tools/load_balancing_tool/load_balancing_submit.py
A	tools/load_balancing_tool/optimize_model.py
D	tools/load_balancing_tool/run_first.csh
D	tools/load_balancing_tool/run_second.csh
A	tools/load_balancing_tool/tests/__init__.py
A	tools/load_balancing_tool/tests/atm_lnd.py
A	tools/load_balancing_tool/tests/example.json
A	tools/load_balancing_tool/tests/load_balancing_test.py
A	tools/load_balancing_tool/tests/test.xml
A	tools/load_balancing_tool/tests/timing/timing_1
A	tools/load_balancing_tool/tests/timing/timing_2
A	tools/load_balancing_tool/tests/timing/timing_3

======================================================================

Originator: Chris Fischer
Date: 9-25-2017
Tag: cime5.4.0-alpha.01
Answer Changes: None
Tests:
Dependencies:

Brief Summary:
    - Update version to cime5.3.0-alpha.01

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master

Modified files: git diff --name-status [previous_tag]

======================================================================

======================================================================

Originator: Chris Fischer
Date: 9-25-2017
Tag: cime5.3.0-alpha.36
Answer Changes: None
Tests:  scripts_regression_tests
Dependencies:

Brief Summary:
    - Big refactor to queue selection.
    - Shorter paths for case2 using system_tests_compare_two.
    - Update atm coupling frequency for high-resolution grids.
    - Add '-framework Accelerate' to LDFLAGS on a mac.
    - Fix E3SM idmap check.
    - Fix pylint issues.
    - ERR test rework.
    - New error trap if invalid "idmap" file is present in seq_maps.rc.
    - Yellowstone tasps per node correction.
    - Added new CAM-SE FVM grids and removed incorrect aliases.
    - Fix generate and compare baseline functions.
    - Add a derived variable NTASKS_PER_INST_COMP where COMP is the component
      name (ATM, LND, etc)
    - Don't check_if_comp_var to return a new vid if it's not a comp var.

User interface changes:
    - jobmin and jobmax gone from config_batch.xml
    - All CAM-SE grid aliases for data ocean models require a mask.


PR summary: git log --oneline --first-parent [previous_tag]..master
6049c79 Merge pull request #1918 from ESMCI/jgfouca/queue_selection_refactor_2
56d71c5 Merge pull request #1919 from billsacks/compare_two_shorter_path
e1b549d Merge pull request #1921 from gold2718/atm_ncpl_mods
f5ac341 Merge pull request #1906 from billsacks/mac_lapack
c15c0ad Merge pull request #1917 from ESMCI/mvertens/fix_acme_idmapcheck
f722595 fix pylint issues
19922e1 Merge pull request #1912 from jedwards4b/err_test_rework
b1d1b9b Merge pull request #1893 from ESMCI/mvertens/trip_invalid_idmap
c330b46 Merge pull request #1911 from jedwards4b/yellowstone_tpn_correction
0136051 Merge pull request #1896 from gold2718/fix_camse_grids
e036093 Merge pull request #1904 from jedwards4b/fix_gen_and_comp
f0522a6 Merge pull request #1900 from jedwards4b/NTASKS_PER_INST_XXX
f5aafff Merge pull request #1901 from ESMCI/jgfouca/xmlquery_minor_fix
2daf8aa Minor pylint fix, make get_queue_specs public


Modified files: git diff --name-status [previous_tag]
M	config/acme/machines/config_batch.xml
M	config/cesm/config_grids.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_compilers.xml
M	config/cesm/machines/config_machines.xml
M	config/config_headers.xml
M	config/config_tests.xml
M	config/xml_schemas/config_batch.xsd
M	config/xml_schemas/env_batch.xsd
M	scripts/create_test
M	scripts/lib/CIME/SystemTests/err.py
M	scripts/lib/CIME/SystemTests/system_tests_compare_two.py
M	scripts/lib/CIME/XML/env_base.py
M	scripts/lib/CIME/XML/env_batch.py
M	scripts/lib/CIME/XML/env_mach_pes.py
M	scripts/lib/CIME/XML/env_mach_specific.py
M	scripts/lib/CIME/buildlib.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_clone.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/namelist.py
M	scripts/lib/CIME/nmlgen.py
M	scripts/lib/CIME/tests/SystemTests/test_system_tests_compare_two.py
M	scripts/lib/CIME/tests/case_fake.py
M	scripts/lib/CIME/utils.py
M	scripts/tests/scripts_regression_tests.py
M	src/build_scripts/buildlib.csm_share
M	src/drivers/mct/cime_config/buildnml
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/cime_config/config_component_cesm.xml

======================================================================

======================================================================

Originator: Chris Fischer
Date: 9-19-2017
Tag: cime5.3.0-alpha.35
Answer Changes: None
Tests: scripts_regression_tests.py, PEM_Ln9.f19_g16_rx1.A.yellowstone_intel
Dependencies:

Brief Summary:
    - Test fixes.
    - Can test single-submit on chama in addition to skybridge.
    - Fix single submit option to create_test.
    - Rename PES_PER_NODE to MAX_MPITASKS_PER_NODE.
    - New git pelayout doc.

User interface changes:

PR summary: git log --oneline --first-parent [previous_tag]..master
e1e5e79 Merge pull request #1895 from jedwards4b/test_fixes
a3349ed Merge pull request #1899 from ESMCI/jgfouca/fix_single_submit
40e4b7b Merge pull request #1898 from ESMCI/jgfouca/fix_single_submit
5ba192b Merge pull request #1891 from jedwards4b/rename_pes_per_node
eb59169 Merge pull request #1888 from ESMCI/mvertens/new_pelayout_doc

Modified files: git diff --name-status [previous_tag]
M	config/acme/allactive/config_pesall.xml
M	config/acme/machines/config_batch.xml
M	config/acme/machines/config_machines.xml
M	config/acme/machines/config_pio.xml
M	config/acme/machines/userdefined_laptop_template/config_machines.xml
M	config/cesm/machines/config_batch.xml
M	config/cesm/machines/config_machines.xml
M	config/cesm/machines/config_pio.xml
M	config/cesm/machines/userdefined_laptop_template/config_machines.xml
M	config/config_headers.xml
M	config/config_tests.xml
M	config/xml_schemas/config_machines.xsd
M	config/xml_schemas/config_machines_template.xml
M	config/xml_schemas/config_pes.xsd
M	doc/source/users_guide/customizing-a-case.rst
M	doc/source/users_guide/porting-cime.rst
M	scripts/create_test
M	scripts/lib/CIME/SystemTests/system_tests_common.py
M	scripts/lib/CIME/XML/env_mach_pes.py
M	scripts/lib/CIME/XML/machines.py
M	scripts/lib/CIME/aprun.py
M	scripts/lib/CIME/case.py
M	scripts/lib/CIME/case_setup.py
M	scripts/lib/CIME/get_timing.py
M	scripts/lib/CIME/test_scheduler.py
M	scripts/query_config
M	scripts/tests/scripts_regression_tests.py
M	src/components/data_comps/docn/docn_shr_mod.F90
M	src/drivers/mct/cime_config/config_component.xml
M	src/drivers/mct/main/cime_comp_mod.F90

======================================================================

======================================================================

Originator: Chris Fischer
Date: 9-13-2017
Tag: cime5.3.0-alpha.34
Answer Changes: None
Tests: scripts_regression_tests
Dependencies:

Brief Summary:
    - Fix T31_g37 grid match in config_grids.
    - Add a timeout option to wait_for_tests.
    - Minor update to sphinx documentation.
    - Allow queue selection by node count instead of task count.
    - Get chama working (able to run scripts_regression_tests).
    - Case clone move fix.
    - Move case clone to its own file.
    - Error check compset name.
    - Improve error check for non-python sub processes.
    - Add new user-mods option to create_clone.
    - Fix 2-to-3 conversion errors in cime_bisect.
    - Implementation of multiple drivers.
    - Make sure file exists.
    - Get log file from logdir instead of rundir.
    - Add more unit tests of system_tests_compare_two, fix multisubmit bug.
    - Merge new erp test into new restart_tests abstract class.

User interface changes:
    - New --timeout flag for wait_for_tests
    - New ways to select queue in config_batch.xml
    - New argument to create_clone.

PR summary: git log --oneline --first-parent [previous_tag]..master
